Mpeg2Schnitt

Hilfe zum Mpeg2Schnitt-Programmpaket

Diese Hilfe soll bei den ersten Schritten mit dem Programm Mpeg2Schnitt helfen. Ausserdem kann diese Hilfe bei der Verwendung des Programms als Nachschlagewerk verwendet werden.

Das Programm ist recht einfach gehalten und soll lediglich dazu dienen DVB-Aufzeichnungen (über Satellit, Antenne oder Kabel) von der Werbung zu befreien, Trailer zu erstellen, den Audio-Videoversatz von Hand zu korrigieren und ähnliche, kleinere Aufgaben zu erledigen. Aufwendige Audioeffekte, Videoeffekte, Überblendungen und Titel sind aber über Umwege möglich. Das Programm verarbeitet elementare Video- und Audiodateien (auch mehrere Audiodateien). Durch die gemeinsame Verarbeitung dieser Dateien wird die Synchronität zwischen Video und Audio gewährleistet. DVB-Dateien müssen vor der Bearbeitung von Fehlern bereinigt und getrennt (demuxt) werden. Dazu empfehle ich die Programme ProjektX oder PVAStrumento. Da zur weiteren Bearbeitung (Authoring) meist ohnehin elementare Dateien benötigt werden stellt die Verarbeitung elementarer Dateien durch das Programm im Allgemeinen keinen Nachteil dar.

Natürlich sind bei der Verwendung des Programms die gesetzlichen Regelungen (Copyright usw.) einzuhalten.

  • Systemvoraussetzungen und Installation.
    Dieser Abschnitt listet die Systemvoraussetzungen auf und erklärt die Installation des Programms.

  • Erste Schritte
    In wenigen Schritten zum geschnittenem Video. Die wichtigsten Funktionen werden erklärt.

  • Wie mache ich was?
    Einige Vorgehensweisen möglichst einfach erklärt.

  • Mpeg2Schnitt
    Erläuterung der Bedienelemente und Funktionen des Programms.

  • SchnittTool
    Erläuterung zum Programm SchnittTool.

  • IndexTool
    Erläuterung des Programms folgen bei Bedarf.

  • Optionendialog
    Beschreibung des Optionendialoges.

  • Sonstiges
    Alle sonstigen Informationen.

  • Rechtliches und Lizenzbedingungen
    Rechtliche Hinweise und die Lizenzbedingungen sind in diesem Abschnitt zu finden.

Version der Hilfe: 0.9
Die Version der Hilfe bezieht sich auf die entsprechenden Versionen des Mpeg2Schnitt-Programmpaketes.

Verweise:

  • Inhaltsverzeichnis


Systemvorraussetzungen und Installation

Systemvoraussetzungen:

  • CPU mit ca. 1 GHz
  • große Festplatte für die Videodateien
  • Bertiebssystem Windows 98 oder höher
  • DirectX ab Version 7
  • DirectShow-Filter für AC3-Dateien

Installation:

Das Programm Mpeg2Schnitt befindet sich in einem ZIP-Archiv und muß nicht installiert werden. Es reicht das Archiv Mpeg2SchnittXXX.zip (XXX steht für die Versionsnummer) in ein beliebiges Verzeichnis zu entpacken. Dabei bitte darauf achten das die nötigen Unterverzeichnisse angelegt werden. In jedem Unterverzeichnis befindet sich eine Liesmich.txt Datei die den Zweck des Verzeichnisses beschreibt. Die mitgelieferte Standardarbeitsumgebung (Standard.mau) ist auf diese Verzeichnisstruktur eingestellt. Es ist aber auch möglich die Verzeichisstruktur auf die eigenen Bedürfnisse anzupassen. Die Verzeichniseinstellungen im Programm und eventuell auch die Scripte müssen dann entsprechend geändert werden. Arbeitsumgebungen älterer Versionen können weiter verwendet werden, neuere bzw. geänderte Einstellungen müssen dann im Optionendialog eventuell angepasst werden.

Einen Menüeintrag im Startmenü und/oder ein Icon auf dem Desktop kann sich jeder nach Bedarf selbst anlegen. Ruckelt die Videodarstellung reicht die Rechenleistung des Computers nicht aus um die Bilder schnell genug zu decodieren. In diesem Fall kann man die Videodarstellung auf Video grau anzeigen umstellen.

Das Programm startet mit den Einstellungen in der Mpeg2Schnitt.ini und der Standard.mau. Sind diese Dateien nicht vorhanden werden sie mit den Grundeinstellungen erzeugt. In den Dateien *.mau werden die eingestellten Optionen der Arbeitsumgebung gespeichert. Durch Sprachdateien (*.spr) kann das Programm über das Menü Sprachen auf verschiedene Sprachen umgestellt werden.
Beim ersten Programmstart müssen die Lizenzbedingungen bestätigt werden.

Für die folgenden Funktionen werden externe Programme verwendet die man bei Bedarf in die entsprechenden Verzeichnisse kopieren oder teilweise installieren muß. Sind Programme schon in anderen als hier angegebenen Verzeichnissen vorhanden können auch die Scripte entsprechend angepasst werden. Es werden nur die Programme benötigt die auch benutzt werden sollen.

framgenauer Schnitt, Neuberechnung langer GOPs

Zur Neuberechnung von Videoteilen wird ein Mpeg2-Encoder benötigt. Im Archiv sind Scripte und die nötigen Avs-Dateien für zwei Encoder enthalten. Unter Optionen -> externe Programme -> Encoder wird festgelegt welches Encoderscript und damit welcher Encoder verwendet wird. Welche weiteren Dateien für die entsprechenden Scripte benötigt werden ist in der folgenden Tabelle zusammengefasst.

EncoderHC21.prg | Die Datei HCenc_021.exe aus dem Archiv hc021.zip in das Verzeichnis "Encoder\HCEnc" kopieren. Die Datei dgdecode.dll aus dem Archiv "dgmpgdec148.zip" (nur die Version 1.4.8 verwenden!) in das Verzeichnis "Encoder\HCEnc" kopieren.
EncoderAVSHC21.prg | Die Datei HCenc_021.exe aus dem Archiv hc021.zip in das Verzeichnis "Encoder\HCEnc" kopieren. Die Datei dgdecode.dll aus dem Archiv "dgmpgdec148.zip" (nur die Version 1.4.8 verwenden!) in das Verzeichnis "Encoder\DGmpgdec" kopieren. Das Programm AVISynth aus dem Archiv Avisynth_257.exe muss installiert werden.
EncoderAVSQuEnc.prg | Die Datei Quenc.exe aus dem Archiv quenc072.zip in das Verzeichnis "Encoder\QuEnc" kopieren. Die Datei dgdecode.dll aus dem Archiv "dgmpgdec148.zip" (nur die Version 1.4.8 verwenden!) in das Verzeichnis "Encoder\DGmpgdec" kopieren. Das Programm AVISynth aus dem Archiv Avisynth_257.exe muss installiert werden.

Die Encoderscripte befinden sich im Verzeichnis Encoder. Informationen zum teilweise benötigten Programm AVISynth, das installiert werden muss, sind hier zu finden. Weitere Informationen zu den Encoderscripte sind auf den entsprechenden Hilfeseiten verfügbar.

Videoeffekte

Für Videoeffekte muss das Programm AVISynth installiert werden. Außerdem muß ein Encoderscript ausgewählt sein und die dafür nötigen Dateien müssen sich in den entsprechenden Verzeichnissen befinden. (siehe weiter oben framgenauer Schnitt ...) Unter Optionen -> Effekte -> Videoeffektverzeichnis muß das Verzeichnis mit den Videoeffektscripten eingetragen sein.

FadIn, FadeOut ... Die Datei dgdecode.dll aus dem Archiv "dgmpgdec148.zip" (nur die Version 1.4.8 verwenden!) in das Verzeichnis "Encoder\DGmpgdec" kopieren.
Das Programm AVISynth aus dem Archiv Avisynth_257.exe muss installiert werden. Dazu den Anweisungen des Installationsprogramms folgen.

Die Videoeffektscripte FadeIn, FadeOut und Black Video und die nötigen Avs-Dateien sind im Archiv enthalten und befinden sich im Verzeichnis Videoeffekt. Weitere Informationen zu den Videoeffektscripten FadeIn, FadeOut und Black Video sind auf den entsprechenden Hilfeseiten verfügbar.

Audioeffekte

Für Audioeffekte wird das Programm BeSweet verwendet. Die folgenden Dateien müssen vorhanden sein. Unter Optionen -> Effekte -> Audioeffektverzeichnis muß das Verzeichnis mit den Audioeffektscripten eingetragen sein.

FadIn, FadeOut ... Aus dem Archiv BeSweetv1.5b31.zip müssen mindestens die Dateien BeSweet.exe, hip.dll, mp2enc.dll, azid.dll und ac3enc.dll in das Verzeichnis "Audioeffekt" kopiert werden.

Die Audioeffektscripte FadeIn und FadeOut sind im Archiv enthalten und befinden sich im Verzeichnis Audioeffekt. Weitere Informationen zu den Audioeffektscripten FadeIn und FadeOut sind auf den entsprechenden Hilfeseiten zu finden.

Nachbearbeitung

Die Verwendung von externen Programmen zur Nachbearbeitung wird über Scripte gesteuert. Das zu verwendende Script muß unter Optionen -> externe Programme -> Nachbearbeitung ausgewählt werden. In der folgenden Tabelle sind benötigten Programme aufgeführt.
Die Nachbearbeitung kann mit der Option Menü -> Optionen -> Video/Audioschnitt ein- und ausgeschaltet werden.

muxen_mit_ mplex_DVDAuthor.prg | Das Programm mplex.exe ist im Archiv Mpeg2SchnittXXX.zip enthalten und wird in das Verzeichnis "Muxen\DVDAuthor" entpackt.
muxen_mit_ mplex1.prg | Die Datei mplex1.exe aus dem Archiv mplex1.zip in das Verzeichnis "Muxen\Mplex1" kopieren.
muxen_mit_ Imagomuxer.prg | Die Datei ImagoMPEG-Muxer.exe aus dem Archiv ImagoMPEG-Muxer.zip in das Verzeichnis "Muxen\Imagomuxer" kopieren.
muxen_mit_ bbmpeg.prg | Die Dateien Runbbmpeg.exe und bbMPEG.dll aus dem Archiv bbMPEG v1.24 beta 18 (SemiCLI 1.0.0.2).zip in das Verzeichnis "Muxen\bbmpeg" kopieren.
DVD_mit_ DVDAuthor.prg | Die Dateien mplex.exe, dvdauthor.exe, cygiconv-2.dll, cygwin1.dll, cygxml2-2.dll und cygz.dll von der Internetseite dvdauthor.sourceforge.net in das Verzeichnis "Muxen\DVDAuthor" kopieren.
DVD_erstellen_mit_ GfD_und_Titelsets.prg | GfD (Gui for DVDAuthor) in das Verzeichnis "Muxen\DVDAuthor\GfD" installieren.
DVD_erstellen_mit_ GfD_keine_Titelsets.prg | GfD (Gui for DVDAuthor) in das Verzeichnis "Muxen\DVDAuthor\GfD" installieren.
DVD_mit_IfoEdit.prg | Die Datei IfoEdit.exe aus dem Archiv Ifoedit0971.zip in das Verzeichnis "Muxen\IfoEdit" kopieren. Bitte die Datei Muxen\IfoEditRun_Ifoedit.txt beachten.
Script_für_ DVDAuthor.prg | Dieses Script erstellt Scripte (Batchdateien) zur späteren Abarbeitung. Siehe dazu auch Informationen in der Datei Scriptvorlage_ganzer_Film.txt.
Audio_in_ Mp3_umwandeln.prg | Dieses Script soll nur eine Möglichkeit zur Nachbearbeitung aufzeigen. Verwendet wird das Programm BeSweet aus dem Verzeichnis "Audioeffekt".

Die Nachbearbeitungsscripte sind im Archiv enthalten und befinden sich im Verzeichnis Muxen. Weitere Informationen zu den Nachbearbeitungsscripten sind auf den entsprechenden Hilfeseiten zu finden.

Verweise:

  • Menü Sprachen
  • Menü Arbeitsumgebungen
  • Dialog Optionen
  • Dialog Optionen Verzeichnisse
  • Dialog Optionen Anzeige/Wiedergabe
  • Dialog Optionen externe Programme
  • Dialog Optionen Effekte
  • Scripte
  • Encoderscripte
  • Videoeffekte FadeIn, FadeOut, Black Video
  • Audioeffekte FadeIn, FadeOut
  • Nachbearbeitung
  • Lizenzbedingungen
  • Aufbau der Sprachdateien
  • Aufbau der Arbeitsumgebungen


In wenigen Schritten zum geschnittenem Video

Vom Programm Mpeg2Schnitt (M2S) können nur Elementströme (ES) verarbeitet werden. Als ES bezeichnet man einzelne Video- oder Audiodateien (Endungen z.B. mpv, m2v, mpa, mp2, ac3). PVA-Dateien, Transportströme (TS) und Programmströme (PS) müssen vor der Bearbeitung mit M2S demuxt werden. TS werden oft von DVB-Karten aufgezeichnet (Endung ts) und PS sind die normalen Mpeg-Dateien die sowohl Video als auch Audio enthalten (Endungen z.B. mpg, mpeg).
Um Video- und Audiodateien synchron zu halten sollten spezielle Programme wie ProjektX oder PVAStrumento zum demuxen von DVB-Dateien zu verwenden.
Zum demuxen einer DVD-Struktur kann man z.B. Vobedit oder PgcDemux benutzen.

1. Dateien zur Bearbeitung öffnen

Die Video- und Audiodateien (ES) können auf verschiedene Weise zur Bearbeitung in das Programm M2S geladen werden.

1.1 | Datei öffnen | Im Hauptmenü Datei auf den Menüpunkt Video/Audio öffnen klicken und im Dateidialog die Videodateien auswählen. Mehrfachauswahl ist möglich. Bitte nur die Videodateien auswählen da die Audiodateien automatisch* mitgeladen werden. Dazu kann man den Dateityp auf "MPEG-2 Videodateien" umstellen. Der Menüpunkt letzte Verzeichnisse enthält die zehn zuletzt verwendeten Verzeichnisse.
1.2 | Datei öffnen | Im Kontextmenü der Dateienliste auf den Menüpunkt Video/Audio öffnen klicken und dann wie oben beschrieben die Videodateien im Dateidialog auswählen.
1.3 | Datei öffnen | Drag&Drop der Dateien in die Dateienliste. Hierbei ist darauf zu achten das nur die Videodateien in die Dateienliste gezogen werden. Für jede Datei wird ein eigener Knoten erzeugt.
1.4 | Datei öffnen | Ein Klick auf die Schnellstarttaste öffnet den Dateidialog zum auswählen der Video- bzw. Audiodateien. Durch einen Rechtsklick auf diese Taste kann das abgebildete Kontextmenü geöffnet werden. Wie oben beschrieben enthält auch hier der Menüpunkt letzte Verzeichnisse die zehn zuletzt verwendeten Verzeichnisse.
1.5 | Übergabe der Dateien als Kommandozeilenparameter beim starten des Programms.

Die Dateien werden in der Dateienliste aufgelistet. Wird eine Video- oder Audiodatei geladen werden alle gleichnamigen* Audiodateien die sich im gleichen Verzeichnis befinden mitgeladen.
(*) Gleichnamig bezieht sich auf den Dateinamen bis zum Audiotrennzeichen. Ist das Audiotrennzeichen z.B. ein "-" sind die Dateien Video.mpv, Video-engl.mp2, Video-deu.mp2, Video-5.1.ac3 in diesem Sinne gleichnamig.

2. Navigation innerhalb des Videos (Audios)

Navigation Eine Video- und die zugehörige Audiodatei kann durch Doppelklick auf den Hauptknoten in der Dateienliste (im Beispiel "02 Test2") zu Anzeige bzw. Wiedergabe geöffnet werden.
Was bei einem Doppelklick auf einen der Video- oder Audioeinträge passiert ist von der Einstellung unter Optionen -> Navigation -> Video und Audio getrennt öffnen abhängig. Ist diese Option gesetzt wird nur die doppelt angeklickte Datei (Video oder Audio) zur Wiedergabe geöffnet, die andere Datei bleibt geöffnet auch wenn sie von einem anderem Hauptknoten ist. Dadurch können Dateien aus verschiedenen Knoten beim Schnitt gemischt werden. Ist diese Option nicht markiert wird immer die Video- und die Audiodatei des betreffenden Knotens geöffnet.
Nach einen einfachen Linksklick auf einen markierten Knoten kann der Knotentext bearbeitet werden. Die Knotennummer und Knotenart (Video, Audio) kann nicht verändert werden. Auch die zum Knoten gehörende Datei wird so nicht geändert.
Navigation Zur Navigation innerhalb des Videos gibt es verschiedene Möglichkeiten. Durch verschieben des Schiebereglers mit der Maus kann eine Stelle im Video grob angesteuert werden. Scrollen mit dem Mausrad bewegt den Schieberegler in die entsprechende Richtung. Dabei kann durch drücken einer Schrittweitetaste (standardmäßig "Schift, Steuerung, Alt und AltGr") die Schrittweite verändert werden. Drückt man beim scrollen mit dem Mausrad die Taste "I"(standardmäßig für In) bzw. "O" (standardmäßig für Out) wird der nächste mögliche Schnittpunkt angesprungen.
Die Funktion der Tasten wird durch die Verwendung üblicher Symbole dargestellt. Verweilt man mit der Maus über eine Taste wird ein Hilfstext angezeigt. Die meisten Funktionen können auch mit der Tastatur bedient werden. Auch hier funktionieren die Schrittweitetasten. Die Tastenbelegung kann im Dialog Optionen -> Tastenbelegung den persönlichen Vorlieben angepasst werden.

3. Schnitte festlegen

Schnitt festlegen Die Teile der Video- oder(und) Audiodateien die in die neu geschnittenen Dateien übernommen werden sollen müssen als Schnitt in die Schnittliste eingefügt werden (Positivliste). Jeder Schnitt besteht aus einem IN- und einem OUT-Schnittpunkt. Der IN-Schnittpunkt ist das erste Bild das übernommen wird und der OUT-Schnittpunkt ist das letzte Bild das noch übernommen wird. Zum anlegen der Schnitte steuert man die entsprechende Stelle im Video an und drückt dann die IN- oder OUT-Taste. Der Schnittpunkt wird übernommen und in der Taste rechts daneben angezeigt. Ein Klick auf diese Taste läßt den Schieberegler zu der entsprechenden Position springen. Ausserdem wird der Schnitt als blauer Bereich auf dem Schieberegler angezeigt. Ist der IN- und auch der OUT-Schnittpunkt festgelegt muss der Schnitt noch in die Schnittliste eingefügt werden. Dazu klickt man auf die unterste Taste (mit der kleinen Schere). Wie Schnitte in die Schnittliste eingefügt werden kann unter Optionen -> Schnittliste -> Sonstiges eingestellt werden. Soll kurzfristig eine andere Einfügeart verwendet werden kann durch Rechtsklich auf diese Taste ein Untermenü aufgerufen werden. Der Eintrag Ändern überschreibt den in der Schnittliste markierten Schnitt mit den aktuellen Werten. Wird die IN- oder OUT-Taste mit einem Fragezeichen und rotem Text dargestellt muß ein Schnittpunkt an dieser Stelle neu berechnet werden. Schnittpunkte die neu berechnet werden müssen werden auch in der Schnittliste rot markiert. Schnittepunkte ohne neue Berechnung sind nur an I- und P-Frames möglich. Die Reihenfolge der Schnitte in der Schnittliste kann durch schieben mit der Maus verändern werden. Einige Funktionen, z.B. "Schnittpunkt löschen", sind nur über das Kontextmenü der Schnittliste oder Tastenkombinationen zu erreichen.

4. Schneiden

Schneiden Im Informationsfeld wird die Größe der Videodatei, der Audiodatei, die Gesamtgröße und die Länge der zu schneidenden Video- und Audioteile angezeigt. Mit Hilfe der Vorschau, Taste rechts neben dem Informationsfeld, können die Übergänge zwischen den Schnitten geprüft werden (die zu prüfenden Schnitte müssen markiert sein). Mit den kleinen Tasten können die Schnittoptionen Schnitte einzeln speichern, nur markierte Schnitte bearbeiten und nur Audio schneiden eingestellt werden. Zum Schneiden wird nach einem Klick auf die Go-Taste das SchnittTool gestartet. Im SchnittTool kann ein Verzeichnis und die Namen für die neuen Dateien festgelegt werden. Im Dialog Projekteigenschaften des SchnittTools können die wichtigsten Optionen vor dem eigentlichen Schnitt nocheinmal geprüft bzw. verändert werden.

5. Nachbearbeitung

Die fertig geschnittenen Dateien können mit Hilfe von Scripten weiterverarbeitet werden. Das entsprechende Script kann unter (Optionen -> externe Programme -> Nachbearbeitung) ausgewählt werden. Die Nachbearbeitung kann mit der Option Menü -> Optionen -> Video/Audioschnitt ein- und ausgeschaltet werden.

Verweise:

  • Menü Datei
  • Kontextmenü Dateienliste
  • Kontextmenü Schnittliste
  • Dateienliste
  • Schnittliste
  • Dateidialoge
  • Dialog Optionen Schnittliste
  • Dialog Optionen Navigation
  • Dialog Optionen Tastenbelegung
  • Dialog Optionen externe Programme
  • SchnittTooldialog Projekteigenschaften
  • Drag&Drop
  • Kommandozeile
  • Scripte
  • Demuxen
  • Audiotrennzeichen


Wie was

Wie mache ich was?

An dieser Stelle sollen verschiedene Vorgehensweisen erklärt werden.

  • Programmeinstellungen
  • Effekte anwenden
  • Versatz zwischen Video und Audio beseitigen bzw. korrigieren
  • Audioversatz beim Schneiden vermeiden
  • Erweiterte Videoeffekte
  • Erweiterte Audioeffekte

Verweise:


Programmeinstellungen

Spezielle, etwas aufwendigere Einstellungen des Programms sollen hier beschrieben werden.

  • Encoder - framegenauer Schnitt, lange GOPs kürzen
  • Videoeffekte - FadeIn, FadeOut, Blackvideo
  • Audioeffekte - FadeIn, FadeOut
  • Nachbearbeitung - Muxen, DVD erstellen
  • Effektvorgaben
  • Vorwahl von Verzeichnissen und Dateinamen

Verweise:


Encoderscripte

Es besteht die Möglichkeit verschiedene Encoder für die Berechnung neuer Videoteile einzusetzen. Die Benutzung der Encoder wird über Scripte geregelt. Im folgenden einige Beispiele.

Benötigte Programme:

  • Für einige Encoder ist das Programm AVISynth nötig und muß installiert sein.
  • Der entsprechende Encoder muß vorhanden sein und sich im vom Script verwendeten Verzeichnis befinden.

(Siehe auch Systemvorraussetzungen und Installation.)

Die Scripte für Encoder werden im Verzeichnis Encoder gespeichert. Für jeden Encoder muß ein eigenes Script geschrieben werden. Damit ein Encoder vom Programm verwendet werden kann muss unter Optionen -> externe Programme -> Encoder das Encoderscript ausgewählt werden.

Script für den Encoder HCEnc:

[Encoder HC021]
X0X=*interlaced
X1X=
:enc
Echo Videoteil berechnen ($BeginIndex#, $EndIndex#)
cpsourcefile
copyx "$ProgramDirectory#\Encoder\HC-M2S-org.ini" "$TempDirectory#\HC-M2S.ini"
:eff
copyx "$ProgramDirectory#\Encoder\HC-M2S-Eff-org.ini" "$TempDirectory#\HC-M2S.ini"
Rem :all
Rem "$ProgramDirectory#\Encoder\DGmpgdec\DGIndex.exe" -IF=[$PartFile#] -OF=[$PartFiled2v#] -hide -exit
:enc
RunnotCml "$ProgramDirectory#\Encoder\HCEnc\HCenc_021.exe" -i "$PartFiled2v#" -o "$NewFile#" -ini "$TempDirectory#\HC-M2S.ini"
:eff
RunnotCml "$ProgramDirectory#\Encoder\HCEnc\HCenc_021.exe" -i "$TempDirectory#\AViSynthscript.avs" -o "$NewFile#" -ini "$TempDirectory#\HC-M2S.ini"
:all
Rem DeleteTempFiles=0

Für den framegenauen Schnitt und die Neuberechnung zu langer GOPs ist bei diesem Script kein AVISynth nötig. Videoeffekte benötigen aber auch mit diesem Script ein installiertes AVISynth.
Am Anfang eines Encoderscriptes steht immer ein eindeutiger Name in eckigen Klammern, in diesem Fall Encoder HC021. Durch Marker wird das Script in verschiedene Bereiche unterteilt. Wird das Script direkt vom Programm zum berechnen von Videoteilen aufgerufen werden die Bereiche nach den Markern :enc durchlaufen. Ruft ein Videoeffektscript dieses Encoderscript auf werden die Bereiche nach den Markern :eff durchlaufen. Die Bereiche nach dem Marker :all werden immer durchlaufen. Als erstes werden benutzerdefinierte Variablen erzeugt die in den HC-M2S*.ini Dateien benötigt werden. Der Befehl Echo sorgt für eine Ausgabe in des Protokoll des SchnittTools. Die Variablen werden vorher durch Werte ersetzt. Der Befehl cpsourcefile kopiert den zu verändernden Teil der Videodatei in eine neue Datei. Der Name dieser Datei steht in der Variablen $PartFile#. Der Befehl copyx erzeugt aus einer Quelldatei (*.org.ini) eine Ini-Datei für den Encoder. Die Variablen werden dabei durch die entsprechenden Werte ersetzt. Die durch den Befehl Rem auskommentierten Zeilen werden übersprungen. Soll die D2V-Projektdatei vom Programm DGIndex.exe erzeugt werden müssen diese Zeilen durch entfernen des Befehls Rem aktiviert werden. Das Encoderprogramm wird durch Aufruf mit dem Befehl RunnotCml mit seiner grafischen Oberfläche gestartet. Wird die Variable DeleteTempFiles in letzte Zeile durch entfernen des Befehls Rem aktiviert und auf Null gesetzt werden tempoäre Dateien nicht gelöscht.
Befindet sich das Encoderprogramm an einer anderen Stelle oder es wird eine neuere Version verwendet ist es leicht möglich das Script anzupassen.

Script für den Encoder HCEnc (verwendet AVISynth):

[Encoder AVISynt HC021]
X0X=
X1X=no
:enc
Echo Videoteil berechnen ($BeginIndex#, $EndIndex#)
cpsourcefile
copyx "$ProgramDirectory#\Encoder\AViSynthscript-org.avs" "$TempDirectory#\AViSynthscript.avs"
:all
Rem "$ProgramDirectory#\Encoder\DGmpgdec\DGIndex.exe" -IF=[$PartFile#] -OF=[$PartFiled2v#] -hide -exit
RunnotCml "$ProgramDirectory#\Encoder\HCEnc\HCenc_021.exe" -i "$TempDirectory#\AViSynthscript.avs" -o "$NewFile#" -b $Bitrate# -aspectratio $Aspectratio# -dc_prec $DCPrezision# -$X$Progressive#X#interlaced -$Fieldfirst#
Rem DeleteTempFiles=0

Dieses Script ist etwas einfacher da immer AVISynth verwendet wird. Der Bereich vom Marker :enc bis zum Marker :all wird übersprungen wenn das Script von einem Effektscript aufgerufen wird.

Script für den Encoder QuEnc:

[Encoder AVISynt QuEnc]
X0X=
X1X=no
:enc
Echo Videoteil berechnen
cpsourcefile
copyx "$ProgramDirectory#\Encoder\AViSynthscript-org.avs" "$TempDirectory#\AViSynthscript.avs"
:all
Rem "$ProgramDirectory#\Encoder\DGmpgdec\DGIndex.exe" -IF=[$PartFile#] -OF=[$PartFiled2v#] -hide -exit
RunnotCml "$ProgramDirectory#\Encoder\QuEnc\QuEnc.exe" -i "$TempDirectory#\AViSynthscript.avs" -o "$NewFile#" -b $Bitrate# -maxbitrate 6000 -1 -aspectratio $Aspectratio# -dc $DCPrezision# -$X$Progressive#X#interlaced -$Fieldfirst# -auto -close
Rem DeleteTempFiles=0

Um den QuEnc zu verwenden ist immer ein installiertes AVISynth nötig. Auch hier wird der Bereich vom Marker :enc bis zum Marker :all übersprungen wenn das Script von einem Effektscript aufgerufen wird.

Verweise:

  • Systemvorraussetzungen und Installation
  • Dialog Optionen externe Programme
  • zusätzliche Parameter
  • vordefinierte Variablen
  • selbst definierte Parameter und Variablen
  • Scripte
  • Videoeffekte FadeIn, FadeOut, Black Video


Videoeffekte FadeIn, FadeOut, Black Video

Realisierung der Videoeffekte erfolgt mit dem Programm AVISynth und einem Mpeg2encoder.

Benötigte Programme:

  • Das Programm AVISynth muß installiert sein.
  • Ein Encoderscript muß eingerichtet und ausgewählt sein

(Siehe auch Systemvorraussetzungen und Installation.)

Die Scripte für Videoeffekte sind in der Datei Videoeffekte.eff untergebracht. Weitere Effekte können auch in weiteren Effektdateien (mit der Endung .eff) untergebracht werden. Die Effektdatei(en) befindet sich im Verzeichnis Videoeffekt. Damit die Effekte vom Programm verwendet werden muss unter Optionen -> Effekte -> Videoeffektverzeichnis dieses Verzeichnis ausgewählt werden.

Script 1:

[FadeIn]
Echo Effekt "FadeIn" berechnen ($BeginIndex#, $EndIndex#)
cpsourcefile
copyx "$ProgramDirectory#\Videoeffekt\FadeIn-org.avs" "$TempDirectory#\AViSynthscript.avs"
call "$Encoder#" :eff

Am Anfang eines Effektscriptes steht immer der Effektname in eckigen Klammern, in diesem Fall FadeIn. Der Befehl Echo sorgt für eine Ausgabe in des Protokoll des SchnittTools. Die Variablen werden vorher durch Werte ersetzt. Der Befehl cpsourcefile kopiert den zu verändernden Teil der Videodatei in eine neue Datei. Der Name dieser Datei steht in der Variablen $PartFile#. Der Befehl copyx kopiert die Datei FadeIn-org.avs in die neue Datei AVISynthscript.avs und ersetzt dabei die Variablen durch entsprechende Werte. Der Befehl Call ruft ein weiteres Script auf und übergibt ihm den Marker :eff. Dieses Encoderscript verarbeitet dann die Datei AVISynthscript.avs.

Script 2:

[FadeOut]
Echo Effekt "FadeOut" berechnen ($BeginIndex#, $EndIndex#)
cpsourcefile
copyx "$ProgramDirectory#\Videoeffekt\FadeOut-org.avs" "$TempDirectory#\AVISynthscript.avs"
call "$Encoder#" :eff

Dieses Script ist für den Effekt FadeOut zuständig.

Script 3:

[Black Video]
Echo Effekt "Black Video" berechnen
cpsourcefile
copyx "$ProgramDirectory#\Videoeffekt\Black-org.avs" "$TempDirectory#\AViSynthscript.avs"
call "$Encoder#" :eff

Der Effekt Black Video erzeugt "schwarzes" Video das dann in die Zieldatei eingefügt wird.

Verweise:

  • Systemvorraussetzungen und Installation
  • Dialog Optionen Effekte
  • zusätzliche Parameter
  • vordefinierte Variablen
  • selbst definierte Parameter und Variablen
  • Scripte
  • Encoder - framegenauer Schnitt, lange GOPs kürzen


Audioeffekte FadeIn, FadeOut

Realisierung der Audioeffekte FadeIn und FadeOut mit dem Programm Besweet.exe und der Programmbibliothek FadeInOut.dll.

Benötigte Programme:

  • Programm Besweet und benötigte Komponenten. http://dspguru.notrace.dk/
  • Programmbibliothek FadeInOut.dll aus dem Mpeg2Schnittpaket

(Siehe auch Systemvorraussetzungen und Installation.)

Achtung! Zum Ein- und Ausblenden von AC3-Audio wird die Bibliothek "ac3enc.dll" verwendet. Diese erzeugt unter Umständen AC3-Audiodateien mit falscher Lautstärke. Die Effekte FadeIn und FadeOut sind also für AC3-Audio nur bedingt möglich.

Die Programmbibliothek FadeInOut.dll muß im Verzeichnis des Programms Besweet.exe liegen. Der Programmbibliothek werden Informationen mit Hilfe der Textdatei FadeInOut.txt übermittelt. Diese Datei muß auch im Verzeichnis des Programms Besweet.exe abgelegt werden. Das Programm Mpeg2Schnitt erzeugt diese Datei aus einer Vorlagedatei (diese Vorlagedatei FadeInOut-orginal.txt ist im Mpeg2Schnittpaket enthalten) in der die entsprechenden Variablen stehen.
Standardmäßig liegen alle Dateien in einem Verzeichnis Audioeffekt unterhalb des Mpeg2Schnitt Verzeichnisses.

Die Textdatei FadeInOut-orginal.txt hat folgenden Aufbau:

FileLength=$FileLength#
OverallLength=$OverallLength#
EffectLength=$EffectLength#
SilentLength=$SilentLength#
Samplerate=$Samplerate#
NofChannels=$NofChannels#

Die Scripte für Audioeffekte sind in der Datei Audioeffekte.eff untergebracht. Weitere Effekte können auch in weiteren Effektdateien (mit der Endung .eff) untergebracht werden. Die Effektdatei(en) befindet sich im Verzeichnis Audioeffekt. Damit die Effekte vom Programm verwendet werden muss unter Optionen -> Effekte -> Audioeffektverzeichnis dieses Verzeichnis ausgewählt werden.

Script 1:

[FadeIn]
:mp2
FramesEnd=1
:ac3
st2/0ch=stereo
co6ch=-6ch
:all
cpsourcefile
copyx "$Audioeffekt\FadeInOut-orginal.txt" "Audioeffekt\FadeInOut.txt"
:mp2
"$ProgramDirectory#\Audioeffekt\BeSweet.exe" -core( -input "$PartFile#" -output "$NewFile#" ) -mp2enc( -m $Mode# -b $Bitrate# -$Protection# -$Privat# -$Copyright# ) -plugin( -name FadeInOut.dll -func In )
:ac3
"$ProgramDirectory#\Audioeffekt\BeSweet.exe" -core( -input "$PartFile#" -output "$NewFile#" ) -azid( §-s $st$Mode#ch# -d $Mode# -g 2 ) -ac3enc( -b $Bitrate# $co$NofChannels#ch# ) -plugin( -name FadeInOut.dll -func In )

Am Anfang eines Effektscriptes steht immer der Effektname in eckigen Klammern, in diesem Fall FadeIn. Durch Marker wird das Script in Bereiche für die verschiedenen Audiotypen unterteilt. Der Marker :all gilt für alle Audiotypen. Im ersten Teil des Scriptes werden getrennt für die Audiotypen Variablen festgelegt. Siehe dazu auch zusätzliche Variablen und selbst definierte Variablen. Der Befehl cpsourcefile kopiert den zu verändernden Teil der Audiodatei in eine neue Datei. Der Name dieser Datei steht in der Variablen $PartFile#. Der Befehl copyx kopiert die Datei FadeInOut-orginal.txt in die Datei FadeInOut.txt, die von der Bibliothek FadeInOut.dll benötigt wird, und ersetzt dabei die Variablen durch entsprechende Werte. Danach erfolgt der Aufruf des Programms BeSweet.exe je nach Audiotyp mit unterschiedlichen Parametern. Die Variablen werden vorher durch die entsprechenden Werte ersetzt. Das Programm BeSweet.exe erzeugt eine neue Audiodatei die dann vom Programm Mpeg2schnitt weiterverwendet wird. Der Name dieser Datei steht in der Variablen $NewFile#.

Script 2:

[FadeOut]
:mp2
FramesEnd=2
EffectFramesBegin=1
:ac3
st2/0ch=stereo
co6ch=-6ch
:all
cpsourcefile
copyx "Audioeffekt\FadeInOut-orginal.txt" "Audioeffekt\FadeInOut.txt"
:mp2
"$ProgramDirectory#\Audioeffekt\BeSweet.exe" -core( -input "$PartFile#" -output "$NewFile#" ) -mp2enc( -m $Mode# -b $Bitrate# -$Protection# -$Privat# -$Copyright# ) -plugin( -name FadeInOut.dll -func Out )
:ac3
"$ProgramDirectory#\Audioeffekt\BeSweet.exe" -core( -input "$PartFile#" -output "$NewFile#" ) -azid( §-s $st$Mode#ch# -d $Mode# -g 2 ) -ac3enc( -b $Bitrate# $co$NofChannels#ch# ) -plugin( -name FadeInOut.dll -func Out )

Dieses Script ist für den Effekt FadeOut zuständig. Die Bedeutung der im ersten Teil des Scriptes festgelegten Variablen kann unter zusätzliche Variablen und selbst definierte Variablen nachgelesen werden.

Script 3:

[Fade]
:mp2
AInA=1
AOutA=2
BInB=0
BOutB=1
FramesEnd=$A$CutType#A#
EffectFramesBegin=$B$CutType#B#
:ac3
st2/0ch=stereo
co6ch=-6ch
:all
cpsourcefile
copyx "$ProgramDirectory#\Audioeffekt\FadeInOut-orginal.txt" "Audioeffekt\FadeInOut.txt"
:mp2
"$ProgramDirectory#\Audioeffekt\BeSweet.exe" -core( -input "$PartFile#" -output "$NewFile#" ) -mp2enc( -m $Mode# -b $Bitrate# -$Protection# -$Privat# -$Copyright# ) -plugin( -name FadeInOut.dll -func $CutType# )
:ac3
"$ProgramDirectory#\Audioeffekt\BeSweet.exe" -core( -input "$PartFile#" -output "$NewFile#" ) -azid( §-s $st$Mode#ch# -d $Mode# -g 2 ) -ac3enc( -b $Bitrate# $co$NofChannels#ch# ) -plugin( -name FadeInOut.dll -func $CutType# )

Das Effektscipt Fade kann für den FadeIn und für den FadeOut verwendet werden. Jenachdem ob der Effekt am Anfang oder am Ende eines Schnittes verwendet wird hat die Variable $CutType# den Wert In oder Out und die neue Audiodatei wird mit dem entsprechenden Effekt erzeugt.

Verweise:

  • Systemvorraussetzungen und Installation
  • Dialog Optionen Effekte
  • zusätzliche Parameter
  • vordefinierte Variablen
  • selbst definierte Parameter und Variablen
  • Scripte


Nachbearbeitung

Die Nachbearbeitung der geschnittenen Video- und Audiodateien wird durch Scripte gesteuert.

Benötigte Programme:

  • Die zur Nachbearbeitung verwendeten Programme müssen sich in den entsprechenden Verzeichnissen befinden.

(Siehe auch Systemvorraussetzungen und Installation.)

Die Scripte zur Nachbearbeitung befinden sich im Verzeichnis Muxen. Für jede Nachbearbeitung muß ein eigenes Script geschrieben werden. Damit ein Script vom Programm verwendet werden kann muss es unter Optionen -> externe Programme -> Nachbearbeitung ausgewählt werden. Die Nachbearbeitung kann mit der Option Menü -> Optionen -> Video/Audioschnitt ein- und ausgeschaltet werden.

1. Muxen(multiplexen):

Script Muxen mit mplex (DVDAuthor):

[Muxen mit mplex (DVDAuthor)]
Echo Muxen mit mplex (DVDAuthor).
"Muxen\DVDAuthor\mplex.exe" -f 8 -o "$Videodirectory#/$Videoname#.mpg" "$Videofile#" "$Audiofile1#" "$Audiofile2#" "$Audiofile3#"

Jedes Script beginnt mit einem eindeutigen Namen in eckigen Klammern. Dieses Script benutzt das Programm mplex.exe zum Muxen der geschnittenen Video- und Audiodateien. Das Programm mplex.exe wird mit dem Mpeg2Schnitt-Archiv mitgeliefert und befindet sich nach dem Entpacken im Verzeichnis Muxen\DVDAuthor\. Der Befehl Echo schreibt einen Eintrag in das Protokoll des SchnittTools. Die nächste Zeile ruft dann das Muxprogramm auf und übergibt die nötigen Parameter. Die Variablen werden vorher durch die entsprechenden Werte ersetzt. Die Ausgaben des Komandozeilenprogramms mplex.exe werden in das Protokoll des SchnittTools umgeleitet.

Script Muxen mit mplex1:

[Muxen mit mplex1]
Echo Muxen mit mplex1.
"Muxen\Mplex1\mplex1.exe" "$Videofile#" "$Audiofile1#" "$Videodirectory#\$Videoname#.mpg"

Verwendet zum Muxen das Komandozeilenprogramm mplex1.exe.

Script Muxen mit Imagomuxer:

[Muxen mit Imagomuxer]
Echo Muxen mit Imagomuxer.
RunnotCml "Muxen\Imagomuxer\ImagoMPEG-Muxer.exe" "$Videofile#" "$Audiofile1#" "$Audiofile2#" "$Audiofile3#" -o -mpg

Verwendet zum Muxen das Programm ImagoMPEG-Muxer.exe. Das Programm hat eine eigene grafische Oberfläche und wird deshalb mit dem Befehl RunnotCml aufgerufen. Es wird zwar auf die Beendigung des Programms gewartet aber es werden keine Ausgaben des Programms in das Protokoll des SchnittTools geschrieben.

Script Muxen mit bbmpeg:

[Muxen mit bbmpeg]
Echo Muxen mit bbmpeg (Runbbmpeg.exe).
Copyx "Muxen\bbmpeg\Muxen_mit_bbMPEG.ini" "Muxen\bbmpeg\default.ini"
RunnotCml "Muxen\bbmpeg\RunbbMPEG.exe" "$Videodirectory#\$Videoname#.mpg"

Verwendet zum Muxen das Programm bbmpeg. Das Programm wird über RunbbMPEG.exe aufgerufen. Der Behfehl Copyx kopiert eine Inidatei für das Programm und ersetzt dabei die Variablen durch Werte.

Auszug aus der Datei Muxen_mit_bbMPEG.ini (nur die Zeilen mit Variablen):
...
AudioFilename=$Audiofile1#
Audio1Filename=$Audiofile2#
VideoFilename=$Videofile#
...

Diese Datei befindet sich im Mpeg2Schnittpaket und wird in das Verzeichnis Muxen\bbmpeg\ entpackt. Das Programm hat eine eigene grafische Oberfläche und wird deshalb mit dem Befehl RunnotCml aufgerufen.

2. DVD erstellen (authoren):

Script DVD mit DVDAuthor erstellen:

[DVD mit DVDAuthor erstellen]
Rem erstellt eine komplette DVD Struktur
Echo Muxen der Dateien: "$VideoFile#"§, "$AudioFile1#"§, "$AudioFile2#"§, "$AudioFile3#"
"Muxen\DVDAuthor\mplex.exe" -f 8 -o "$Videodirectory#/$Videoname#.mpg" "$Videofile#" "$Audiofile1#" "$Audiofile2#" "$Audiofile3#"
Echo Verzeichnis "$Videodirectory#\$Videoname#" erstellen.
CMD md "$Videodirectory#\$Videoname#"
Echo DVD-Struktur erstellen. §Kapitel: $ChapterList;Format=hh:mm:ss.ff;Delimiter=,;ListZero=1#
"Muxen\DVDAuthor\dvdauthor.exe" -t -o "$Videodirectory#\$Videoname#" -i post=exit; §-c $ChapterList;Format=hh:mm:ss.ff;Delimiter=,;ListZero=1# -f "$Videodirectory#\$Videoname#.mpg"
Echo Ifo-Dateien erzeugen.
"Muxen\DVDAuthor\dvdauthor.exe" -T -o "$Videodirectory#\$Videoname#"
Rem CMD del "$Videodirectory#/$Videoname#.mpg" Rem Hier wäre noch das Brennen der DVD möglich. (NeroCmd o.ä.)

Zeilen die mit dem Befehl Rem beginnen sind Kommentare und werden bei der Ausführung des Scriptes übersprungen. Dieses Script erstellt eine komplette DVD-Struktur (ohne Menüs). Der Befehl Echo schreibt den nachfolgenden Text in das Protokoll des SchnittTools. Das Programm mplex.exe muxt die Video und Audiodateien zu einer Mpegdatei. Der Befehl CMD startet den Kommandoprzessor und führt das DOS-Kommando md mit den folgenden Parametern aus. Die Variablen werden vorher durch Werte ersetzt. Hier wird also ein neues Verzeichnis angelegt. Danach wird mit dem Programm dvdauthor.exe die DVD-Struktur erstellt und die Ifo-Dateien angelegt. Das Löschen der Mpeg-Datei, die nur als Zwischenschritt benötigt wird, mit dem Befehl CMD del ist auskommentiert. Wer möchte kann das Script erweitern und die DVD-Struktur gleich auf DVD brennen (z.B. mit NeroCmd).

Script DVD mit IfoEdit erstellen:

[DVD mit IfoEdit erstellen]
Echo Erstellen einer DVD mit IfoEdit.
RunnotCml "Muxen\IfoEdit\Run_IfoEdit.exe" "$VideoFile#"§, "$AudioFile1#"§, "$AudioFile2#"§, "$AudioFile3#" /timeout="40"
Rem RunnotCml "Muxen\IfoEdit\Run_IfoEdit.exe" "$VideoFile#"§, "$AudioFile1#"§, "$AudioFile2#"§, "$AudioFile3#" /timeout="40" /method="2"
Rem Hier wäre noch das Brennen der DVD möglich. (NeroCmd o.ä.)

Das Programm IfoEdit kann nicht direkt mit Parametern aufgerufen werden. Deshalb wird das Programm Run_IfoEdit.exe zur "Fernsteuerung" von Ifoedit verwendet. Das Programm Run_IfoEdit.exe ist im Mpeg2Schnittpaket enthalten und wird in das Verzeichnis Muxen\IfoEdit\ entpackt. In diesem Verzeichnis befindet sich auch die Datei Run_Ifoedit.txt mit weiteren Informationen. Das Programm Run_IfoEdit.exe kann auf zwei Arten aufgerufen werden. Einer der beiden Aufrufe muß immer mit dem Befehl Rem auskommentiert werden.

Script DVD mit Muxman (v0.15) erstellen:

[DVD mit Muxman (v0.15) erstellen]

3. Programm zur Weiterbearbeitung starten:

Script DVD mit GfD erstellen /keine Titelsets:

[DVD mit GfD erstellen /keine Titelsets]
Echo GfD (Gui for DVDAuthor) zum erstellen einer DVD aufgerufen.
Runnotwait "Muxen\DVDAuthor\GfD\GUI_DVDauthor.exe" "$VideoFile#"§, "$AudioFile1#"§, "$AudioFile2#"§, "$AudioFile3#" §/chapters="$ChapterList; Format=hh:mm:ss:mss; Delimiter=,; ListZero=1#" /format="PAL" /usetitlesets="OFF"

Der Befehl Echo schreibt den nachfolgenden Text in das Protokoll des SchnittTools. Der Befehl Runnotwait startet das Programm mit den angegebenen Parametern, wartet dann aber nicht auf dessen Beendigung. Die Variablen werden vorher durch die entsprechenden Werte ersetzt.

Script DVD mit GfD erstellen /mit Titelsets:

[DVD mit GfD erstellen /mit Titelsets]
Echo GfD (Gui for DVDAuthor) zum erstellen einer DVD aufgerufen.
Runnotwait "Muxen\DVDAuthor\GfD\GUI_DVDauthor.exe" "$VideoFile#"§, "$AudioFile1#"§, "$AudioFile2#"§, "$AudioFile3#" §/chapters="$ChapterList; Format=hh:mm:ss:mss; Delimiter=,; ListZero=1#" /format="PAL" /usetitlesets="ON"

Dieses Script arbeitet genau wie das vorherige Script nur das im Programm GfD (Gui for DVDAuthor) mehrere Titelsets angelegt werden können.

Verweise:

  • Systemvorraussetzungen und Installation
  • Dialog Optionen externe Programme
  • vordefinierte Variablen
  • selbst definierte Parameter und Variablen
  • Scripte


Vorwahl von Verzeichnissen und Dateinamen

Um nicht jedesmal durch unendlich viele Verzeichnisse navigieren zu müssen können für bestimmte Aktionen Verzeichnisse und manchmal auch Dateinamen vorgewählt werden. Die Einstellungen hierzu werden für Verzeichnisse im Dialog Optionen / Verzeichnisse und für Dateinamen im Dialog Optionen / Dateinamen/Endungen vorgenommen.

Projekt speichern:

Im Eingabefeld Projektverzeichnis kann ein Verzeichnis eingetragen werden. Dabei können die Variablen $Videodirectory#, $Projectdirectory#, $Videoname# und $Projectname# verwendet werden. Sollte das Eingabefeld leer sein wird das Programmverzeichnis benutzt. Ist die Option Verzeichnis ändern markiert merkt sich das Programm immer das zuletzt zum speichern eines Projektes verwendete Verzeichnis. Dabei werden auch Variablen überschrieben.
Ein Projektname kann im Eingabefeld Projektdateiname vorgegeben werden. Hier sind die Variablen $Videoname# und $Projectname# möglich. Ist kein Dateiname definiert wird der aktuelle Projektname, der Name der ersten Video- oder Audiodatei in der Schnittliste oder der Name "Projekt1" verwendet (in dieser Reihenfolge).

Beispiele:

  1. Projekte sollen immer in einem bestimmten Verzeichnis mit dem ersten verwendeten Videonamen gespeichert werden.
    Im Eingabefeld Projektverzeichnis muß das Verzeichnis eingetragen werden. Doppelklick auf das Eingabefeld öffnet einen Verzeichnisdialog. Auch ein Kontextmenü ist vorhanden. Die Option Verzeichnis ändern kann abgewählt werden.
    Die Variable $Videoname# wird in das Eingabefeld Projektdateiname eingetragen.
  2. Projekte sollen immer im Verzeichnis der Videodateien gespeichert werden.
    In das Eingabefeld Projektverzeichnis muß die Variable $Videodirectory# eingetragen werden. Die Option Verzeichnis ändern muß abgewählt werden.
  3. Für jedes Projekt soll ein Verzeichnis mit dem Namen der Videodatei in einem bestimmten Verzeichnis erzeugt werden.
    Das Verzeichnis wird in das Eingabefeld Projektverzeichnis gefolgt von der Variablen $Videoname# eingetragen. Die Option Verzeichnis ändern muß abgewählt werden. (z.B. E:\Projekte\$Videoname#\)

Scheiden:

Im Eingabefeld Zielverzeichnis kann ein Verzeichnis eingetragen werden. Dabei können die Variablen $Videodirectory#, $Projectdirectory#, $Videoname# und $Projectname# verwendet werden. Sollte das Eingabefeld leer sein wird das Verzeichnis der ersten Videodatei (bzw. Audiodatei) in der Schnittliste benutzt. Ist die Option Verzeichnis ändern markiert merkt sich das Programm immer das zuletzt zum Schneiden verwendete Verzeichnis. Dabei werden auch Variablen überschrieben.
Ein Name für das zu schneidene Video kann im Eingabefeld Zieldateiname vorgegeben werden. Hier sind die Variablen $Videoname# und $Projectname# möglich. Ist kein Zieldateiname definiert wird der aktuelle Projektname verwendet, ist auch noch kein Projektname festgelegt wird der Name der ersten Video- oder Audiodatei in der Schnittliste verwendet. Ist die Option Zieldateidialog unterdrücken markiert wird der Speicherndialog nicht aufgerufen. Der geschnittene Film wird ohne Nachfrage unter dem vorgewähltem Namen gespeichert. Dabei muß sichergestellt sein das die Orginaldateien nicht überschrieben werden.

Beispiele:

  1. Die fertig geschnittenen Dateien sollen immer in einem bestimmten Verzeichnis mit dem ersten verwendeten Videonamen und einer Erweiterung ("-neu") gespeichert werden.
    Im Eingabefeld Zielverzeichnis muß das Verzeichnis eingetragen werden. Doppelklick auf das Eingabefeld öffnet einen Verzeichnisdialog. Auch ein Kontextmenü ist vorhanden. Die Option Verzeichnis ändern kann abgewählt werden.
    Die Variable $Videoname# wird gefolgt von der Erweiterung in das Eingabefeld Zieldateiname eingetragen ($Videoname#-neu).
  2. Die fertigen Dateien sollen immer im Verzeichnis der Videodateien unter einem bestimmten Namen gespeichert werden.
    In das Eingabefeld Zielverzeichnis muß die Variable $Videodirectory# eingetragen werden. Die Option Verzeichnis ändern muß abgewählt werden.
    Der Name der fertigen Datei wird im Eingabefeld Zieldateiname eingetragen (z.B. "fertiger Film").
  3. Die Variable $Videodirectory# im Eingabefeld Zielverzeichnis und $Videoname# im Eingabefeld Zieldateiname würde die erste verwendete Quelldatei überschreiben. Deshalb wird der Dateiname unter Beachtung der Vorschrift im Dialog Optionen / Dateinamen/Endungen - Dateinamen nummerieren - Schnittdateien hochgezählt (z.B. 001Testfilm).
  4. Die fertigen Filme sollen immer auf einer bestimmten Festplatte in einem Verzeichnis mit dem Namen des Projektes gespeichert werden.
    Die Festplatte wird in das Eingabefeld Zielverzeichnis gefolgt von der Variablen $Projectname# eingetragen. Die Option Verzeichnis ändern muß abgewählt werden. (z.B. E:\$Projectname#\)

Kapitel exportieren:

Im Eingabefeld Kapitelverzeichnis kann ein Verzeichnis eingetragen werden. Dabei können die Variablen $Videodirectory#, $Projectdirectory#, $Videoname# und $Projectname# verwendet werden. Sollte das Eingabefeld leer sein wird das Verzeichnis der ersten Videodatei (bzw. Audiodatei) in der Kapitelliste benutzt. Ist die Option Verzeichnis ändern markiert merkt sich das Programm immer das zuletzt verwendete Verzeichnis. Dabei werden auch Variablen überschrieben.
Ein Name für die Kapitelliste kann im Eingabefeld Kapiteldateiname vorgegeben werden. Hier sind die Variablen $Videoname# und $Projectname# möglich. Ist kein Zieldateiname definiert wird der aktuelle Projektname verwendet, ist auch noch kein Projektname festgelegt wird der Name der ersten Video- oder Audiodatei in der Kapitelliste verwendet.

Vorschau:

Das Verzeichnis zum speichern der Vorschaudateien kann im Eingabefeld Vorschauverzeichnis eingetragen werden. Dabei können die Variablen $Videodirectory#, $Projectdirectory#, $Videoname# und $Projectname# verwendet werden. Sollte das Eingabefeld leer sein wird das Programmverzeichnis benutzt. Die Vorschaudateinamen werden automatisch gebildet.
Die Option Vorschaudateien löschen ist nur wirksamm wenn hier keine Variablen verwendet werden.

Beispiele:

  1. Die Vorschaudateien sollen immer in einem Verzeichnis gespeichert werden.
    Das gewünschte Verzeichnis muß im Eingabefeld Vorschauverzeichnis eingetragen oder in einem Verzeichnisdialog ausgesucht werden.
  2. Vorschaudateien sollen im Verzeichnis Vorschau unterhalb des Projektverzeichnises gespeichert werden. Ist das Projekt beendet können so alle zugehörigen Dateien auf einmal gelöscht werden.
    In das Eingabefeld Vorschauverzeichnis wird die Variable $Projectdirectory# gefolgt vom Verzeichnisnamen Vorschau eingetragen. (z.B. C:\$Projectdirectory#\Vorschau\)

Verweise:

  • Dateidialoge
  • Dialog Optionen / Verzeichnisse
  • Dialog Optionen / Dateinamen/Endungen
  • vordefinierte Variablen


Effekte

Um Video- und Audioeffekte verwenden zu können müssen bestimmte Programme installiert werden oder in bestimmten Verzeichnissen vorhanden sein.
Welche Programme benötigt werden und wohin sie kopiert werden müssen ist auf der Hilfeseite zur Installation beschrieben.
Die Scripte für die Videoeffekte FadeIn, FadeOut, Blackvideo und für die Audioeffekte FadeIn und FadeOut sind im Programmpaket enthalten. Weitere Effekte können durch Bearbeitung der Scripte erstellt werden.

Effekte anwenden

Video- und Audioeffekte können für den Anfang und/oder das Ende eines Schnittes und für den gesammten Schnitt festgelegt werden. Dazu einen oder mehrere Schnitte in der Schnittliste markieren und durch einen Rechtsklick in die Schnittliste das Kontextmenü öffnen. Im Kontextmenü den Menüpunkt Videoeffekt oder Audioeffekt auswählen. Hat der zuletzt markierte Schnitt (mit dem gestrichelten Rahmen) schon Effekteinstellungen werden diese in den Effektdialog übernommen. Andernfalls wird bei eingeschalteter Option eingestellte Effektvorgaben im Effektdialog verwenden im Dialog Optionen -> Effekte die eingestellte Effektvorgabe übernommen. Im Effektdialog können nun alle nötigen Einstellungen für den Effekt vorgenommen werden. Bitte auch die Hilfe zum Effektdialog ansehen.

Die Eingabefelder "Einstellungen:"

Benötigt ein Effekt weitere Informationen können diese an dieser Stelle eingetragen werden. (siehe auch die Hilfe zum Effektdialog) Soll z.B. der Audio-FadeOut-Effekt am Ende noch 0,5 Sekunden Stille enthalten kann hier der Parameter SilentLength=500 eingetragen werden. Ist die Effektzeit auf 5 Sekunden eingestellt wird der Ton in 4,5 Sekunden ausgeblendet und ist dann noch 0,5 Sekunden still. (siehe auch die Hilfe zu selbst definierte Parameter und Variablen)

Vorschau

Mithilfe der Vorschaufunktion können auch die Effekte am Ende des ersten und am Anfang des zweiten Schnittes markierten Schnittes kontrolliert werden. Ist die Option Optionen -> Vorschau -> Vorschaudauer auf Effektlänge erweitern aktiviert wird die Vorschau soweit verlängert das die Effekte in voller Länge kontrolliert werden können.

Beispiele:

Videoeffekt FadeIn und FadeOut | Im Auswahlfeld für Effektvorgaben Normal oder Kurz auswählen. Die Felder des Anfangs- und des Endeffektes werden mit Vorgabewerten belegt. Diese Vorgaben, z.B. die Effektzeit, können nun noch verändert werden. Nach einem Klick auf OK werden die Einstellungen für alle markierten Schnitte übernommen.
Videoeffekt Black Video | Die Option Anfangseffekt über den gesammten Schnitt anwenden einschalten. Nun im Auswahlfeld für den Anfangseffekt Black Video auswählen. Nach einem Klick auf OK wird der Effekt auf den gesammten Schnitt angewendet, das bedeutet der Schnitt wird schwarz. Der Ton bleibt unverändert.
Audioeffekt FadeOut | Im Auswahlfeld für Effektvorgaben Normal oder Kurz auswählen. Die Felder des Anfangs- und des Endeffektes werden mit Vorgabewerten belegt. Nun den Anfangseffekt durch die Auswahl von kein Effekt löschen. Die Angaben zur Effektzeit und den Einstellungen spielen jetzt für den Anfangseffekt keine Rolle mehr. Man kann aber der Ordnung halber die Effektzeit auf 0 setzen und die Einstellungen löschen. Die Effektzeit und die Einstellungen für den Endeffekt können noch angepasst werden. OK übernimmt die Effekteinstellungen für die markierten Schnitte.

Verweise:

  • Installation
  • Videoeffekte FadeIn, FadeOut, Blackvideo
  • Audioeffekte FadeIn, FadeOut
  • Schnittliste
  • Kontextmenü der Schnittliste
  • Dialog Effekte
  • Dialog Optionen Effekte
  • selbst definierte Parameter und Variablen
  • Scripte


Audiooffset beseitigen

Versatz zwischen Video und Audio beseitigen bzw. korrigieren

Verschiebungen zwischen Video und Audio sind eine unangenehme und teilweise zeitaufwendige Angelegenheit. Grundsätzlich sollte man versuchen das Problem immer bei der Ursache zu bekämpfen, also DVB-Dateien mit ProjektX oder PVAStrumento demuxen, dabei werden Fehler und Asynchonität soweit wie möglich korrigiert, und für eine möglichst fehlerfreie Aufnahme sorgen. Dateien von DVDs sollten eigentlich keinen Versatz aufweisen. Sind Video und Audio erst einmal demuxt ist der zeitliche Bezug verloren. Ausgenommen das Video und Audio zur selben Zeit anfangen und die gleiche Länge haben (sollten). An dieser Stelle möchte ich einige Lösungsvorschläge mit dem Programm Mpeg2Schnitt vorstellen für den Fall das die Dateien demuxt sind, einen Versatz aufweisen und die Orginaldateien schon gelöscht sind.

Der erste Fall: Video und Audio haben einen konstanten Versatz über den gesamten Film.

Dieser Fall stellt kein großes Problem dar. Einfach den nötigen Audiooffset für jede Audiodatei ermitteln und eintragen. Im Audiooffsetfenster wird immer der Versatz für die Audiodatei eingetragen die gerade im Abspielfenster angezeigt und demzufolge abgespielt wird. Negative Werte bedeuten das die Audiodatei nach vorn verschoben, also früher abgespielt wird.
Den Audioversatz kann man nur durch Versuche ermitteln. Am besten man sucht sich dazu eine Stelle an der Video und Audio eindeutig zuzuordnen sind (Tür schlägt zu, Schuß o.ä.).

Der zweite Fall: Video und Audio haben einen sich gleichmäßig ändernden Versatz. Die Audiodatei ist also kürzer oder länger als die Videodatei.

In diesem Fall hat man zwei Möglichkeiten. Entweder man streckt oder staucht die Audiodatei auf die Länge das Videos, das ist natürlich mit einer Neukodierung der Audiodatei verbunden, oder man verwendet die Methode das dritten Falls. Dabei müssen dann in mehr oder weniger regelmäßigen Abständen Schnittpunkte gesetzt werden.

Der dritte Fall: Der Versatz zwischen Video und Audio ändert sich scheinbar zufällig. Das kann z.B. passieren wenn beim demuxen fehlerhafte Bilder weggelassen werden und der Ton nicht angepasst wird. Genauso ist es möglich das Audioframes verloren gehen und die Bilder nicht angepasst werden.

Und so sieht der Beispielfilm aus:
Angenommen der Film hat 3 verschieden Versatzbereiche. Am Anfang ist der Audioversatz positiv (der Ton kommt 24 Bilder, 960 ms, zu spät). Irgendwo vor dem ersten Teil sind also 24 Bilder verloren gegangen, der Ton ist aber vorhanden. Danach folgt ein Teil mit negativem Versatz (der Ton kommt 240 ms zu früh), hier fehlen also 1200 ms Ton (960 ms + 240 ms, da der Versatz des vorherigen Abschnittes ja erst kompensiert werden muß). Am Ende ist wieder ein Teil mit positivem Versatz. Es fehlen 15 Bilder, eine komplette GOP wurde verworfen. Der Versatz ist bewußt sehr groß gewählt denn Übertreibung macht ja bekanntlich anschaulich.

Zu den orangefarbenen Bereichen fehlt das entsprechende Gegenstück (Video oder Audio).

Zuerst soll der Ton dem Video angepasst werden.

Die Video- und Audiodateien werden in die Dateienliste geladen (Video/Audio öffnen). Der Versatz für den ersten Teil das Films wird durch probieren ermittelt (positive Zahl) und für jede Audiodatei in das Audiooffsetfenster eingetragen. In unserem Beispiel sind das also -960 ms. Danach wird ein Schnitt in der Schnittliste erzeugt. Der In-Schnitt kommt ganz an den Anfang des Films und der Out-Schnitt an die Stelle an der der Ton gerade noch synchron ist. Günstig ist eine Stelle an der eine Unterbrechung oder ein Ruckler des Tons kaum zu hören ist. Der Bildtype (I-, P- oder B-Frame) spielt dabei keine Rolle. Ist es ein B-Frame wird der Out-Schnit des Schnittes in der Schnittliste rot dargestellt.

01 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -960 ms
Bild 1a Dateienliste
01 01 -- 00:00:00:00 -- 00:00:59:11
Bild 1b Schnittliste

Nun wird die gleiche Videodatei und ihre Audiodatei(en) noch einmal in der Dateienliste geöffnet. Wieder wird der Audioversatzt, diesmal aber für den mittleren Teil, ermittelt (240 ms) und in das Audiooffsetfenster für jede Audiodatei des zweiten Hauptknotens in der Dateienliste eingetragen. Danach erstellen wir wieder einen Schnitt in der Schnittliste. Der In-Schnitt muß genau ein Bild nach dem Out-Schnitt des vorherigen Schnittes liegen. Dadurch passen die Bilder der Schnitte zusammen (beide Schnitte sind aus der gleichen Datei) und werden grün eingefärbt. An dieser Stelle muß nichts neu berechnet werden. Der Out-Schnitt liegt wieder an der Stelle an der es gerade noch synchron ist.

01 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -960 ms
02 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -240 ms
Bild 2a Dateienliste
01 01 -- 00:00:00:00 -- 00:00:59:11
02 02 -- 00:00:59:12 -- 00:02:10:11
Bild 2b Schnittliste

Für den dritten Schnitt müssen nun wieder die Video mit den dazugehörigen Audiodateien in die Dateienliste geladen werden und der Audioversatz für jede Audiodatei ermittelt und eingestellt werden. Der In-Schnitt des dritten Schnittes muß wieder nahtlos an den Out-Schnitt des zweiten Schnittes anschließen.

01 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -960 ms
02 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -240 ms
03 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -360 ms
Bild 3a Dateienliste
01 01 -- 00:00:00:00 -- 00:00:59:11
02 02 -- 00:00:59:12 -- 00:02:10:11
03 03 -- 00:02:10:12 -- 00:02:42:01
Bild 3b Schnittliste

In der Schnittliste existieren jetzt 3 Schnitte von denen jeder auf einen Hauptknoten im Dateienliste verweist. Für jeden Hauptknoten können die Offsetwerte für die Audiodateien seperat eingestellt und auch nach der Erzeugung des Schnittes noch geändert werden. Durch einen einfachen Klick auf den Schnitt in der Schnittliste wird der dazugehörige Dateiknoten angezeigt. Ein Doppelklick auf den Schnitt bringt die dazugehörigen Dateien, und damit auch den Audiooffset, zur Anzeige.

Nun stellen wir aber fest das zwischen dem ersten und dem zweiten Schnitt der Ton ca. eine Sekunde wiederholt wird (logisch, wir haben den Ton des ersten Schnittes nach vorn und den Ton des zweiten Schnittes nach hinten verschoben). Diese Sekunde Ton fehlt einfach und soll durch Stille erstetzt werden. Dazu fügen wir wieder die Videodatei in die Dateienliste ein, diesmal ohne Audiodatei(en) (die Audiodateien einfach aus der Dateienliste löschen). Der dazugehörige Schnitt wird vor dem zweiten Schnitt eingefügt und hat die Länge des Fehlenden Tons (1200 ms, 00:00:01.05). Der dritte Schnitt wird am Anfang entsprechend gekürzt. Die Schnitte sollen nahtlos aneinander passen.

01 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -960 ms
02 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -240 ms
03 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -360 ms
04 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio ->
Bild 4a
01 01 -- 00:00:00:00 -- 00:00:59:11
04 04 -- 00:00:59:12 -- 00:01:00:16
02 02 -- 00:01:00:17 -- 00:02:10:11
03 03 -- 00:02:10:12 -- 00:02:42:01
Bild 4b Schnittliste

Wichtig ist das im Dialog Optionen -> Video/Audioschnitt -> Audioschnitt die entsprechenden "Stillen Audioframes" eingetragen sind.

Zwischen dem ersten und dem dritten Schnitt ist ca. eine Sekunde ohne Ton und zwischen dem dritten und dem vierten Schnitt wurden 600 ms (15 Bilder) Ton entfernt.

Jetzt soll das Video dem Ton angepasst werden.

Die Dateiknoten 01 bis 03 mit den eingestellten Audioffsets können wieder benutzt werden. Der Dateiknoten 04 wird nicht mehr benötigt und auch der zweite Schnitt kann gelöscht werden. Der erste Schnitt wird am Ende bis zu einem erlaubtem Bild (I- oder P-Frame) gekürzt. Für den zweiten Schnitt in der Schnittliste muß am Anfang ein I-Frame gesucht werden. Um den Übergang zwischen dem ersten Videoteil und dem zweiten Videoteil zu verbessern habe ich beim Testfilm noch einige Bilder mehr weggelassen (Bild 5b). Zur Kontrolle des Überganges kann die Vorschau benutzt werden.

01 01 -- 00:00:00:00 -- 00:00:59:10
02 02 -- 00:01:00:24 -- 00:02:10:11
03 03 -- 00:02:10:12 -- 00:02:42:01
Bild 5a Schnittliste
01 01 -- 00:00:00:00 -- 00:00:58:20
02 02 -- 00:01:00:24 -- 00:02:10:11
03 03 -- 00:02:10:12 -- 00:02:42:01
Bild 5b Schnittliste

Etwas aufwendiger wird es zwischen dem zweiten und dem dritten Teil des Testvideos. Da hier 15 Bilder fehlen, der Ton aber durchgängig erhalten bleiben soll, muß hier ein neues Videoteil eingefügt werden. Dieses Video erstellen wir aus dem letzten Bild vor den fehlenden Bildern. Dazu kann man z.B. Avisynth und den TMpgenc, aber auch alle möglichen anderen Programme verwenden. Die neue Videodatei, die die gleichen Eigenschaften wie die orginale Videodatei haben muß, wird in der Dateienliste geöffnet und die orginalen Audiodatei(en) hinzugefügt. Damit der Ton in der richtigen Folge abgespielt wird muß noch der richtige Offset angegeben werden. Der Offset muß mit negativem Vorzeichen angegeben werden damit die Audiodatei nach von verschoben wird. Im Beispiel ist das also die Zeit des letzten Bildes (-00:02:10.11, 130440 ms) plus ein Bild (-40 ms) + ein eventuell vorhandener Versatz (240 ms). Daraus ergibt sich -00:02:10.11 + -00:00:00.01 + 00:00:00.06 = -00:02:10.06 (-130440 ms + -40 ms + 240 ms = -130240 ms). Der Audioversatz kann im Audiooffsetfenster in der Form -00:02:10.06 oder -130240 eingegeben werden. Ob der Audiooffset richtig ist kann wieder mit der Vorschau kontrolliert werden.

01 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -960 ms
02 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -240 ms
03 | Testfilm Offset
 | Video -> H:\Test\Testfilm Offset.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -360 ms
04 | Testfilm Offset Standbild
 | Video -> H:\Test\Testfilm Offset Standbild.mpv
 | Audio -> H:\Test\Testfilm Offset.mp2 -130240 ms
Bild 6a Dateienliste
01 01 -- 00:00:00:00 -- 00:00:58:20
02 02 -- 00:01:00:24 -- 00:02:10:11
04 04 -- 00:00:00:00 -- 00:00:00:14
03 03 -- 00:02:10:12 -- 00:02:42:01
Bild 6b Schnittliste

Zwischen dem ersten und dem zweiten Schnitt wurden 1200 ms (30 Bilder) Video entfernt und zwischen den zweiten und vierten Schnitt ein Videoteil aus 15 Standbildern (600 ms) eingefügt.

Beide Varianten, Audio an Video anpassen und Video an Audio anpassen, können natürlich in einem Projekt auch gemischt werden.

Verweise:

  • Menü Datei
  • Audiooffsetfenster
  • Dateienliste
  • Schnittliste
  • Dialog Optionen Video/Audioschnitt


Schnitttipp Audioversatz vermeiden

Audioversatz beim Schnitt vermeiden

Video- und Audioframes haben eine unterschiedliche Länge (typische Längen: Pal-Video 40 ms, MP2-Audio 24 ms, AC3-Audio 32 ms). Deshalb ist es beim Schneiden nicht zu vermeiden das Audiodateien eine von den Videodateien abweichende Länge haben (maximal halbe Audioframelänge). Ausserdem kann es zu einem Audioversatz von maximal der halben Audiofarmelänge kommen. Siehe auch Audioschnittberechnung. Diese geringen Unterschiede sind aber noch nicht zu hören.

Zu größeren Verschiebungen kann es aber kommen wenn einzelne Schnitte als extra Datei zwischengespeichert werden. Diese Dateien haben dann keine Information über ihren Audioversatz. Werden diese Teildateien dann wieder zusammengefügt können sich die Verschiebungen addieren. Im Beispiel oben hat der zweite Abschnitt einen Versatz von -8 + -16 = -24 ms.

Zu weiteren Verschiebungen kann es kommen wenn mehrere Teildateien mit zu kurzer Audiodatei (Beispiel 4) zusammengefügt werden aber keine "leeren Audioframes" vohanden sind. Am Punkt A hätte ein Audioframe eingefügt werden müssen.

Diesen Verschiebungen kann man begegnen indem alles in einem Durchgang geschnitten wird. Dadurch ist es möglich den Audioversatz als Ganzes zu berechnen, das Audioframe A wurde zusätzlich eingefügt, und es werden in den meisten Fällen keine leeren Audioframes benötigt.

Verweise:

  • Audioschnittberechnung
  • Dialog Optionen Video/Audioschnitt


Schnitttipp erweiterte Audioeffekte verwenden

Erweiterte Audioeffekte verwenden

In diesem Beispiel soll der Übergang zwischen zwei Audiodateien durch eine Überblendung verbessert werden. Die Überblendung soll zwei Sekunden dauern. Das Ausgangsmaterial besteht aus zwei Videodateien mit den zugehörigen Audiodateien (im Beispiel nur Mp2-Dateien). Werden die Dateien ohne Überblendung zusammengesetzt sieht das Projekt wie im Bild 1a und 1b aus.

01 | erster Testfilm
 | Video -> H:\Test\erster Testfilm.mpv
 | Audio -> H:\Test\erster Testfilm.mpa
02 | zweiter Testfilm
 | Video -> H:\Test\zweiter Testfilm.mpv
 | Audio -> H:\Test\zweiter Testfilm.mpa
Bild 1a Dateienliste
01 01 -- 00:05:05:00 -- 00:08:04:12
02 02 -- 00:03:22:05 -- 00:06:26:14
Bild 1b Schnittliste

Die Audioteile für die Überblendung werden aus den Orginaldateien herrausgeschnitten. Vom Ende des ersten Schnittes und vom Anfang des zweiten Schnittes wird jeweils eine Sekunde abgeschnitten und die neuen Schnitte werden um eine Sekunde nach hinten bzw vorn verlängert. Die Schnittliste dazu sieht wie folgt aus (Bild 2). Um es anschaulicher zu gestalten habe ich es in einer Timeline dargestellt (Bild 4). Damit nur die ausgewählten Audioteile einzeln ausgegeben werden müssen die Optionen "Jeden Schnitt separat speichern", "Nur die markierten Schnitte übernehmen" und "Nur Audio speichern" aktiviert werden (Bild 3). Die Schnittstelle zwischen den Schnitten 1 und 2 swie 3 und 4 kann an einem beliebigen Bild liegen. Ebendso ist das Bild am Ende des Schnittes 2 und am Anfang des Schnittes 3 unwichtig. Siehe auch Bild 9.

01 01 -- 00:05:05:00 -- 00:08:03:12
01 01 -- 00:08:03:13 -- 00:08:05:12
02 02 -- 00:03:21:05 -- 00:03:23:04
02 02 -- 00:03:23:05 -- 00:06:26:14
Bild 2 		erweiterte Effekte 2b
Bild 3

Schnitttipp erweiterte Effekte 2
Bild 4

Diese Dateien können nun in einem Schnittprogramm oder mit einem Audioeditor überblendet werden. Die überblendete Datei muß in das Format der orginalen Audiotadei(en) konvertiert werden. Informationen über die orginalen Audiodateien kann man dem Infofenster entnehmen. Dabei bitte darauf achten das die neue Datei nicht zu kurz ist (im Beispiel mindestens 2 Sekunden). Die mir bekannten Mp2-Encoder (Tmpgenc, mpegenc, ffmpeg usw.) lassen am Ende der Datei ein Audioframe (24ms) weg. Es macht aber nichts wenn die neue Datei zu lang und der Rest z.B. mit Stille ausgefüllt ist (Bild 5).

Schnitttipp erweiterte Effekte 3
Bild 5

Diese Überblendung kann jetzt in das Projekt eingefügt werden. Dabei sind zwei Varianten möglich.

Variante 1:

In das Projekt wird jede Videodatei ein zweites Mal eingefügt (Dateieinträge 03 und 04). Diesen Einträgen wird die neue, überblendete Audiodatei zugewiesen. Zur besseren Übersicht habe ich diesen Einträgen die Namen "Überblendung 1" und "Überblendung 2" zugewiesen. Die Schnitte 2 und 3 werden mit den neuen Einträgen der Dateienliste neu erzeugt. Die roten Hinweise hinter den Schnitten in der Schnittliste sollen den Zusammenhang der Schnitte zu den Dateiknoten verdeutlichen. "V1" und "A1" bedeutet das sich dieser Schnitt auf Video- und Audiodateien des ersten Knotens bezieht.
Den Audiodateien der Dateieinträge 03 und 04 müssen Audiooffsets zugewiesen werden. Die Audiooffsetwerte habe ich rot hinter die Audiodatei in der Dateienliste geschrieben. Um den Audiooffset für die Audiodatei des Eintrages 03 einzutragen markiert man den Schnitt 2 in der Schnittliste und wählt dann im Kontextmenü den Eintrag IN-Schnittpunkt kopieren aus. Dieser Wert befindet sich jetzt in der Zwischenablage und kann in das Audiooffseteingabefeld eingefügt werden. Der Wert für den Audiooffset des Eintrages 04 wird aus dem IN-Schnittpunkt des Schnittes 3 gewonnen. Von diesem Wert muß aber noch eine Sekunde abgezogen werden. Dazu einfach den Wert in das Offsetfeld kopieren und 00:03:22:05 in 00:03:21:05 ändern. Dann den Wert mit Enter übernehmen.
Das Projekt sieht dann wie im Bild 6a und 6b dargestellt aus.

01 | erster Testfilm
 | Video -> H:\Test\erster Testfilm.mpv
 | Audio -> H:\Test\erster Testfilm.mpa
02 | zweiter Testfilm
 | Video -> H:\Test\zweiter Testfilm.mpv
 | Audio -> H:\Test\zweiter Testfilm.mpa
03 | Überblendung 1
 | Video -> H:\Test\erster Testfilm.mpv
 | Audio -> H:\Test\Ueberblendung.mpa 00:08:03:13 = 483520ms
04 | Überblendung 2
 | Video -> H:\Test\zweiter Testfilm.mpv
 | Audio -> H:\Test\Ueberblendung.mpa 00:03:21:05 = 201200ms
Bild 6a Dateienliste
01 01 -- 00:05:05:00 -- 00:08:03:12
03 03 -- 00:08:03:13 -- 00:08:04:12
04 04 -- 00:03:22:05 -- 00:03:23:04
02 02 -- 00:03:23:05 -- 00:06:26:14
Bild 6b Schnittliste

Variante 2:

Im Gegensatz zur Variante 1 wird nur die Audiodatei Ueberblendung.mpa zweimal in das Projekt eingefügt. Der Schnitt 2 wird aus der Videodatei des Dateiknoten 01 und der Audiodatei des Dateiknoten 03 erzeugt. Dazu auf den Dateiknoten 01 doppelklicken. Die Dateien H:\Test\erster Testfilm.mpv und H:\Test\erster Testfilm.mpa sind nun zur Anzeige geöffnet. Nun auf die Audiodatei des Dateiknoten 03 doppelklicken und die Audiodatei H:\Ueberblendung.mpa wird zum Abspielen geöffnet. Wichtig ist das dabei die Option Optionen -> Navigation -> Video und Audio gestrennt öffnen aktiviert ist. Die Anzeige unter dem Anzeigefenster sieht jetzt wie in Bild 7 aus. Der Schnitt 2 kann jetzt erzeugt werden. Für den Schnitt 3 ist sinngemäß mit den Dateiknoten 02 und 04 zu verfahren. Die Audiooffsets für die Audiodateien der Knoten 03 und 04 werden wie in Variante 1 gebildet.
Das Projekt sieht wie in den Bildern 8a und 8b aus.

Video/Audio öffnen 01 H:\Test\erster Testfilm.mpv
03 H:\Test\Ueberblendung.mpa 		00:00:00:00
00:00:00:000 		0
X 		I
X 		00:10:00:00
00:00:02:800
Bild 7 Anzeige

01 | erster Testfilm
 | Video -> H:\Test\erster Testfilm.mpv
 | Audio -> H:\Test\erster Testfilm.mpa
02 | zweiter Testfilm
 | Video -> H:\Test\zweiter Testfilm.mpv
 | Audio -> H:\Test\zweiter Testfilm.mpa
03 | Überblendung 1
 | Video ->
 | Audio -> H:\Test\Ueberblendung.mpa 00:08:03:13 = 483520ms
04 | Überblendung 2
 | Video ->
 | Audio -> H:\Test\Ueberblendung.mpa 00:03:21:05 = 201200ms
Bild 8a Dateienliste
01 01 -- 00:05:05:00 -- 00:08:03:12
01 03 -- 00:08:03:13 -- 00:08:04:12
02 04 -- 00:03:22:05 -- 00:03:23:04
02 02 -- 00:03:23:05 -- 00:06:26:14
Bild 8b Schnittliste

Zur besseren Übersicht im Bild 9 das Projekt noch einmal in einer Timeline-Darstellung.

Bild 9

Verweise:

  • Dialog Optionen Navigation


Programmoberfläche

Mpeg2Schnitt

An dieser Stelle soll der Aufbau der Programms beschrieben werden.

Menue Anzeige Schnittliste Schnittliste Kapitelliste Markenliste Informationsliste Dateienliste Audiooffset Schieberegler Navigation/Schnitt

Verweise:

  • Hauptmenü
  • Anzeige
  • Schnittliste
  • Kapitelliste
  • Markenliste
  • Informationsliste
  • Dateienliste
  • Audiooffset
  • Schieberegler
  • Navigation/Schnitt
  • Filmübersicht
  • Dialoge
  • Kontextmenüs


Hauptmenü

In diesem Abschnitt wird die Menüstruktur erläutert. Ausserdem werden Hinweise und Tipps zu den einzelnen Menüpunkten gegeben.

  • Datei
  • Bearbeiten
  • Optionen
  • Arbeitsumgebungen
  • Sprachen
  • Zusatzfunktionen
  • Ansicht
  • Hilfe

Verweise:


Menü Datei

Das Menü Datei enthält folgende Menüpunkte:

Video/Audio öffnen | Über diesen Menüpunkt kann eine Video- oder Audiodatei mit Hilfe eines Dateidialoges in das Programm geladen werden. Dabei werden alle gleichnamigen Audiodateien, die sich im gleichen Verzeichnis befinden, automatisch mit geladen. Gleichnamig bedeutet dass der Namensteil der Audiodatei vor dem Audiotrennzeichen mit dem Dateinamen der Videodatei, ohne Endung, übereinstimmt (z.B. Film-deu.mpa, Film-engl.mpa, Film.mpv, angenommen als Audiotrennzeichen ist ein "-" definiert). Alle geladenen Dateien werden in der Dateienliste in einer Baumstruktur dargestellt. Ist die Option Video nach dem Öffnen anzeigen eingeschaltet werden die zuletzt geladenen Dateien zur Wiedergabe geöffnet. Video- oder Audiodateien können über das Menü, das Kontextmenü der Dateienliste, per Kommandozeile oder per Drag&Drop in die Dateienliste geladen werden.
Audio hinzufügen | Über diesen Menüpunkt kann eine Audiodatei zum in der Dateienliste markierten Dateiknoten hinzugefügt werden. Dabei ist es egal welcher Eintrag des Dateiknotens markiert ist. Diese Funktion steht im Menü Datei und im Kontextmenü der Dateienliste zur Verfügung.
letzte Verzeichnisse | Hier wird eine Liste der zuletzt benutzten Verzeichnisse (Audio/Video öffnen) geführt. Mit Hilfe dieser Liste ist es leicht möglich aus einem der letzten Verzeichnissen Dateien zu öffnen. In dem angeklickten Verzeichnis wird der Dateidialog Video/Audio öffnen geöffnet.
Indexdateien erstellen | Alle Dateien aus der Dateienliste werden im IndexTool geöffnet. Dadurch ist es möglich die für das Programm wichtigen Indexdateien aller Video- und Audiodateien vor Beginn des eigentlichen Schneidens zu erstellen.
Projekt neu | Es wird ein neues Projekt angelegt. Alle Einträge aus der Dateienliste, der Schnittliste, der Kapitelliste und der Markenliste werden gelöscht. Sind Veränderungen nicht gespeichert worden erfolgt eine Sicherheitsabfrage.
Projekt laden | In einem Dateidialog kann ein Projekt zum Laden ausgewählt werden. Das neue Projekt überschreibt alle Einträge des aktuellen Projektes. Bei nicht gespeicherten Veränderungen am aktuellen Projekt erfolgt eine Sicherheitsabfrage.
letzte Projekte | An dieser Stelle wird eine Liste der zuletzt verwendeten Projekte geführt. Ein Klick auf ein Projekt öffnet dieses im Programm. Es werden alle Einträge des aktuellen Projektes überschrieben . Bei nicht gespeicherten Veränderungen am aktuellen Projekt erfolgt eine Sicherheitsabfrage.
Projekt einfügen | Die Daten des ausgewählten Projektes werden vor den Markierungen der Schnittliste, der Kapitelliste und der Markenliste eingefügt. Die verwendeten Dateien werden wenn sie noch nicht in der Dateienliste vorhanden sind hinzugefügt.
Projekt speichern | Das aktuelle Projekt wird unter dem Projektnamen, der auch in der Titelleiste angezeigt wird, gespeichert. Wurde noch kein Projektname angegeben wird der Dateidialog zur Funktion Projekt speichern unter aufgerufen. Ist die Option Projektdialog unterdrücken im Dialog Optionen Dateinamen/Endungen ausgewählt wird der Dateidialog nicht angezeigt und das Projekt wird ohne Nachfrage gespeichert. Der Dateiname wird nach den Einstellungen im Dialog Optionen Verzeichnisse und im Dialog Optionen Dateinamen/Endungen gebildet.
Projekt speichern unter | Dieser Menüpunkt speichert das aktuelle Projekt unter einem neuen Namen. Projektname und Verzeichnis werden in einem Dateidialog abgefragt. Der neue Projektname wird in der Titelzeile angezeigt. Die Vorgaben für das Verzeichnis und den Dateinamen des Dateidialoges können im Dialog Optionen Verzeichnisse und im Dialog Optionen Dateinamen/Endungen eingestellt werden.
Projekt speichern + 1 | Das aktuelle Projekt wird unter seinem Namen + 1 gespeichert. Die Einstellungen dazu werden im Dialog Optionen Dateinamen/Endungen vorgenommen. Dadurch ist es leicht möglich ein Projekt nach einigen Veränderungen mit nummeriertem Dateinamen abzulegen.
Projekt speichern spezial | Das aktuelle Projekt wird unter Beachtung der beiden folgenden Optionen gespeichert. Es wird in einem Dateidialog nach einem Namen für das Projekt gefragt.
Schnitte einzeln speichern | Option zu Projekt speichern spezial. Alle Schnitte der Schnittliste und die dazugehörigen Kapitel und alle Marken werden in eigene Projekte gespeichert. Dabei werden die Projektnamen durchnummeriert. Die Einstellungen dazu werden im Dialog Optionen Dateinamen/Endungen vorgenommen. Ist diese Option aktiviert wird sie mit einem Haken dargestellt.
Markierte Schnitte speichern | Option zu Projekt speichern spezial. Nur die in der Schnittliste markierten Schnitte werden in das Projekt gespeichert. Auch diese Option wird wenn sie aktiviert ist mit einem Haken dargestellt.

Verweise:

  • Menü
  • Dateienliste
  • Schnittliste
  • Kapitelliste
  • Markenliste
  • Kontextmenü der Dateienliste
  • Dialog Optionen Allgemein
  • Dialog Optionen Verzeichnisse
  • Dialog Optionen Dateinamen/Endungen
  • Dialog Optionen Anzeige/Wiedergabe
  • Dateidialoge
  • Audiotrennzeichen
  • Vorwahl von Verzeichnissen und Dateinamen
  • Kommandozeile
  • Drag&Drop
  • IndexTool
  • Aufbau der Projekte
  • Aufbau der Indexdateien


Menü Bearbeiten

Das Menü Bearbeiten enthält folgende Menüpunkte:

rückgängig | Macht die letzte Benutzerhandlung rückgängig. Diese Funktion wirkt noch nocht auf alle Benutzerhandlungen.
wiederherstellen | Stellt die rückgängig gemachte Benutzerhandlung wieder her.

Verweise:

  • Menü


Optionendialog

Menü Optionen

Jeder Eintrag im Menü Optionen öffnet den Optionendialog. Die Karteikarte zum ausgewähltem Thema wird in den Vordergrund geschaltet. Im Optionendialog können die Einstellungen des Programms geändert werden.

Verweise:

  • Optionendialog


Arbeitsumgebungen

Menü Arbeitsumgebungen

Das Menü Arbeitsumgebungen enthält folgende Menüpunkte:

Arbeitsumgebungen bearbeiten | Öffnet den Arbeitsumgebungsdialog mit dem die Arbeitsumgebungen verwaltet und bearbeitet werden können.
Standard | Die Standardarbeitsumgebung (Standard.mau) wird mit dem Programm geliefert. Auch diese Arbeitsumgebung kann den persönlichen Bedürfnissen angepasst werden. Eigene Anpassungen sollte mann aber besser in extra Arbeitsumgebungen speichern.
Arbeitsumgebung1..n | Weitere Arbeitsumgebungen. Diese können z.B. aus der Standardarbeitsumgebung erzeugt werden.

Verweise:

  • Arbeitsumgebungsdialog


Menü Sprachen

In diesem Menü werden alle verfügbaren Sprachen aufgelistet. Die Sprachdateien (*.spr) müssen sich im Programmverzeichnis befinden.
Ein Klick auf einen Menüpunkt schaltet das Programm auf die entsprechende Sprache um. Ein Neustart ist nicht erforderlich.

Verweise:

  • Hauptmenü


Menü Zusatzfunktionen

Das Menü Zusatzfunktionen enthält folgende Menüpunkte:

Schnitte suchen | Startet die Schnittsuche von Igor Feldhaus.
aktuelles Bild speichern | Speichert das aktuelle Videobild als BMP-Datei. In einem Dateidialog kann das Verzeichnis und der Dateiname eingegeben werden.
aktuelles Bild kopieren | Kopiert das aktuelle Videobild als BMP-Datei in die Zwischenablage.
aktuellen Audioframe speichern | Das aktuelle Audioframe wird in eine Datei gespeichert. Verzeichnis und Dateiname können in einem Dateidialog eingegeben werden. Diese Funktion kann dazu verwendet werden um "stille" Audioframes zu erzeugen.

Verweise:

  • Menü
  • Dialog Optionen Video/Audioschnitt
  • Dateidialoge
  • Schnittsuche


Menü Ansicht

Das Menü Ansicht enthält folgende Menüpunkte:

zwei Videofenster | Im Anzeigebereich des Programms werden zwei Videofenster dargestellt. Das aktive Fenster erhält einen Rahmen. Außerdem kann die Hintergrundfarbe für das aktive Fenster im Optionendialog separat festgelegt werden. Ein Klick in das passive Fenster macht es zum aktiven Fenster. Möchte man das nach einem OUT-Schnitt das entsprechende Bild in das passive Anzeigefenster übernommen wird ist dies duch die Option Out-Schnitt im zweiten Videofenster anzeigen möglich.
Audiooffset | Klappt den Bereich zum Einstellen des Audiooffsets auf. Dieses "Fenster" kann durch die Taste [-] wieder verkleinert werden.
Filmübersicht | Öffnet das Filmübersichtsfenster. Position und Größe des Fensters werden gespeichert. Die Einstellungen zu diesem Fenster werden im Dialog Optionen Filmübersicht vorgenommen.

Verweise:

  • Filmübersichtsfenster
  • Menü
  • Dialog Optionen Anzeige/Wiedergabe
  • Dialog Optionen Navigation
  • Dialog Optionen Filmübersicht


Menü Hilfe

Das Menü Hilfe enthält folgende Menüpunkte:

Schnellstartleiste10 Hilfe
Öffnet diese Hilfe.
Lizenz
Öffnet einen Infodialog mit Hinweisen zur Lizenz.
Über...
Öffnet einen Infodialog mit Informationen zum Programm.

Verweise:

  • Dialog Lizenz/Über
  • Lizenz


Anzeige

Im Anzeigefenster wird das aktuelle Video angezeigt. Im unteren Bereich befinden sich weitere Informationen.

Videoanzeige | Im Videoanzeigebereich können abhängig von der Einstellung Menü -> Ansicht -> zwei Videofenster ein oder zwei Videofenster angezeigt werden. Im Zweifenstermodus wird das aktive Videofenster grau eingerahmt und der Hintergrund mit der eingestellten Farbe ausgefüllt. Unter dem passiven Videofenster (eigentlich nur ein Bild) wird die Position (Zeit und Bildnummer) des Bildes angezeigt. Alle Bedienhandlungen im Programm beziehen sich auf das aktive Videofenster. Ein Linksklick mit der Maus in das passive Videofenster macht es zum aktiven Fenster. Klickt man mit der Maus in das aktive Fenster wird die Wiedergabe gestartet oder gestopt. Ein Rechtsklick in eines der Videofenster öffnet ein Kontextmenü mit weiteren Funktionen. Im Einfenstermodus ist nur das aktive Videofenster zu sehen.
V/A Taste | Diese Taste öffnet den Dialog zum öffnen von Video- und /oder Audiodateien. Ein Rechtsklick auf diese Taste öffnet ein Kontextmenü mit weiteren Funktionen.
Anzeigebereich Ein Rechtsklick in den Anzeigebereich öffnet ein Kontextmenü mit Projektfunktionen.
Spalte 1 | Zeigt den Knoten der aktivene Video- bzw. Audiodatei an.
Spalte 2 | Hier wird der Dateiname der aktiven Video- bzw. Audiodatei eventuell gekürzt angezeigt. Verweilt man mit der Maus über einen Dateinamen erscheint ein Hinweistext mit dem vollständigen Dateinamen.
Spalte 3 | An dieser Stelle wird die aktuelle Abspielposition für Video und Audio getrennt angezeigt.
Spalte 4 | Die obere Zahl zeigt welches Videobild gerade angezeigt wird. Die untere Zahl ist der Audiooffset dieser Audiodatei in Millisekunden.
Spalte 5 | Oben wird der Bildtyp (I, P, B) des gerade angezeigten Bildes angezeigt. Unten ist der Audiooffset in Bildern zu sehen.
Spalte 6 | Hier wird die Länge der Video- und Audiodatei angezeigt.

Verweise:

  • Menü Ansicht
  • Allgemeines Kontextmenü (Projektfunktionen)
  • Kontextmenü Anzeige
  • Kontextmenü V/A Taste
  • Dateidialoge


Schnittliste

In der Schnittliste werden die einzelnen Schnitte gesammelt. Der Inhalt der Schnittliste wird später zum Film.

Die Schnittliste kann mit oder ohne Bilder angezeigt werden. Einstellungen dazu können im Dialog Optionen -> Schnittliste vorgenommen werden. Viele Funktionen der Schnittliste können über das Kontextmenü (Rechtsklick in die Schnittliste) erreicht werden.
Schnitte können durch anklicken mit der Maus markiert werden. Sollen mehrere Schnitte markiert werden kann dazu die Shift- oder Strg-Taste gedrückt werden. Markierte Schnitte können mit der Maus an eine andere Position innerhalb der Schnittliste verschoben werden. Durch einen Doppelklick kann ein Schnitt aktiviert werden so das er bearbeitet werden kann.

N (Schnittnummer) | Die Schnitte werden nummeriert. Verschiebt man einen Schnitt wird die Nummerierung angepasst.
V (Videoknoten) | Zeigt den Knoten in der Dateienliste dessen Videodatei für den Schnitt verwendet wird.
A (Audioknoten) | Zeigt den Knoten in der Dateienliste dessen Audiodateien für den Schnitt verwendet werden.
IN-Schnitt | Der IN-Schnittpunkt des Schnittes. Das Format kann unter Optionen -> Schnittliste -> Schnittlistenformat eingestellt werden.
OUT-Schnitt | Der OUT-Schnittpunkt des Schnittes. Das Format kann unter Optionen -> Schnittliste -> Schnittlistenformat eingestellt werden.

Schnittpunktfarben

schwarz | Der Schnittpunkt befinden sich an einem Bild an dem ohne Neuberechnung geschnitten werden kann (In: I-Frames, Out: I- und P-Frames).
rot | Dieser Schnittpunkt muss neu berechnet werden.
grün | Auch dieser Schnittpunkt müsste neu berechnet werden, der nächste Schnitt beginnt aber mit dem nächsten Bild der gleichen Videodatei. Die Videodatei muss also nicht geschnitten werden und demzufolge auch nichts neu berechnet werden.

Die Einfärbung der Schnittpunkte kann unter Optionen -> Schnittliste -> Farbeinstellung eingestellt werden.

Verweise:

  • Dateienliste
  • Kontextmenü Schnittliste
  • Dialog Optionen Schnittliste


Kapitelliste

Hier kann eine Kapitelliste erstellt werden die später beim Schnitt auch ausgegeben werden kann (Optionen -> Video/Audioschnitt -> Schnittoptionen -> Kapiteldatei erstellen).

Viele Funktionen der Kapitelliste können über das Kontextmenü (Rechtsklick in die Kapitelliste) erreicht werden.
Kapitel können durch anklicken mit der Maus markiert werden. Die Markierung einer Zelle gilt für die ganze Zeile. Sollen mehrere Zeilen markiert werden kann dazu die Shift-Taste benutzt werden. Zum verschieben von markierten Kapiteln in der Liste muß in den Verschiebemodus gewechselt werden. Dazu die Strg-Taste drücken oder den Menüpunkt Kapitel verschieben im Kontextmenü verwenden. Die Kapitel können dann mit der Maus verschoben werden. Bei einem Doppelklick auf ein Kapitel (nicht die Spalte Name) springt die Anzeige zu dem entsprechendem Bild.

Video (Spalte 1) | Zeigt den Knoten in der Dateienliste auf dessen Videodatei sich das Kapitel bezieht.
Audio (Spalte 2) | Zeigt den Knoten in der Dateienliste auf dessen Audiodateien sich das Kapitel bezieht.
Kapitel | Zeigt die Position des Kapitels in der Datei an. Das Format kann unter Optionen -> Kapitelliste -> Format eingestellt werden.
Name | Jedem Kapitel kann ein Name gegeben werden. Beim einfügen des Kapitels wird der Name des verwendeten Knotens benutzt. Der Kapitelname kann beliebig geändert werden. Dazu doppelt auf den Kapitelnamen klicken, es öffnet sich im unteren Bereich der Liste ein Eingabefeld in dem der Name geändert werden kann.

Verweise:

  • Dateienliste
  • Kontextmenü Kapitelliste
  • Dialog Optionen Video/Audioschnitt
  • Dialog Optionen Kapitelliste


Schnittliste

Dateienliste

Alle im Programm geöffneten Video- und (oder) Audiodateien werden in der Dateienliste in einer Baumstruktur angezeigt. Abhänging von der Einstellung Optionen -> Oberfläche -> Dateien im Listenfenster kann die Dateienliste in einem eigenem Bereich unter der Anzeige oder bei den Listen angezeigt werden.

Video- und Audiodateien die zusammengehören werden in einem Knoten angezeigt. Die Knoten sind nummeriert. Jedem Knoten kann ein beliebiger Name gegeben werden. Unterhalb dieses Knotens sind die Video- und Audiodateien aufgelistet. Auch diesen Einträgen kann ein Name gegeben werden. Die Reihenfolge der Audiodateien kann durch schieben mit der Maus verändert werden. Funktionen zum laden und entfernen von Dateien aus der Dateienliste sind im Kontextmenü zu finden.

Klick auf +/- | Die Einträge des Knotens werden angezeigt oder verborgen.
Klick auf einen Knoten/Eintrag | Der Knoten bzw. Eintrag wird markiert.
Klick auf einen markierten Knoten/Eintrag | Der Knoten bzw. Eintrag wechselt in den Eingabemodus. In das Eingabefeld kann eine Name für den Knoten oder Eintrag eingetragen werden. Der Eingabemodus kann durch Enter, ESC oder einen Mausklick außerhalb des Eingabefeldes verlassen werden.
Doppelklick auf einen Knoten | Die Dateien des Knotens werden zur Anzeige bzw. Wiedergabe geöffnet. Stehen mehrere Audiodateien zur Verfügung wird die Audiodatei der Spur verwendet die vorher auch geöffnet war.
Doppelklick auf einen Eintrag | Abhängig von der Option Optionen -> Navigation -> Video und Audio getrennt öffnen verhält sich das Programm unterschiedlich. Ist die Option aktiviert wird nur die angeklickte Datei zur Anzeige/Wiedergabe geöffnet.() Die andere Datei (Video oder Audio) bleibt geöffnet auch wenn sie aus einem anderem Knoten stammt. Bei nicht aktivierter Option (Standard) wird die Video- und Audiodatei dieses Knotens geöffnet. Doppelklickt man auf eine Audiodatei wird diese Datei zur Wiedergabe geöffnet. So kann zwischen den Audiospuren umgeschaltet werden.

Verweise:

  • Kontextmenü Dateienliste
  • Optionen Oberfläche
  • Optionen Navigation


Navigationsfenster

Navigationstasten

Play:
Video und Audio abspielen. (die Tastenbeschriftung ändert sich in "Pause")
Die Tasten In und Out werden ausgeblendet.
Pause:
Das Abspielen wird angehalten, die Abspielposition bleibt erhalten.
Diese Funktionen können auch durch einen Klick in das Anzeigefenster erreicht werden.
<IN :
Der mögliche vorherige Anfangsschnitt (I-Frame) wird gesucht und die Anzeige auf die neue Position aktualisiert.
>IN :
Der möglichst nächste Anfangsschnitt (I-Frame) wird gesucht und die Anzeige auf die neue Position aktualisiert.
<OUT :
Der mögliche vorherige Endeschnitt (I- oder P-Frame) wird gesucht und die Anzeige auf die neue Position aktualisiert.
>OUT :
Der mögliche nächste Endeschnitt (I- oder P-Frame) wird gesucht und die Anzeige auf die neue Position aktualisiert.
< :
Betätigung ohne Zusatztaste ein Bild, mit einer Schrittweitetaste die entsprechende Anzahl Bilder zurück.
Die Belegung und die Schrittweite der Schrittweitetasten können im Dialog Optionen Tastenbelegung eingestellt werden.
> :
Betätigung ohne Zusatztaste ein Bild, mit einer Schrittweitetaste die entsprechende Anzahl Bilder vor.
Die Belegung und die Schrittweite der Schrittweitetasten können im Dialog Optionen Tastenbelegung eingestellt werden.

Schnitttasten

gehe zu In:
Die Abspielposition wird zur Inposition verschoben. (ist keine Inposition markiert wird zum Anfang, Position 0, gesprungen)
gehe zu Out:
Die Abspielposition wird zur Outposition verschoben. (ist keine Outposition markiert wird zum Ende des Videos gesprungen)
In :
Die Anfangsschnittposition der aktuellen Auswahl wird neu gesetzt.
Out :
Die Endschnittposition der aktuellen Auswahl wird neu gesetzt.
Ändern:
Die In- und Outmarken werden in die Schnittliste übernommen. Dabei wird der in der Schnittliste angewählte Schnittpunkt überschrieben. Die Anzeigen unter der Schnittliste werden aktualisiert.
Neu:
Die In- und Outmarken werden in die Schnittliste übernommen. Dabei wird ein in der Schnittliste angewählter Schnittpunkt nicht überschrieben sondern ein neuer Schnittpunkt eingefügt. Die Anzeigen unter der Schnittliste werden aktualisiert.

Verweise:

  • Anzeigefenster
  • Schnittliste
  • Dialog Optionen Tastenbelegung


Filmübersichtsfenster

Filmübersicht

Das Filmübersichtsfenster zeigt Schnappschüsse des Videos in einem einstellbarem Zeitraster an. Außerdem können Übergänge zwischen Werbung und Film mit Hilfe der Suchfunktion (binäre Suche) relativ schnell gefunden werden.

Symbolleiste:

Taste A (auffrischen) | Ein Klick auf diese Taste erstellt neue Schnappschußbilder von der aktuell im Programm zur Anzeige geöffneten Videodatei.
Taste R (Reset) | Setzt die binäre Suche auf die Anfangswerte zurück. Hat man sich vertan kann man zum Anfang der aktuellen Suche zurückkehren.
Zeittaste links | Die Taste zeigt die kleinere Zeit des Suchbereiches und wird entsprechend der Markierung (Werbung/Film) eingefärbt. Ein Klick auf diese Taste schaltet die Suche in die entsprechende Richtung weiter.
Zeittaste rechts | Diese Taste zeigt größere Zeit des Suchbereiches. Auch hier schaltet ein Klick die Suche in die entsprechende Richtung.

Anzeigebereich:

Linksklick auf ein Bild | Das Bild wird als erstes oder letztes Bild in dem der Film zu sehen ist markiert. Das Bild erhält einen grünen Rahmen.
Linksklick auf ein Bild (Shift gedrückt) | Das Bild wird als Werbung markiert und erhält einen roten Rahmen.
Rechtsklick auf ein Bild | Die Anzeige im Programm Mpeg2Schnitt zeigt das entsprechende Bild an. Das Vorschaubild wird mit einem blauen Rahmen markiert.
Rechtsklick in einen leeren Bereich | Es wird ein Kontextmenü aufgeschaltet.

Funktionsweise der Suchfunktion (binären Suche):

Die binäre Suche erscheint auf den ersten Blick etwas kompliziert. Mit dieser Suchhilfe lassen sich aber sehr effektiv die Werbepausen in einem Film aufspüren. Die Vorgehensweise soll hier erklärt werden.
Es macht sich gut wenn Tasten für die Funktionen binäre Suche Film und binäre Suche Werbung im Optionendialog definiert werden. (z.B. F für Film und W für Werbung)

  1. Das letzte Bild der Werbung (Bild 2) wird bei gedrückter Schifttaste durch einen Linksklick markiert. Das Bild bekommt einen roten Rahmen.
  2. Nun wird das erste Bild des Filmes (Bild 3) mit der linken Maustaste angeklickt und markiert. Dieses Bild erhält einen grünen Rahmen. Außerdem werden die Zeiten der markierten Bilder jetzt in den Zeittasten angezeigt.
  3. Das Bild in der Mitte des Suchbereiches wird im Anzeigefenster des Programms Mpeg2Schnitt angezeigt. Man muß nun entscheiden ob dieses Bild zur Werbung oder zum Film gehört. Entsprechend klickt man auf die rote (Werbung) oder grüne (Film) Zeittaste. Hat man wie oben beschrieben Tasten für binäre Suche Film und binäre Suche Werbung festgelegt kann man auch die entsprechende Taste auf der Tastatur drücken.
  4. Der Suchbereich wird nun entsprechend verkleinert und das Bild aus der Mitte des neuen Bereiches angezeigt. Wieder muß man entscheiden ob das Bild zur Werbung oder zum Film gehört und die entsprechende Taste anklicken (bzw drücken).
  5. Ist der Suchbereich soweit verkleinert das nur noch ein Bild übrig ist hat man das erste Bild des Films gefunden. Die Zeittasten werden deaktiviert. Nun kann man den IN-Schnittpunkt setzen.
  6. Um das letzte Bild des Films vor der Werbung zu finden geht man ähnlich vor. Das letzte Schnappschußbild vor der Werbung (Bild 5) wird grün markiert (Linksklick) und das erste Bild der Werbung (Bild 6) rot (Linksklick mit Schifttaste). In den Zeittasten werden die Zeiten des Suchbereichs entsprechend eingefärbt angezeigt.
  7. Durch die Entscheidung ob das im Anzeigefenster angezeigte Bild zum Film oder zur Werbung gehört und die Betätigung der entsprechenden Taste (rot, grün) wird der Suchbereich immer weiter verkleinert. Ist nur noch ein Bild vorhanden (Zeittasten werden deaktiviert) kann der OUT-Schnittpunkt gesetzt werden. Nun kann auch der Schnitt übernommen werden.
  8. Für weitere Werbeblöcke ist entsprechend zu verfahren.

Verweise:

  • Dialog Optionen Tastenbelegung
  • Dialog Optionen Filmübersicht
  • binäre Suche


Dialoge

Die Dialoge dienen der Kommunikation mit dem Benutzer des Programms. In ihnen können alle wichtigen Einstellungen zum Programm und Eingaben zum Programmablauf gemacht werden.
Die Dialoge sind über entsprechende Menüpunkte erreichbar.

  • Dateidialoge
  • Schnitte suchen
  • Arbeitsumgebungsfenster
  • Effektfenster
  • Über... / Lizenz

Verweise:


Dateidialoge

Als Dateidialoge werden die windowstypischen Dialoge verwendet. Sie entsprechen also im Aussehen und Funktion den Einstellungen des Betriebssystems.
Dateidialoge dienen zum öffnen, speichern und suchen von Dateien im Dateisystem des Computers. Mit ihrer Hilfe ist es leicht möglich verschiedene Verzeichnisse anzusteuern.

Verweise:


Arbeitsumgebungen

Arbeitsumgebungsfenster

In diesem Dialog werden die Arbeitsumgebungen verwaltet. Zur besseren Übersicht ist der Dialog in mehrere Bereiche unterteilt.

Im Bereich Allgemeine Einstellungen kann das Verzeichnis für die Arbeitsumgebungen eingestellt werden. Nach einem Doppelklick in des Eingabefenster kann das Verzeichnis in einem Dialog ausgewählt werden. Kein Eintrag bedeutet das die Arbeitsumgebungsdateien (*.mau) im Programmverzeichnis gespeichert werden. Ist die Option Verzeichnis ändern aktiviert wird bei jedem Laden von Arbeitsumgebungsdateien das jeweilige Verzeichnis übernommen.
Soll bei jedem Programmstart die Standardarbeitsumgebung (Standard.mau) geladen werden muß die Option bei Programmstart Standard laden aktiviert werden.
Durch aktivieren der Option aktuelle Arbeitsumg. bei Programmende speichern wird erreicht das die Einstellungen des Programms beim Beenden gespeichert werden.
Ist die Option Arbeitsumgebung bei OK speichern aktiviert werden beim schließen des Optionenfensters mit OK die Einstellungen in die Arbeitsumgebungsdatei gespeichert.

Die Auswahlfelder im Bereich Arbeitsumgebungsliste dienen direkt der Verwaltung der Arbeitsumgebungsliste. Im ersten Auswahlfeld kann aus der Liste der Arbeitsumgebungen die aktuelle Arbeitsumgebung ausgewählt werden.
Die ausgwählte Arbeitsumgebung des zweiten Ausgabefeldes kann durch Funktionen im Kontextmenü bearbeitet oder aus der Liste gelöscht werden. Über das Kontextmenü kann auch eine Arbeitsumgebung der Liste hinzugefügt werden. Das Kontextmenü ist auch durch die Taste [->] erreichbar.
Ein Doppelklick in das zweite Auswahlfeld hat zwei Funktionen. Ist das Auswahlfeld leer wird ein Dateidialog zum einfügen einer Arbeitsumgebung in die Liste aufgerufen ansonsten wird der Dialog Optionenfenster zum bearbeiten der Arbeitsumgebung angezeigt.

Im Bereich Arbeitsumgebung bearbeiten kann eine Arbeitsumgebung zur Bearbeitung im Dialog Optionenfenster geöffnet werden. Wird der Dialog Optionenfenster mit OK beendet werden die Einstellungen gespeichert.

Die Taste Abbrechen schließt das Fenster ohne die Veränderungen zu speichern. Beim betätigen der Taste OK werden die Einstellungen des Arbeitsumgebungsfensters und die Arbeitsumgebungsliste übernommen. Außerdem wird die aktuelle Arbeitsumgebung neu geladen.

Verweise:

  • Aufbau der Arbeitsumgebungen
  • Dateidialoge
  • Dialog Optionenfenster


Effektdialog

Dialog Effekt

Im Dialog Effekt werden die Einstellungen zu den Effekten vorgenommen. Auch die Effektvorgaben werden in diesem Dialog bearbeitet.

Effektvorgaben:

Auswahlfeld Wählt man hier eine Effektvorgabe aus werden die Felder mit den entsprechenden Daten gefüllt.
Die Effektvorgaben können über den Dialog Optionen -> Effekte eingestellt werden. Wird der Dialog Effekt zum Bearbeiten der Effektvorgaben aus dem Dialog Optionen -> Effekte aufgerufen ist das Auswahlfeld Effektvorgaben inaktiv.

Anfangseffekt:

Auswahlfeld | Auswahl des Effektes für den Schnittanfang.
Effektzeit | Hier wird die Dauer des Effektes in Millisekunden eingetragen.
Anfangseffekt über den gesamten Schnitt anwenden | Ist diese Option aktiviert gelten die Einstellungen in diesem Bereich für den gesammten Schnitt. Alle nicht benötigten Eingabefelder werden dann deaktiviert.
Einstellungen | Sind zu diesem Effekt Einstellungen möglich oder nötig können oder müssen sie in diesem Eingabefeld eingegeben werden. Die Einstellungen werden in der Form Parametername=Wert eingegeben. Mehrere Parameter müssen mit ";" getrennt werden. Leerzeichen werden nicht beachtet.

Endeffekt:

Auswahlfeld | Auswahl des Effektes für das Ende des Schnittes.
Effektzeit | Dauer des Effektes am Ende des Schnittes in Millisekunden.
Einstellungen | Sind zu diesem Effekt Einstellungen möglich oder nötig können oder müssen sie in diesem Eingabefeld eingegeben werden. Die Einstellungen werden in der Form Parametername=Wert eingegeben. Mehrere Parameter müssen mit ";" getrennt werden. Leerzeichen werden nicht beachtet.

Verweise:

  • Dialog Optionen Effekte
  • selbst definierte Parameter und Variablen
  • Videoeffekte FadeIn, FadeOut, Blackvideo
  • Audioeffekt FadeIn, FadeOut


Über... / Lizenzdialog

Der Über...-Dialog und der Linzenzdialog verwenden mit geringen Anpassungen das selbe Fenster.

Im oberen Bereich werden Grundlegende Informationen gezeigt. Ganz links ist das Symbol des Programms zu sehen.
Rechts daneben steht der Programmname und die Programmversion.
Darunter steht ein Urheberhinweis.
Die Informationen Internetseite und E-Mail können angeklickt werden. Es wird dann das entsprechende systemeigene Programm gestartet.

Über...

Im Textfenster werden die verwendeten Programmbausteine und die Namen der Entwickler angezeigt.

Lizenz

Grundlegende Lizenzbedingungen werden im Textfenster angezeigt.
Mit der Taste Lizenzvertrag kann die vollständige Lizenz in englisch angezeigt werden. Eine Downloadmöglichkeit für eine nicht offizielle Übersetzung steht im Textfenster.
Um mit dem Programm arbeiten zu können müssen die Lizenzbedingungen akzeptiert werden. (Häkchen bei den Lizenzvertrag akzeptieren setzen.)

Mit der Taste OK wird der Dialog geschlossen.

Verweise:

  • Lizenzbedingungen
  • Lizenzvertrag


Kontextmenüs

Zu verschiedenen Fenstern und Bedienelementen des Programms gibt es Kontextmenüs.
Zum öffnen des Konextmenüs das entsprechende Fenster oder Bedienelement mit der rechten Maustaste anklicken.

  • Allgemein
  • Anzeige
  • Schnittliste
  • Kapitelliste
  • Markenliste
  • Infofenster
  • Dateienliste
  • Taste A/V
  • Taste Vorschau
  • Taste Kapitel
  • Taste Marke
  • Filmübersicht

Verweise:


Allgemeines Kontextmenü

Das Kontextmenü enthält folgende Menüpunkte:

Projekt neu | Es wird ein neues Projekt angelegt. Alle Einträge aus der Dateienliste, der Schnittliste, der Kapitelliste und der Markenliste werden gelöscht. Sind Veränderungen nicht gespeichert worden erfolgt eine Sicherheitsabfrage.
Projekt laden | In einem Dateidialog kann ein Projekt zum Laden ausgewählt werden. Das neue Projekt überschreibt alle Einträge des aktuellen Projektes. Bei nicht gespeicherten Veränderungen am aktuellen Projekt erfolgt eine Sicherheitsabfrage.
letzte Projekte | An dieser Stelle wird eine Liste der zuletzt verwendeten Projekte geführt. Ein Klick auf ein Projekt öffnet dieses im Programm. Es werden alle Einträge des aktuellen Projektes überschrieben . Bei nicht gespeicherten Veränderungen am aktuellen Projekt erfolgt eine Sicherheitsabfrage.
Projekt einfügen | Die Daten des ausgewählten Projektes werden vor den Markierungen der Schnittliste, der Kapitelliste und der Markenliste eingefügt. Die verwendeten Dateien werden wenn sie noch nicht in der Dateienliste vorhanden sind hinzugefügt.
Projekt speichern | Das aktuelle Projekt wird unter dem Projektnamen, der auch in der Titelleiste angezeigt wird, gespeichert. Wurde noch kein Projektname angegeben wird der Dateidialog zur Funktion Projekt speichern unter aufgerufen. Ist die Option Projektdialog unterdrücken im Dialog Optionen Dateinamen/Endungen ausgewählt wird der Dateidialog nicht angezeigt und das Projekt wird ohne Nachfrage gespeichert. Der Dateiname wird nach den Einstellungen im Dialog Optionen Verzeichnisse und im Dialog Optionen Dateinamen/Endungen gebildet.
Projekt speichern unter | Dieser Menüpunkt speichert das aktuelle Projekt unter einem neuen Namen. Projektname und Verzeichnis werden in einem Dateidialog abgefragt. Der neue Projektname wird in der Titelzeile angezeigt. Die Vorgaben für das Verzeichnis und den Dateinamen des Dateidialoges können im Dialog Optionen Verzeichnisse und im Dialog Optionen Dateinamen/Endungen eingestellt werden.
Projekt speichern + 1 | Das aktuelle Projekt wird unter seinem Namen + 1 gespeichert. Die Einstellungen dazu werden im Dialog Optionen Dateinamen/Endungen vorgenommen. Dadurch ist es leicht möglich ein Projekt nach einigen Veränderungen mit nummeriertem Dateinamen abzulegen.

Verweise:

  • Dateienliste
  • Schnittliste
  • Kapitelliste
  • Markenliste
  • Dialog Optionen Allgemein
  • Dialog Optionen Verzeichnisse
  • Dialog Optionen Dateinamen/Endungen
  • Dateidialoge
  • Aufbau der Projekte


Kontextmenü Anzeige

Das Kontextmenü enthält folgende Menüpunkte:

nur I-Frames abspielen | Reicht die Rechenleistung nicht aus um die Videobilder rechtzeitig zu decodieren werden Bilder übersprungen. Werden sehr viele Bilder übersprungen (z.B. Mpeg2-HD Video) ist es sinnvoll diese Option zu aktivieren. Es werden dann nur die I-Frames decodiert und angezeigt. Die Synchronität zwischen Video und Audio bleibt erhalten.
kein Video abpielen | Hier kan die Videoanzeige temporär ausgeschaltet werden. Die Option kein Video abspielen im Dialog Optionen -> Anzeige/Wiedergabe hat Vorrang.
Stop | Stopt die Wiedergabe des Videos/Audios.
Vollbild | Schaltet die Videoanzeige auf Vollbild und zurück. Abhänging von den Einstellungen unter Optionen -> Navigation kann das auch durch einen Doppelklick in das aktive Videofenster geschehen.
25% - 200% | Skaliert die Videoanzeige auf die entsprechende Größe. Wenn nötig wird das Programmfenster vergrößert.
maximal | Das Video wird so groß wie möglich angezeigt. Das Programmfenster wird dabei nicht vergrößert.
Videogröße einrasten | Beim verändern der Programmfenstergröße wird die Größe der Videoanzeige in festen Schritten angepasst. Dadurch kann unter Umständen das Video in einer besseren Qualität angezeigt werden.

Verweise:

  • Optionen Anzeige/Wiedergabe
  • Optionen Navigation


Kontextmenü Schnittliste

Das Kontextmenü enthält folgende Menüpunkte:

Schnittliste importieren | Schnitte aus einer Textdatei können hier importiert werden. Einstellungen dazu findet man im Dialog Optionen -> Listenimport -> Schnittlistenimport. Die Zeiten bzw. Bildnummern in der Textdatei werden in der Reihenfolge IN - OUT, IN - OUT, ... interpretiert. Sie können nebeneinander und (oder) untereinander stehen.
Schnitte aus Dateiliste erstellen | Für jeden Knoten in der Dateiliste wird ein Schnitt erzeugt.
markierte Schnittepunkte löschen | Die markierten Schnitte werden ohne Nachfrage aus der Schnittliste entfernt.
Schnittliste löschen | Die gesammte Liste wird nach einer Sicherheitsabfrage gelöscht.
Videoeffekt | Öffnet den Dialog für Videoeffekte. Der Effekt gilt für alle ausgewählten Schnitte.
Audioeffekt | Im Dialog Audioeffekte können die Einstellungen für die markierten Schnitte vorgenommen werden.
Markierungen aufheben | Hebt die Markierungen der Schnittliste auf. Markierte Schnitte sind blau hinterlegt.
Schnittformat anpassen | Das Format der Schnitte wird entsprechend der Einstellungen neu angezeigt.
Listenformat einstellen | Öffnet den Dialog Optionen -> Schnittliste.
IN-Schnittpunkt kopieren | Kopiert den IN-Schnittpunkt im eingestellten Format in die Windows-Zwischenablage.
OUT-Schnittpunkt kopieren | Kopiert den OUT-Schnittpunkt im eingestellten Format in die Windows-Zwischenablage.

Verweise:

  • Dateienliste
  • Schnittliste
  • Dialog Optionen Schnittliste
  • Dialog Optionen Listenimport


Kontextmenü Kapitelliste

Das Kontextmenü enthält folgende Menüpunkte:

Kapitelliste löschen | Die gesammte Kapitelliste wird ohne Nachfrage gelöscht.
Kapitelliste importieren | Es ist möglich Kapitel aus einer Textliste zu importieren. Einstellungen dazu findet man im Dialog Optionen -> Listenimport -> Kapitellistenimport. Die Zeiten bzw. Bildnummern in der Textdatei werden als Kapitel zur aktuell geöffneten Video- und Audiodatei betrachtet.
Kapitelliste exportieren | Die Kapitelliste wird in eine Textdatei exportiert. Das Format kann unter Optionen -> Listenexport -> Kapitellistenexport eingestellt werden. Es wird in einem Dateidialog nach einem Namen für die Textdatei gefragt.
Kapitel exportieren | Nur die markierten Kapitel werden in eine Textliste exportiert.
Schnittepunkte importieren | Die IN-Schnittpunkte der Schnittliste werden als Kapitel importiert.
Kapitelliste berechnen/exportieren | Die Kapitelliste wird anhand der Schnittliste, wie beim Schnitt, berechnet und exportiert.
Kapitel berechnen/exportieren | Nur die markierten Kapitel werden anhand der Schnittliste, wie beim Schnitt, berechnet und exportiert.
Kapitel verschieben | Schaltet die Kapitelliste in den Verschiebemodus. Der Verschiebemodus wird nach einem Verschiebevorgang wieder verlassen.
Kapitel ausschneiden | Schneidet die markierten Kapitel aus. Die Kapitel werden in eine Zwischenablage kopiert und aus der Liste gelöscht.
Kapitel kopieren | Kopiert die markierten Kapitel in eine Zwischenablage.
Kapitel einfügen | Die Kapitel aus der Zwischenablage werden vor der Markierung eingefügt.
Kapitel löschen | Die markierten Kapitel werden ohne Abfrage gelöscht.
Clipboard einfügen | Fügt den Inhalt der Windows-Zwischenablage vor der Markierung ein.
Markierungen aufheben | Alle Markierungen werden aufgehoben.
Trennzeile einfügen | Es wird eine Trennzeile eingefügt. Das Format kann unter Optionen -> Kapitelliste -> Format eingestellt werden.
Zeitformat umrechnen | Das Format der Markierten Kapitel wird entsprechend der Einstellungen (siehe unten) umgerechnet.
Listenformat einstellen | Öffnet den Dialog Optionen -> Kapitelliste.

Verweise:

  • Schnittliste
  • Kapitelliste
  • Dialog Optionen Kapitelliste
  • Dialog Optionen Listenimport
  • Dialog Optionen Listenexport
  • Dateidialoge


Kontextmenü der Dateienliste

Das Kontextmenü enthält folgende Menüpunkte:

Video/Audio öffnen (Strg o) | Über diesen Menüpunkt kann eine Video- oder Audiodatei mit Hilfe eines Dateidialoges in das Programm geladen werden. Dabei werden alle gleichnamigen Audiodateien, die sich im gleichen Verzeichnis befinden, automatisch mit geladen. Gleichnamig bedeutet dass der Namensteil der Audiodatei vor dem Audiotrennzeichen mit dem Dateinamen der Videodatei, ohne Endung, übereinstimmt (z.B. Film-deu.mpa, Film-engl.mpa, Film.mpv, angenommen als Audiotrennzeichen ist ein "-" definiert). Alle geladenen Dateien werden in der Dateienliste in einer Baumstruktur dargestellt. Ist die Option Video nach dem Öffnen anzeigen eingeschaltet werden die zuletzt geladenen Dateien zur Wiedergabe geöffnet. Video- oder Audiodateien können über das Menü, das Kontextmenü des Dateienfensters, per Kommandozeile oder per Drag&Drop in die Dateienliste geladen werden.
Audio hinzufügen (Strg a) | Über diesen Menüpunkt kann eine Audiodatei zum in der Dateienliste markierten Dateiknoten hinzugefügt werden. Dabei ist es egal welcher Eintrag des Dateiknotens markiert ist. Diese Funktion steht im Menü Datei und im Kontextmenü der Dateienliste zur Verfügung.
Video/Audio ändern (Strg n) | Über diesen Menüpunkt kann eine Video- oder Audiodatei in der Dateienliste geändert werden. Das bedeutet dem Knoten kann eine andere Video- oder Audiodatei zugewiesen werden. Der Menüpunkt ist nur aktiv wenn eine Video- oder Audiodatei markiert ist. War die markierte Datei zur Wiedergabe geöffnet wird auch die neue Datei geöffnet.
löschen (Strg Entf) | Ist in der Dateienliste eine Video- oder Audiodatei markiert wird dieser Eintrag entfernt. Ist ein Knoten markiert wird der gesammte Knoten mit den dazugehörigen Video- und Audiodateien aus der Dateienliste entfernt. Waren die gelöschten Dateien zur Wiedergabe geöffnet wird die Wiedergabe beendet.

Die Tastaturkürzel gelten nur wenn die Dateienliste den Eingabefocus besitzt.

Verweise:

  • Menü
  • Dateienliste
  • Kontextmenü der Dateienliste
  • Dialog Optionen Anzeige/Wiedergabe
  • Dateidialoge
  • Audiotrennzeichen
  • Kommandozeile
  • Drag&Drop


Kontextmenü der A/V Taste

Das Kontextmenü enthält folgende Menüpunkte:

Video/Audio öffnen | Über diesen Menüpunkt kann eine Video- oder Audiodatei mit Hilfe eines Dateidialoges in das Programm geladen werden. Dabei werden alle gleichnamigen Audiodateien, die sich im gleichen Verzeichnis befinden, automatisch mit geladen. Gleichnamig bedeutet dass der Namensteil der Audiodatei vor dem Audiotrennzeichen mit dem Dateinamen der Videodatei, ohne Endung, übereinstimmt (z.B. Film-deu.mpa, Film-engl.mpa, Film.mpv, angenommen als Audiotrennzeichen ist ein "-" definiert). Alle geladenen Dateien werden in der Dateienliste in einer Baumstruktur dargestellt. Ist die Option Video nach dem Öffnen anzeigen eingeschaltet werden die zuletzt geladenen Dateien zur Wiedergabe geöffnet. Video- oder Audiodateien können über das Menü, das Kontextmenü der Dateienliste, per Kommandozeile oder per Drag&Drop in die Dateienliste geladen werden.
Audio hinzufügen | Über diesen Menüpunkt kann eine Audiodatei zum in der Dateienliste markierten Dateiknoten hinzugefügt werden. Dabei ist es egal welcher Eintrag des Dateiknotens markiert ist. Diese Funktion steht im Menü Datei und im Kontextmenü der Dateienliste zur Verfügung.
letzte Verzeichnisse | Hier wird eine Liste der zuletzt benutzten Verzeichnisse (Audio/Video öffnen) geführt. Mit Hilfe dieser Liste ist es leicht möglich aus einem der letzten Verzeichnissen Dateien zu öffnen. In dem angeklickten Verzeichnis wird der Dateidialog Video/Audio öffnen geöffnet.

Verweise:

  • Menü
  • Dateienliste
  • Kontextmenü der Dateienliste
  • Dialog Optionen Anzeige/Wiedergabe
  • Dateidialoge
  • Audiotrennzeichen
  • Drag&Drop


Kontextmenü der Filmübersicht

Das Kontextmenü enthält folgende Menüpunkte:

Bildanzeige auffrischen | Erstellt neue Schnappschußbilder von der aktuell im Programm zur Anzeige geöffneten Videodatei. Entspricht der Taste A in der Symbolleiste.
binäre Suche zurücksetzen | Setzt die binäre Suche auf die Anfangswerte zurück. Hat man sich vertan kann man zum Anfang der aktuellen Suche zurückkehren. Entspricht der Taste R in der Symbolleiste.
Fenster schliessen | Das Filmübersichtsfenster wird geschlossen. Die Schnappschußbilder werden nicht gelöscht so das diese beim erneuten öffnen des Filmübersichtsfensters nicht neu eingelesen werden müssen.
immer im Vordergrund | Das Filmübersichtsfenster kann vom Hauptfenster nicht verdeckt werden. Ist diese Option eingeschaltet wird der Menüeintrag durch ein Häkchen markiert.
Fenster mit Rahmen | Wird diese Option ausgeschaltet wird das Fenster ohne Rahmen gezeichnet. Sollen Position oder Größe des Filmübersichtsfensters verändert werden muss diese Option eingeschaltet werden da dazu der Rahmen nötig ist.
Symbolleiste | Schaltet die Symbolleite ein und aus.

Verweise:

  • Filmübersichtsfenster


SchnittTool

Mit dem SchnittTool können ein oder mehrere Projekte nacheinander geschnitten werden. Die Eigenschaften der einzelnen Projekte können vor der Abarbeitung geändert werden. Nach dem Schnitt aller oder ausgewählter Projekte kann sich das Programm beenden oder den Rechner ausschalten.

An dieser Stelle soll der Aufbau der Programms beschrieben werden.

  1. Hauptmenü
  2. Schnellstartleiste
  3. Projektfenster
  4. Protokollfenster
  5. Fortschrittsanzeige
  6. Dialoge
  7. Kontextmenüs

Verweise:


Hauptmenü

In diesem Abschnitt wird die Menüstruktur erläutert. Ausserdem werden Hinweise und Tipps zu den einzelnen Menüpunkten gegeben.

  • Datei
  • Aktionen
  • Protokoll
  • Optionen
  • Hilfe

Verweise:


Projekte hinzufügen, löschen

Menü Datei

Das Menü Datei enthält folgende Menüpunkte:

Schnellstartleiste1 Projekt(e) hinzufügen
Ein oder mehrere Projekte können in das Projektfenster eingefügt werden.
Projekte können durch einen Doppelklick in den freien Bereich des Projektfensters, über das Menü, das Kontextmenü des Projektfensters, der Schnellstartleiste, per Kommandozeile oder Drag&Drop in das Projektfensterfenster geladen werden.
Schnellstartleiste2 Projekt(e) löschen
Die markierten Projekte werden aus dem Projektfenster entfernt.
Projekte können über das Menü, das Kontextmenüs des Projektfensters und der Schnellstartleiste aus dem Projektfenster entfernt werden.
Schnellstartleiste3 Ende
Beendet das SchnittTool.
Das Programm kann über das Menü und der Schnellstartleiste beendet werden.
Solange Projekte abgearbeitet werden ist das Beenden des Programms nicht möglich.

Verweise:

  • Menü
  • Schnellstartleiste
  • Projektfenster
  • Kontextmenü des Projektfensters
  • Kommandozeile
  • Drag&Drop


Projekte schneiden, Abbrechen, Stoppen

Menü Aktionen

Das Menü Datei enthält folgende Menüpunkte:

Schnellstartleiste4 Projekt(e) schneiden
Alle markierten Projekte werden geschnitten.
Schnellstartleiste5 alle Projekte schneiden
Alle Projekte werden geschnitten. Die Markierung einzelner Projekte spielt keine Rolle.
Hinweis: Während des Schnittvorganges werden die Menüpunkte Projekte schneiden und alle Projekte schneiden sowie die entsprechenden Schnellstarttasten ausgeblendet. Die Menüpunkte Abbrechen und Stoppen sowie die entsprechenden Schnellstarttasten werden aktiviert.
Schnellstartleiste11 Pause
Unterbricht die Bearbeitung des aktuellen Projektes bis durch erneutes betätigen der Pausentaste (bzw. des Menüpunktes) die Pause wieder verlassen wird.
Schnellstartleiste6 Abbrechen
Die Bearbeitung des aktuellen Projektes wird abgebrochen. Das Programm beginnt mit der Bearbeitung des nächsten Projektes.
Schnellstartleiste7 Stoppen
Nach Fertigstellung des aktuellen Projektes wird die Bearbeitung der Liste beendet.
Hinweis: Soll die Bearbeitung des aktuellen Projektes und aller folgenden Projekte beendet werden mssen die FunktionenStoppen und Abbrechen nacheinander betätigt werden.

Verweise:

  • Menü
  • Schnellstarttasten


Protokoll speichern, Protokolllevel, Protokoll schreiben

Menü Protokoll

Das Menü Protokoll enthält folgende Menüpunkte:

Protokoll speichern Der Inhalt des Protokollfensters wird gespeichert. In einem Dateidialog muß ein Verzeichnis und der Dateiname festgelegt werden.
Protokolle können über das Menü Protokoll und dem Kontextmenü des Protokollfensters gespeichert werden.
Protokolllevel Durch wahl eines Protokolllevels werden mehr oder weniger Informationen im Protokollfenster angezeigt.
  • Protokolllevel - 0: Alle verfügbaren Informationen werden angezeigt.
  • Protokolllevel - 1: Es werden nur Fehler angezeigt.
  • Protokolllevel - 2: Fehler und Statusinformationen werden angezeigt.
  • Protokolllevel - 3: Zusätzlich werden Informationen angezeigt.
  • Protokolllevel - 4: auch Interne Informationen werden angezeigt.
Protokoll schreiben Schaltet die Protokollierung in eine Datei ein/aus. Ist die Protokollierung eingeschaltet werden alle Informationen die in das Protokollfenster geschrieben werden auch gleich in die Datei "Protokoll-SchnittTool.txt" im Programmverzeichnis geschrieben. Dadurch können bei einem Programmabsturz die Protokollinformationen geprüft werden.
Diese Funktion sollte nur zur Fehlererkennung benutzt werden. Im Normalfall kann der Inhalt des Protokollfensters bei Bedarf gespeichert werden.

Verweise:

  • Menü
  • Dateidialoge
  • Protokollfenster
  • Kontextmenü des Protokollfensters
  • Fehlertabelle


Programm schließen, Rechner ausschalten

Menü Optionen

Das Menü Optionen enthält folgende Menüpunkte:

Schnellstartleiste8 Programm beenden
Nachdem alle Projekte verarbeitet sind wird das Programm geschlossen.
Schnellstartleiste9 Rechner ausschalten
Der Rechner wird nach der Verarbeitung der Projekte ausgeschaltet.

Verweise:

  • Menü
  • Schnellstartleiste


Schnellstartleiste

Die Schnellstartleiste dient dem schnellen Aufruf von Programmfunktionen. Alle Programmfunktionen sind auch über das Menü erreichbar.

Zum aufrufen der Hilfe des zugehörigen Menüpunktes auf eine Taste klicken.

Verweise:

  • Menü


Projektfenster

Im Projektfenster werden die zur Verarbeitung geladenen Projekte zeilenweise angezeigt.

Projekt | A | S | Größe | Ziel | Optionen | Status | Fehler
Film1 Sendung1.m2e | 1 | 3 | 46.84 MB | e\Mpeg2Schnitt\Ergebnisse\Film1 Sendung1 | IDD, D2V, Tc, Br | Warte |
Film1 Sendung2.m2e | 1 | 3 | 46.84 MB | e\Mpeg2Schnitt\Ergebnisse\Film1 Sendung2 | IDD, Tc, mG | Warte |
Film2 Sendung3.m2e | 1 | 3 | 23.42 MB | e\Mpeg2Schnitt\Ergebnisse\Film2 Sendung3 | IDD, Tc, fg, mG | Warte |

Die einzelnen Spalten haben folgende Bedeutung:

Projekt | Zeigt den Dateinamen des Projektes an.
A | Zeigt die Anzahl der im Projekt verwendeten Audiospuren.
S | Zeigt die Anzahl der Schnitte des Projektes.
Ziel | In diesem Feld wird der Zieldateiname und das Zielverzeichnis angezeigt.
Optionen | Die Projektoptionen werden als Kürzel angezeigt.
Status | Zeigt den Status des Projektes an.
Fehler | Ist ein Fehler aufgetreten werden hier nähere Informationen angezeigt. Fehlernummern können mit der Fehlertabelle übersetzt werden.

Die Breite der Spalten kann durch schieben mit der Maus verändert werden.

Verweilt man mit dem Mauszeiger über einer Zeile werden je nach Position Hinweistexte angezeigt.

Spaltenköpfe | Allgemeine Hinweise zur Spalte.
Spalte Projekt | Der komplette Pfad und Dateiname des Projektes wird angezeigt.
Spalte Ziel | Zeigt den Zielpfad und den Zieldateinamen an.
Spalte Optionen | Die Projekteinstellungen werden im Klartext angezeigt. Siehe Bild oben.

Ein Doppelklick auf eine Projektzeile öffnet ein Dialog zum verändern der Projekteigenschaften.
Klickt man doppelt auf die Spalte Satus einer Projektzeile wird der Projektsatus geändert. Der Satus kann die Zustände "Warte, Bearbeite, Übersp. und Fehler" annehmen.

Verweise:

  • Fehlertabelle
  • Dialog Projekteigenschaften


SchnittTool Protokollfenster

Protokollfenster

Im Protokollfenster werden Benutzeraktionen und Verarbeitungschritte protokolliert. Der Inhalt des Protokollfensters kann in eine Datei gespeichert werden. Dies kann über den Menüpunkt Protokoll / Protokoll speichern und dem Kontextmenü des Protokollfensters geschehen. Die zu protokollierenden Ereignisse können durch den Protokolllevel gesteuert werden. Fehlernummern müssen mit der Fehlertabelle übersetzt werden.

Verweise:

  • Menü Protokoll
  • Kontextmenü Protokollfenster
  • Fehlertabelle


SchnittTool Fortschrittsanzeige

Fortschrittsanzeige

Die Forschrittsanzeige zeigt den Bearbeitungsfortschritt des aktuellen Projektes und aller zu bearbeitender Projekte an.

Im oberen Bereich werden Informationen zum aktuellen Projekt angezeigt. Darunter ist der Fortschritt aller Projekte zu sehen.

Projektgröße | Größe des aktuellen Projektes.
Gesamtgröße | Größe aller Projekte die verarbeitet werden sollen.
Zeit | Bis zu diesem Zeitpunkt verstrichene Zeit.
Restzeit | Zeit die zur Verarbeitung weiterhin benötigt wird. (berechnet)
Gesamtzeit | Berechnete Gesamtdauer der Verarbeitung.

Berechnete Zeiten werden an Hand der Projektgrößen und der verstrichenen Zeit berechnet. Da hier Besonderheiten (z.B. Effektberechnung) nicht beachtet werden sind diese Zeiten entsprechend ungenau.

Verweise:

  • Projektaufbau


SchnittTool Dialoge

Dialoge

Die Dialoge dienen der Kommunikation mit dem Benutzer des Programms. In ihnen können alle wichtigen Einstellungen zum Programm und Eingaben zum Programmablauf gemacht werden.
Die Dialoge sind über entsprechende Menüpunkte erreichbar.

  • Dateidialoge
  • Dialog Projekteigenschaften
  • Über... / Lizenz

Verweise:


Projekteigenschaften

Im Dialog Projekteigenschaften können die Einstellungen des Projektes vor dem Schnitt verändert werden. Diese Veränderungen werden nicht im Projekt gespeichert.
Sollen Einstellungen dauerhaft gespeichert werden müssen sie im Optionendialog geändert werden. Diese Eigenschaften sind auf den Seiten Optionen -> Video/Audioschnitt und Optionen -> externe Programme zu finden.

Bedeutung der einzelnen Elemente:

Projektdatei | Anzeige des kompletten Projektnamens mit Verzeichnis.
Zieldateiname | In diesem Feld werden Zielverzeichnis und Zieldateiname der neu zu erstellenden Dateien angezeigt. Das Feld kann frei editiert werden. Nicht vorhandene Verzeichnisse werden wenn möglich erstellt. Durch einen Klick auf die Taste [...] wird ein Dateidialog geöffnet in dem ein Verzeichnis und ein Dateiname festgelegt werden kann. Hat das Eingabefeld den Fokus kann auch durch drücken der Taste Enter der Dateidialog aufgerufen werden.

Einstellungen:

IDD erstellen | Ist diese Option markiert werden für die neuen Dateien während des Schneidens Indexdateien erzeugt.
D2V erstellen | Für die Videodatei wird beim Schneiden eine D2V-Datei erzeugt.
IDX erstellen | Es wird eine IDX-Datei für die Videodatei erzeugt.
Kapitel erstellen | Sind im Projekt Kapitel festgelegt und ist diese Option aktiviert wird eine Kapitelliste erzeugt. Dabei werden die Einstellungen der aktuell gültigen Arbeitsumgebung beachtet (Optionen -> Listenexport -> Kapitellistenexport).
Timecode korrigieren | Der Timecode der Videodatei wird durchgängig neu geschrieben.
Bittrate korrigieren | In alle Sequenzheader der neuen Videodatei werden neu berechnete Bitraten eingetragen.
framegenau schneiden | Durch entfernen dieser Option kann das framegenaue Schneiden verhindert werden. Schnitte die eigentlich neu berechnet werden müssten werden zur nächst möglichen Schnittstelle (I- bzw. P-Frame) verschoben.
Nachbearbeitung | Schaltet die Nachbearbeitung (z.B. muxen) ein. Im Eingabefeld Nachbearbeitung muß das zu verwendene Script angegeben sein.
maximale GOP-Länge | Diese Option bestimmt ob zu lange GOPs neu berechnet werden. Im Eingabefeld Encoder muß ein Encoderscript angegeben sein. Die maximale Länge der GOPs kann unter Optionen -> Video/Audioschnitt eingestellt werden.
Schnitte einzeln schneiden | Bei aktivierter Option werden alle Schnitte des Projektes in eigene Dateien gespeichert. Die einzelnen Video- und Audiodateien werden entsprechend den Einstellungen (Optionen -> Dateinamen/Endungen -> Dateinamen nummerieren) nummeriert.
nur Audio schneiden | Auch wenn Videodateien im Projekt enthalten sind werden nur die Audiodateien geschnitten.
Bitrate | Legt fest welche Bitrate in den ersten Sequenzheader der neuen Videodatei geschrieben wird. Wählt man "feste Bitrate" kann eine Bitrate direkt in das Eingabefeld geschrieben werden.
Aspectratio | Gibt an welches Aspectratio im ersten Sequenzheader der neuen Videodatei verwendet wird. Der Eintrag "Aspectratio nach ..." benutzt das Aspectratio aus dem Header nach der hier angegebenen Anzahl von Bildern des ersten Schnittes.

Scripte:

Encoder | Ein hier angegebenes Script wird zur Berechnung neuer Videoteile für den framegenauen Schnitt, zur Neuberechnung langer GOPs und für Effekte verwendet. Die Taste [...] öffnet einen Dateidialog in dem das Script ausgewählt werden kann.
Nachbearbeitung | Das zur Nachbearbeitung zu verwendende Script muß hier angegeben werden. Die Taste [...] öffnet einen Dateidialog in dem ein Script ausgewählt werden kann.

Mit der Taste Ok wird der Dialog verlassen und die Einstellungen werden in die Projekteinstellungen übernommen. Dabei wird überprüft ob vorhandene Dateien überschrieben werden. Abbrechen verläßt den Dialog ohne die Einstellungen des Projektes zu ändern.

Wird das SchnittTool zum schneiden eines Projektes aus Mpeg2Schnitt heraus gestartet haben die Tasten Ok und Abbrechen eine andere Bedeutung. Ok startet den Schnittvorgang und Abbrechen schließt das SchnittTool und kehrt zu Mpeg2Schnitt zurück.

Verweise:

  • Dateidialog
  • Optionen Dateinamen/Endungen
  • Optionen Video/Audioschnitt
  • Optionen externe Programme
  • Optionen Listenexport
  • Scripte
  • Aufbau der Projekte
  • Aufbau der Indexdateien


Kontextmenüs

Zu den verschiedenen Fenstern des Programms gibt es Kontextmenüs.
Zum öffnen des Konextmenüs das entsprechende Fenster mit der rechten Maustaste anklicken.

  • Projektfenster
  • Protokollfenster

Verweise:


Kontextmenü des Projektfensters

Das Kontextmenü enthält folgende Menüpunkte:

Projekt(e) hinzufügen (Strg o) | Ein oder mehrere Projekte können in das Projektfenster eingefügt werden. Projekte können durch einen Doppelklick in den freien Bereich des Projektfensters, über das Menü, das Kontextmenü des Projektfensters, der Schnellstartleiste, per Kommandozeile oder Drag&Drop in das Projektfensterfenster geladen werden.
Projekt(e) löschen | Die markierten Projekte werden aus dem Projektfenster entfernt. Projekte können über das Menü, das Kontextmenüs des Projektfensters und der Schnellstartleiste aus dem Projektfenster entfernt werden.

Verweise:

  • Menü
  • Projektfensters
  • Schnellstartleiste
  • Kommandozeile
  • Drag&Drop


SchnittTool Protokollfenstermenuepunkte

Kontextmenü des Protokollfensters

Das Kontextmenü enthält folgende Menüpunkte:

Protokoll speichern | Der Inhalt des Protokollfensters wird gespeichert. In einem Dateidialog muß ein Verzeichnis und der Dateiname festgelegt werden. Protokolle können über das Menü Protokoll und dem Kontextmenü des Protokollfensters gespeichert werden.
Kopieren | Kopiert den markierten Text des Protokollfensters in die Zwischenablage.
Löschen | Löscht den Inhalt des Protokollfensters.

Die Funktionen Kopieren und Löschen stehen nur im Kontextmenü des Protokollfensters zur Verfügung.

Verweise:

  • Menü
  • Dateidialoge
  • Protokollfenster


IndexTool

An dieser Stelle soll der Aufbau der Programms beschrieben werden.

Informationen zum IndexTool folgen bei Bedarf.

Verweise:


Optionendialog

Video/Audioschnitt Schnittliste Kapitelliste Markenliste Listenimport Listenexport Tastenbelegung Navigation Vorschau externe Programme Effekte Filmübersicht Allgemein Benutzeroberfläche Verzeichnisse Dateinamen/Endungen Anzeige/Wiedergabe

Im Optionendialog werden alle Einstellungen für das Programm vorgenommen.
Zur besseren Übersicht ist das Optionenfenster in mehrere Bereiche (Karteikarten) eingeteilt. Für weitere Informationen auf die entsprechende Karteikarte klicken.

Bedeutung der Tasten

Abbrechen | Beendet den Dialog ohne eventuell geänderten Einstellungen zu speichern.
Speichern | Speichert die aktuellen Einstellungen (Der Dateiname wird in der Titelleiste angezeigt) ohne den Dialog zu beenden.
Speichern unter | Die aktuellen Einstellungen können in einer anderen Arbeitsumgebungsdatei (*.mau) gespeichert werden. Dazu wird ein Dateidialog geöffnet. Bevor eine vorhandene Datei überschrieben wird erfolgt eine Sicherheitsabfrage. Der Dialog wird nicht beendet.
Standard | Speichert die aktuellen Einstellungen in der Standardarbeitsumgebung (Standard.mau) ohne den Dialog zu beenden.
OK | Die Einstellungen werden in der geöffneten Arbeitsumgebung (siehe Titelzeile) gespeichert und der Dialog beendet.

Verweise:

  • Allgemein
  • Benutzeroberfläche
  • Verzeichnisse
  • Dateinamen/Endungen
  • Anzeige/Wiedergabe
  • Video- Audioschnitt
  • Schnittliste
  • Kapitelliste
  • Markenliste
  • Listenimport
  • Listenexport
  • Tastenbelegung
  • Navigation
  • Vorschau
  • externe Programme
  • Effekte
  • Filmübersicht
  • Kontextmenü der Eingabefelder mit Auswahlliste


Optionen/Allgemein

Dialog Optionen -> Allgemein

Im Dialog Optionenfenster/Allgemein werden Einstellungen vorgenommen die das ganze Programm betreffen oder nicht speziell zu zuordnen sind.

Bereich: Allgemeine Einstellungen

Indexdateien beim Beenden löschen | Die Indexdateien der in der Dateienliste geladenen Video- und Audiodateien werden beim Beenden des Programms gelöscht. (Standard: ausgeschaltet)
Protokoll erstellen | Ist diese Option eingeschaltet wird eine Protokolldatei Protokoll.txt geschrieben. (Standard: ausgeschaltet) Diese Einstellung wird nicht gespeichert, die Funktion muß also nach jedem Start des Programmes neu gesetzt werden. Die in das Protokoll geschriebenen Meldungen sind noch nicht vollständig und werden bei Bedarf (Fehlersuche) erweitert.
feste Framerate | Soll das Video mit einer anderen Framerate als der im Video gespeicherten abgespielt und berechnet werden muß diese Option eingeschaltet werden. Im Eingabefeld kann dann die Framerate eingetragen werden. (Standard: ausgeschaltet)
Sequenzende in der Videodatei ignorieren | Sind Formatwechsel innerhalb der Videodatei durch Sequenzendekennungen gekennzeichnet muß diese Option eingeschaltet werden. (Standard: eingeschaltet)
Programm nach dem Schneiden beenden | Das Programm wird nach erfolgreichem Schnittvorgang beendet. (Standard: ausgeschaltet) Sind Änderungen am Projekt noch nicht gespeichert wird nach dem Start des Schneidenvorganges darauf hingewiesen.
Schiebereglerposition beibehalten | Beim öffnen einer neuen Datei zur Wiedergabe wird die Position des Schiebereglers beibehalten. Ist diese Optione nicht markiert beginnt die Wiedergabe der Datei am Anfang. (Standard: ausgeschaltet)
Hinweisanzeigedauer | Selbstschließende Hinweisfenster werden nach dieser Zeit geschlossen. (Standard: 2 Sekunden) Diese Fenster sind nicht modal und können auch durch die Taste OK geschlossen werden. Wird eine Zeit von 0 Sekunden eingetragen wird kein Hinweisfenster angezeigt.
Beendenanzeigedauer | Beim Beenden des Programms wird ein Hinweisfenster für die eingestellte Zeit angezeigt (Standard: 0 Sekunden). Während dieser Zeit kann das Programm nicht geschlossen werden. Wird eine Zeit von 0 Sekunden eingetragen wird kein Hinweisfenster angezeigt.

Bereich: Projekt geändert

Dateiliste geändert | Wurde in der Dateienliste etwas geändert erfolgt eine Sicherheitsabfrage beim löschen oder überschreiben des Projektes. (Standard: eingeschaltet)
Schnittliste geändert | Wurde in der Schnittliste etwas geändert erfolgt eine Sicherheitsabfrage beim löschen oder überschreiben des Projektes. (Standard: eingeschaltet)
Kapitelliste geändert | Wurde in der Kapitelliste etwas geändert erfolgt eine Sicherheitsabfrage beim löschen oder überschreiben des Projektes. (Standard: eingeschaltet)
Markenliste geändert | Wurde in der Markenliste etwas geändert erfolgt eine Sicherheitsabfrage beim löschen oder überschreiben des Projektes. (Standard: ausgeschaltet)
Effekt geändert | Wurde ein Effekt geändert erfolgt eine Sicherheitsabfrage beim löschen oder überschreiben des Projektes. (Standard: eingeschaltet)
Cut setzt Projekt geändert zurück | Nach dem Schneiden gilt das Projekt als nicht geändert. Das Programm kann ohne Nachfrage beendet werden. (Standard: ausgeschaltet)

Verweise:

  • Dateienliste
  • Schnittliste
  • Kapitelliste
  • Markenliste
  • Aufbau der Indexdateien


Optionen/Benutzeroberfläche

Dialog Optionen -> Benutzeroberfläche

Im Dialog Optionenfenster/Benutzeroberfläche werden die Einstellungen der Benutzeroberfläche vorgenommen.

Bereich: Oberfläche

Dateienfensterhöhe | In diesem Eingabefeld kann die Höhe der Dateienlistes in Pixel festgelegt werden. Die Höhe der Dateienliste kann auch in der Programmoberfläche durch schieben mit der Maus eingestellt werden. (0 bedeutet Standardhöhe 80 Pixel)
Listenfensterbreite | Die Breite des Listenfensters kann hier, aber auch durch ziehen mit der Maus in der Programmoberfläche in gewissen Grenzen eingestellt werden. (0 bedeutet Standardbreite 215 Pixel)
Listenfenster auf der linken Seite | Soll das Listenfenster auf der linken Programmseite angezeigt werden muß diese Option markiert werden. (Standard ausgeschaltet)
Dateien im Listenfenster | Die Dateienliste wird mit im Listenfenster angeordnet. Dadurch entsteht mehr Platz auf der Programmoberfläche. (Standard ausgeschaltet)
Tastenfenster zentrieren | Ab einer bestimmten Größe das Programms füllen die Tasten im unteren Bereich nicht mehr die gesammte Breite des Programms aus und werden verteilt. Durch diese Option werden die Tasten im mittleren Bereich dargestellt. (Standard ausgeschaltet)
Schiebereglermarker anzeigen | Der Schiebereglermarker ist das kleine, verschiebbare Dreieck unter dem Schieberegler. Diese Option regelt ob dieser Marker angezeigt wird. (Standard eingeschaltet)
Menü per Tasten bedienen | Ist diese Option markiert kann das Hauptmenü mit den Tasten (Alttaste und unterstrichener Buchstabe) bedient werden. (Standard ausgeschaltet)
Taste Springe zum Ende links/rechts | Die Taste "Springe zum Ende" kann links und/oder rechts neben dem Schieberegler angezeigt werden. (Standard rechts)

Bereich: Synbole

keine Symbole | Zur Anzeige der Tasten werden keine Symbole verwendet. Auf den Tasten steht ein mehr oder weniger aussagekräftiger Text.
Standardsymbole | Die Standardsymbole des Programms werden verwendet (Standardeinstellung).
Symboldatei | Im Eingabefeld rechts neben dieser Option kann eine Synboldatei ausgewählt werden. Dazu kann ein Dateidialog druch klicken auf die Taste [-->] benutzt werden.

Bereich: Schriftarten

Hauptfenster, Tastenfenster, Anzeigefenster, Dialoge | Die Schriftart und Größe kann für die verschiedenen Fenster einzeln eingestellt werden. Die Einstellung ist nur über den Windows-Schriftartendialog möglich. Dazu muß auf die jeweilige Taste [-->] neben den Eingabefeldern geklickt werden. (Standard: Tahoma, 9)
Tasten im Hauptfenster fette Schrift | Die Beschriftung im unteren Teil des Hauptfensters wird in fetter Schriftart dargestellt. Bei den meisten Tasten ist die Schrift nur zu sehen wenn keine Symbole angezeigt werden.

Verweise:

  • Dateienliste
  • Schnittliste
  • Bedienfenster
  • Hauptmenü


Optionen/Verzeichnisse

Dialog Optionen -> Verzeichnisse

Alle Verzeichnisse für das Programm werden in diesem Dialog eingestellt.
Um den Verzeichniseintrag zu erleichtern kann über das Kontextmenü ein Verzeichnisdialog aufgerufen werden. Das Kontextmenü kann durch einen Rechtsklick in das Eingabefeld oder einen Klick auf die Taste [-->] geöffnet werden.
Ist die Option Verzeichnis ändern angewählt merkt sich das Programm das zuletzt verwendete Verzeichnis. Dabei werden auch Variablen überschrieben.

Video/Audioverz. | Beim öffnen von Video- oder Audiodateien startet der Dateidialog in diesem Verzeichnis. Ist das Eingabefeld leer wird das aktuelle Verzeichnis benutzt.
Zielverzeichnis | Die geschnittenen Dateien werden in diesem Verzeichnis gespeichert. Standardmäßig kann das Verzeichnis vor dem Schneiden angepasst werden. Ist kein Verzeichnis angegeben wird das Verzeichnis der ersten Videodatei (bzw. Audiodatei) in der Schnittliste verwendet. In diesem Eingabefeld sind die Variablen $Videodirectry#, $Projectdirectory#, $Videoname# und $Projectname# möglich.
Projektverzeichnis | Zum Speichern von Projekten wird dieses Verzeichnis vorgeschlagen. Ohne Eintrag wird das Programmverzeichnis verwendet. In diesem Eingabefeld sind die Variablen $Videodirectry#, $Projectdirectory#, $Videoname# und $Projectname# möglich.
Kapitelverzeichnis | Verzeichnisvorschlag beim exportieren der Kapiteldateien aus der Kapitelliste. Bei leerem Eingabefeld wird das Verzeichnis der ersten Videodatei (bzw. Audiodatei) in der Kapitelliste benutzt. In diesem Eingabefeld sind die Variablen $Videodirectry#, $Projectdirectory#, $Videoname# und $Projectname# möglich.
Vorschauverzeichnis | Für die Vorschau berechnete Dateien werden in diesem Verzeichnis gespeichert. Ohne Eintrag wird das Programmverzeichnis benutzt. In diesem Eingabefeld sind die Variablen $Videodirectry#, $Projectdirectory#, $Videoname# und $Projectname# möglich. Werden in diesem Feld Variablen verwendet hat die Option Vorschaudateien löschen im Dialog Optionen Vorschau keine Wirkung.
Zwischenverzeichnis | Wird zum Speichern von Dateien die für Zwischenschritte nötig sind verwendet. Ohne Eintrag werden die Zwischendateien im Programmverzeichnis gespeichert.

Verweise:

  • Dateidialoge
  • Kontextmenü der Eingabefelder
  • Dialog Optionen Vorschau
  • Variablen für Verzeichnisse
  • Vorwahl von Verzeichnissen und Dateinamen


Dialog Optionen/Dateinamen/Endungen

Dialog Optionen -> Dateinamen/Endungen

Einstellungen für Dateinamen und Dateiendungen werden in diesem Dialog vorgenommen.

Bereich: Dateinamen

Projektdateiname | Vorschlag für einen Dateinamen beim ersten Speichern (auch Speichern unter) des Projektes. Ist das Feld leer und existiert noch kein Projektname (Projekt noch nicht gespeichert) wird der Name der ersten Videodatei (bzw. Audiodatei) in der Schnittliste benutzt. Ist auch das nicht möglich wird der Name "Project1" vorgeschlagen. Die Variablen $Videoname# und $Projectname# können werwendet werden.
Projektdialog unterdrücken | Der Dialog Projekt speichern wird übersprungen und das Projekt unter dem Namensvorschlag (siehe oben) gespeichert.
Zieldateiname | Der hier eingetragene Dateiname wird beim Schneiden als Zieldateiname vorgeschlagen. Ist hier nichts eingetragen wird der Projektname verwendet. Wurde das Projekt noch nicht gespeichert wird der erste Videodateiname (bzw. Audiodateiname) der Schnittliste verwendet. Um zu verhindern das dabei die Quelldateien überschrieben werden wird der Dateiname bei Bedarf entsprechend den Einstellungen unter Dateinamen nummerieren hochgezählt. Die Variablen $Videoname# und $Projectname# können werwendet werden.
Zieldateidialog unterdrücken | Der Dialog zum anpassen des Zielverzeichnisses und des Zieldateinamens wird übersprungen und die automatisch erzeugten Dateinamen werden verwendet. Es wird sofort mit dem Schnitt begonnen.
Kapiteldateiname | Dieser Dateiname wird beim exportieren von Kapiteln aus der Kapitelliste als Dateiname vorgeschlagen. Ist hier nichts eingetragen wird der Projektname verwendet. Wurde das Projekt noch nicht gespeichert wird der erste Videodateiname (bzw. Audiodateiname) der Kapitelliste verwendet. Die Variablen $Videoname# und $Projectname# können werwendet werden.

Bereich: Dateinamen nummerieren

Projektdateien
Schnittdateien

Bereich: Dateiendungen Video

Dateiendungen
Standardendung

Bereich: Dateiendungen Audio

Dateiendungen
Standardendung
Standardend. PCM
Standardend. MP2
Standardend. AC3
Audiotrennzeichen

Bereich: Dateiendungen Kapitel

Dateiendungen | Diese Dateiendungen werden als Filter für Dateidialoge beim importieren und exportieren von Kapiteln verwendet.
Standardendung | Wird im Dateidialog keine Endung angegeben wird diese Standardendung verwendet. Auch wenn eine Endung angegeben wird die nicht im Eingabefeld Dateiendungen aufgeführt ist wird die Standardendung an den Dateinamen angehangen. Kapiteldateien die beim Schneiden erzeugt werden haben den Namen der Videodatei (bzw. Audiodatei) und werden im gleichen Verzeichnis wie die Video- und Audiodatei abgelegt. Als Endung wird die Standardendung verwendet.

Verweise:

  • Dateidialoge
  • Menü Datei/Speichern unter
  • Schnittliste
  • Kapitelliste
  • Variablen für Dateinamen
  • Vorwahl von Verzeichnissen und Dateinamen


Optionen/Anzeige/Wiedergabe

Dialog Optionen -> Anzeige/Wiedergabe

Einstellungen für Videoanzeige und Audiowiedergabe.

Bereich: Videoanzeige

Video grau anzeigen | Sollte das Video bei farbiger Darstellung ruckeln oder asynchron werden kann man hier auf Schwarz-Weiß-Wiedergabe umstellen und so Rechenleistung sparen.
kein Video abspielen | Soll kein Video abgespielt werden kann das hier eingestellt werden. Die Videoanzeige kann auch im Kontextmenü des Anzeigefensters temporär ausgeschaltet werden.
Programmfenster an Videogröße anpassen | Ändert man die Größe der Videoanzeige im Kontextmenü des Anzeigefensters wird wenn nötig und möglich das Programmfenster entsprechend vergrößert.
Videogröße einrasten | Beim verändern der Größe des Programmfensters ändert sich die Größe der Videoanzeige in den Schritten 25%, 50%, 75%, 100%, 150% und 200%.
Videohintergrundfarbe | Hier kann die Hintergrundfarbe des Anzeigefensters eingestellt werden. Zu sehen ist nur der Teil an dem kein Video dargestellt wird.
aktives Videofenster | Werden zwei Videofenster angezeigt wird der Hintergrund des aktiven Fensters mit dieser Farbe dargestellt.

Bereich: Audiowiedergabe

Fehler beim Audioöffnen anzeigen | Fehler die beim Öffnen der Audiodatei zur Wiedergabe auftreten werden nur angezeigt wenn diese Option eingeschaltet ist. Außerdem werden dann bei DirectShow die Filter des Graphen und die tatsächlich verwendeten Filter angezeigt. (Standard: ausgeschaltet)
kein Audio, MCI Schnittstelle verwenden, Direct Show Schnittstelle verwenden | An dieser Stelle kann man wählen ob Audio wiedergegeben wird und welche Windowsschnittstelle dazu verwendet werden soll. (Standard: Direct Show) Die ältere MCI Schnittstelle sollte nur verwendet werden wenn es Probleme mit der Direct Show Schnittstelle gibt.
DirectShow Graph | Wird zur Audiowiedergabe die Direct Show Schnittstelle verwendet kann hier ein mit Graphedit erzeugter Graph geladen werden. Die Filter dieses Graphen werden dann vorzugweise zum rendern des Wiedergabegraphen verwendet. (Standard: keiner)

Bereich: Wiedergabe

Video nach dem Öffnen anzeigen | Nach dem öffnen einer Videodatei und/oder Audiodatei(en) in der Dateienliste werden diese zur Anzeige/Wiedergabe geöffnet. (Standard: eingeschaltet)
Geschwindigkeit bei Pause auf 1 setzen | Die Geschwindigkeit der Videowiedergabe wird beim stoppen der Wiedergabe automatisch auf 1 zurückgesetzt. (Standard: ausgeschaltet)

Verweise:

  • Anzeige
  • Dateienliste
  • Kontextmenü der Anzeige


Optionen/Video/Audioschnitt

Dialog Optionen -> Video/Audioschnitt

Einstellungen die beim Schneiden der Video- und Audiodateien verwendet werden.

Bereich: Schnittoptionen

Indexdatei erstellen | Beim schneiden werden für die neuen Video- und Audiodateien Indexdateien erstellt. Dadurch wird der Ladevorgang beim öffnen der Video- und Audiodateien (z.B. zur Kontrolle) beschleunigt. (Standard: eingeschaltet)
Kapiteldatei erstellen | Es wird eine Kapiteldatei mit dem Namen der Videodatei (bzw. Audiodatei) und der unter Dateinamen/Endungen eingestelllten Standardendung erstellt. Dazu wird der Inhalt der Kapitelliste bezogen auf die neu erstellten Video bzw. Audiodateien verwendet. (Standard: ausgeschaltet)
Nachbearbeitung | Nach erfolgreicher Erstellung der neuen Video- und Audiodateien wird das Nachbearbeitungsscript ausgeführt. Das Nachbearbeitungsscript wird unter externe Programme festgelegt. (Standard: ausgeschaltet)
Speicherplatz überprüfen | Prüft ob der Speicherplatz auf dem Zielmedium zum speichern der Video- und Audiodateien ausreicht. Die Grösse des benötigten Speicherplatzes wird berechnet und ist bei Verwendung von Effekten, framgenauen Schnitt usw. entsprechend ungenau. Der Platzbedarf der Indexdateien, Kapiteldateien, tempoären Dateien und der zur Nachbearbeitung benötigte Speicherplatz wird nicht berücksichtigt. (Standard: eingeschaltet)

Bereich: Videoschnitt

Timecode korrigieren | Der Timecode der Videodatei wird neu geschrieben. (Standard: eingeschaltet)
Bitrate korrigieren | Die Bitrate wird für jede Sequenz der Videodatei berechnet und in den Sequenzheader geschrieben. (Standard: ausgeschaltet) Die Bitratenberechnung neuberechneter Videoteile wird durch Variablen in den Scripten gesteuert.
D2V-Datei erstellen | Es wird eine DGIndex-Projektdatei angelegt (V 1.4.8). Diese Datei entspricht nicht genau der von DGIndex selbst erzeugten Datei. (Standard: ausgeschaltet)
IDX-Datei erstellen | Erstellt eine DVDLab-Indexdatei.
min. Bilder | Legt für den In- und OUT-Schnitt getrennt fest aus wieviel Bildern neuberechnete Teile mindestens bestehen müssen. Kurze GOPs (ein, zwei oder drei Bilder) haben oft eine sehr hohe Bitrate da ihnen die B-Frames fehlen.
maximale GOP-Länge | GOPs die länger als die festgelegte maximale Länge sind werden gekürzt und teilweise neu berechnet. Die maximale Länge kann im Eingabefeld festgelegt werden. (Standard: ausgeschaltet, 0)
1. Header | Legt fest welche Bitrate in den ersten Sequenzheader der neuen Videodatei geschrieben wird. Wählt man "feste Bitrate" kann eine Bitrate direkt in das Eingabefeld geschrieben werden.
 | Gibt an welches Aspectratio im ersten Sequenzheader der neuen Videodatei verwendet wird. Der Eintrag "Aspectratio nach ..." benutzt das Aspectration aus dem Header nach den angegebenen Bildern des ersten Schnittes.

Bereich: Audioschnitt

Stille Audioframes Um fehlende Audioteile ersetzen zu können werden leere Audioteile benötigt. Diese Audiodateien (eine Audioframe) werden hier getrennt für die Audiotypen verwaltet. Audioframes ohne Inhalt (Stille) können von entsprechenden Stellen im Audio mit der Funktion Menü -> Zusatzfunktionen -> aktuellen Audioframe speichern gespeichert werden.

Verweise:

  • Menü Zusatzfunktionen
  • Kapitelliste
  • Optionen Dateinamen/Endungen
  • Optionen externe Programme
  • Nachbearbeitungsscripte
  • Scripte


Optionen/Schnittliste

Dialog Optionen -> Schnittliste

Einstellungen für die Schnittliste.

Bereich: Schnittlistenformat

Format | Hier wird das in der Schnittliste verwendete Zahlen- bzw. Zeitformat festgelegt.
Trennzeichen | Diese Zeichen werden bei der Anzeige zum trennen der Zeiten für den In- und Out-Schnitt verwendet.
Bildbreite | Legt die Breite (in Pixel) der Bilder in der Schnittliste fest.
Bild vom Schnittanfang | Soll ein Bild vom Schnittanfang angezeigt werden muß diese Option aktiviert werden.
Bild vom Schnittende | Ist diese Option aktiviert wird ein Bild vom Schnittende in der Schnittliste angezeigt.

Bereich: Farbeinstellungen

Schnitt berechnen | Schnitte bei denen Videoteile neu berechnet werden müssen werden in dieser Farbe angezeigt.
nicht berechnen | Schnitte an B- bzw P-Frames die zwar neu berechnet werden müssten aber Aufgrund der Schnittzusammensetzung dennoch nicht berechnet werden müssen werden in dieser Farbe angezeigt.

Bereich: Sonstiges

Einfügen Diese Einstellung entscheidet darüber an welcher Stelle neue Einträge in die Schnittliste eingefügt werden. Es sind die Einstellungen vor der Markierung, nach der Markierung und am Ende möglich.

Verweise:

  • Schnittliste
  • Zahlen- und Zeitformate


Optionen/Kapitelliste

Dialog Optionen -> Kapitelliste

Einstellungen für die Kapitelliste.

Bereich: Format

Zahlen | Hier kann das in der Kapitelliste verwendete Zahlen- und Zeitformat festgelegt werden.
Schnittlistenformat übernehmen | Ist diese Option aktiviert wird das Format der Schnittliste übernommen.
Trennzeile | Getrennt für jede Spalte kann hier festgelegt werden was als Trennzeile eingefügt werden soll. Trennzeilen dienen der besseren Übersicht und können über das Kontextmenü eingefügt werden.

Bereich: Farbeinstellungen

Vordergrund | Schriftfarbe der Kapitelliste.
Hintergrund | Hintergrundfarbe der Kapitelliste.
VerschiebenVg | Schriftfarbe wenn sich die Kapitelliste im Verschiebemodus befindet.
VerschiebenHg | Hintergrundfarbe wenn sich die Kapitelliste im Verschiebemodus befindet.

Bereich: Sonstiges

Einfügen Diese Einstellung entscheidet darüber an welcher Stelle neue Einträge in die Kapitelliste eingefügt werden. Es sind die Einstellungen vor der Markierung, nach der Markierung, am Ende und ändern möglich. Ist ändern ausgewählt wird der markierte Eintrag überschrieben.

Verweise:

  • Schnittliste
  • Kapitelliste
  • Dialog Optionen Schnittliste
  • Zahlen- und Zeitformate


Optionen/Markenliste

Dialog Optionen -> Markenliste

Einstellungen für die Markenliste.

Bereich: Schnittlistenformat

Format Hier wird das in der Markenliste verwendete Zahlen- bzw. Zeitformat festgelegt.

Bereich: Sonstiges

Markenliste bearbeiten | Ist diese Option aktiviert kann die Markenliste bearbeitet und zusätzlich wie ein einfacher Editor verwendet werden.
Einfügen | Diese Einstellung entscheidet darüber an welcher Stelle neue Einträge in die Markenliste eingefügt werden. Es sind die Einstellungen vor der Markierung, nach der Markierung und am Ende möglich.

Verweise:

  • Markenliste
  • Zahlen- und Zeitformate


Optionen/Listenimport

Dialog Optionen -> Listenimport

Einstellungen für den Listenimport. Beim Listenimport wird versucht aus einer Textdatei Schnitte, Kapitel oder Marken zu erstellen.

Die Einträge in den Eingabefeldern mit Auswahlliste können mit Hilfe des Kontextmenüs bearbeitet werden. Das Kontextmenü kann durch einen Rechtsklick in das Eingabefeld oder durch einen Klick auf die taste [->] geöffnet werden.

Bereich: Schnittlistenimport

Trennzeichen | Trennzeichen sind die Zeichen in einer Textdatei die die einzelnen Schnitte trennen. Standardmäßig ist hier das Leerzeichen eingetrgagen. Weitere Trennzeichen können aber hinzugefügt werden.
Zeittrennzeichen | Die Zeittrennzeichen trennen die einzelnen Abschnitte innerhalb einer Zeitangabe (Stunden, Minuten ...). Der Punkt und der Doppelpunkt sind standardmäßig eingetragen. Weitere Zeichen sind möglich.

Bereich: Kapitellistenexport

Schnittlistenimport übernehmen | Durch aktivieren dieser Option wird das Importformat der Schnittliste übernommen.
Trennzeichen | Trennzeichen sind die Zeichen in einer Textdatei die die einzelnen Kapitel trennen. Standardmäßig ist hier das Leerzeichen eingetrgagen. Weitere Trennzeichen können aber hinzugefügt werden.
Zeittrennzeichen | Die Zeittrennzeichen trennen die einzelnen Abschnitte innerhalb einer Zeitangabe (Stunden, Minuten ...). Der Punkt und der Doppelpunkt sind standardmäßig eingetragen. Weitere Zeichen sind möglich.

Bereich: Markenlistenexport

Schnittlistenimport übernehmen | Durch aktivieren dieser Option wird das Importformat der Schnittliste übernommen.
Trennzeichen | Trennzeichen sind die Zeichen in einer Textdatei die die einzelnen Marken trennen. Standardmäßig ist hier das Leerzeichen und das Semikolon eingetrgagen. Weitere Trennzeichen können aber hinzugefügt werden.
Zeittrennzeichen | Die Zeittrennzeichen trennen die einzelnen Abschnitte innerhalb einer Zeitangabe (Stunden, Minuten ...). Der Punkt und der Doppelpunkt sind standardmäßig eingetragen. Weitere Zeichen sind möglich.

Verweise:

  • Schnittliste
  • Kapitelliste
  • Markenliste


Optionen/Listenexport

Dialog Optionen -> Listenexport

Einstellungen für den Listenexport.

Bereich: Schnittlistenexport

Format | Hier wird das für den Export der Schnittliste verwendete Zahlen- bzw. Zeitformat festgelegt.
Offset | Sollte es nötig sein die Schnitte beim exportieren zu verschieben kann hier ein Offset angegeben werden. Die Schnittliste arbeitet nullbasierend.

Bereich: Kapitellistenexport

Schnittlistenformat übernehmen | Durch aktivieren dieser Option kann das Exportformat der Schnittliste übernommen werden.
Format | Hier wird das für den Export der Kapitelliste verwendete Zahlen- bzw. Zeitformat festgelegt.
Offset | Sollte es nötig sein die Kapitel beim exportieren zu verschieben kann hier ein Offset angegeben werden. Die Kapitelliste arbeitet nullbasierend.

Bereich: Markenlistenexport

Schnittlistenformat übernehmen | Durch aktivieren dieser Option kann das Exportformat der Schnittliste übernommen werden.
Format | Hier wird das für den Export der Markenliste verwendete Zahlen- bzw. Zeitformat festgelegt.
Offset | Sollte es nötig sein die Marken beim exportieren zu verschieben kann hier ein Offset angegeben werden. Die Markenliste arbeitet nullbasierend.

Verweise:

  • Schnittliste
  • Kapitelliste
  • Markenliste
  • Zahlen- und Zeitformate


Optionen/Tastenbelegung

Dialog Optionen -> Tastenbelegung

Belegung der Tasten mit verschiedenen Funktionen.

In der Tabelle kann jeder Funktion (auf der linken Seite) eine Taste (auf der rechten Seite) zugewiesen werden. Dazu die Markierung (blauer Balken) mit den Kursortasten oder der Maus zu der gewünschten Funktion bewegen. Das drücken der Taste Enter (Return) oder ein Doppelklick mit der linken Maustaste schaltet in den Eingabemodus, die rechte Zelle wird rot umrandet. Nun kann die gewünschte Taste auf der Tastatur gedrückt werden. Dadurch wird auch der Eingabemodus wieder verlassen. Wird die gedrückte Taste schon andersweitig benutzt wird die Tastenzuordnung nicht geändert. Der Eingabemodus kann auch mit einem Doppelklick der linken Maustaste verlassen werden. Über das Kontextmenü kann die Tastenzuordnung gelöscht werden.

Bereich: eigene Tastenbelegung

Infofenster Für jedes der hier aufgeführten Fenster kann festgelegt werden ob die Tastensteuerung des Programms aufgehoben wird wenn dieses Fenster den Focus besitzt. Standardmäßig ist das für die Kapitelliste und die Markenliste der Fall.
Schnittliste
Kapitelliste
Markenliste
Dateienliste

Bereich: SchrittweiteTasten

Schrittweite 1 | Standard 10 | Hier können die Werte für die Schrittweitetasten angegeben werden. Wird eine dieser Tasten (siehe Zuweisung in der Tabelle) gedrückt gehalten werden die Aktionen einiger anderer Tasten (z.B nächsten Bild) entsprechend vervielfacht.
Schrittweite 2 | Standard 20
Schrittweite 3 | Standard 100
Schrittweite 4 | Standard 200

Verweise:


Optionen/Navigation

Dialog Optionen -> Navigation

Einstellungen zur Navigation.

Abspielzeit | Abspielzeit für die Tasten Spiele bis [-->|] und Spiele ab [|-->].
Scrollrad für Audiooffset benutzen | Ist diese Option aktiviert kann der Audiooffset (auch während des Abspielens) mit dem Scrollrad der Maus verändert werden. (Standard aus)
Video und Audio getrennt öffnen | Bei ausgeschalteter Option werden bei einem Doppelklick auf eine Video- oder Audiodatei in der Dateienliste beide Dateien zur Wiedergabe/Anzeige geöffnet. Ist die Option eingeschaltet wird nur die angeklickte Datei zur Wiedergabe/Anzeige geöffnet. Dies ist für aufwendigere Schnittaufgaben sinnvoll. (Standard aus)
Out-Schnitt im zweiten Videofenster anzeigen | Ist diese Option aktiv wird beim erstellen eines Schnittes der Out-Schnitt im passiven Videofenster angezeigt. (Standard aus)
Klick startet/stopt Wiedergabe | Ein Klick in das Anzeigefenster startet bzw. stopt die Wiedergabe. (Standard ein)
Doppelklick schaltet auf Vollbild | Ein Doppelklick in das Anzeigefenster schaltet in die Vollbildwiedergabe bzw. in die Fensterdarstellung um. (Standard aus)
Videoeigenschaften aktualisieren | Die Videoeigenschaften werden in der Informationsliste (Info) während der Navigation im Video ständig aktualisiert. (Standard aus)
Audioeigenschaften aktualisieren | Aktualisiert die Audioeigenschaften in der Informationsliste während im Audio navigiert wird. (Standard aus)

Verweise:

  • Navigation/Schnitt
  • Anzeige
  • Dateienliste
  • Informationsliste
  • Erweiterte Videoeffekte
  • Erweiterte Audioeffekte


Optionen/Vorschau

Dialog Optionen -> Vorschau

Einstellungen der Vorschaufunktion.

Vorschaudauer | Eine Vorschau wird aus dem Ende des ersten markierten Schnittes und dem Anfang des folgenden Schnittes berechnet. Hier kann die Länge der Vorschau für beide Teile getrennt eingestellt werden. (Standard 2 mal 2 Sekunden)
Vorschaudauer auf Effektlänge erweitern | Bei aktivierter Option wird die Vorschaudauer pro Vorschauteil auf die Effektdauer plus angegebenem Wert (Standard 1 Sekunde) erweitert um den Effekt besser beurteilen zu können. Andernfalls wird der Effekt auf die Vorschaudauer verkürzt. (Standard ein)
Vorschau neu berechnen | Erzwingt bei jeder Aktivierung der Vorschau eine Neuberechnung der Vorschaudatei. (Standard aus)
Vorschaudateien löschen | Alle Dateien im Vorschauverzeichnis werden beim beenden des Programms gelöscht. Werden für die Bildung des Vorschauverzeichnisses Variablen benutzt werden die Dateien in diesem Verzeichnis nicht gelöscht. (Standard aus)

Verweise:

  • Dialog Optionen Verzeichnisse
  • Variablen für Verzeichnisse


Optionen/externe Programme

Dialog Optionen -> externe Programme

Die Verwendung externer Programme wird durch Scripte gesteuert. Diese Scripte können hier zugewiesen werden.

Demuxen | Das demuxen aus dem Programm heraus ist noch deaktiviert.
Encoden | Das hier eingetragene Script steuert die Verwendung eines Encoders zur Neuberechnung von Videoteilen.
Nachbearbeitung | Ist Video und Audioschnitt erfolgreich beendet wird das Nachbearbeitungsscript ausgeführt. Dies ist durch eine Option ein- und ausschaltbar. (Menü -> Optionen -> Video/Audioschnitt)

Verweise:

  • Optionen / Video/Audioschnitt
  • Encoderscript
  • Nachbearbeitungsscript
  • Scripte


Optionen/Effekte

Dialog Optionen -> Effekte

Im diesem Dialog werden die Einstellungen für Effekte und Effektvorgaben vorgenommen.

Bereich: Effektliste bearbeiten

Videoeffektverzeichnis | In diesem Eingabefeld muß das Verzeichnis mit den Videoeffektscripten eingetragen werden. Dazu kann ein Dialog der über das Kontextmenü erreichbar ist verwendet werden. Das Kontextmenü kann durch einen Rechtsklick in das Eingabefeld oder einen Klick auf die Taste [-->] geöffnet werden. Videoeffekte können in einem oder mehreren Scripten gespeichert sein und müssen die Endung *.eff haben.
Audioeffektverzeichnis | Hier muß das Verzeichnis mit den Audioeffektscripten eingetragen werden.
Videoeffekte, Audioeffekte | Die vorhandenen Video- bzw. Audioeffekte kann man sich in den entsprechenden Auswahllisten ansehen. Die Auswahl eines Effektes hat keine Wirkung.

Bereich: Effektvoreinstellungen

Effektvorgabedatei | Die Effektvorgabedatei kann hier geöffnet und nach einer Bearbeitung auch gespeichert werden. Dazu stehen die Funktionen "Datei suchen", Datei speichern" und "Datei speichern unter" im Kontextmenü zur Verfügung. Das Kontextmenü kann durch einen Rechtsklick in das Eingabefeld oder einen Klick auf die Taste [-->] geöffnet werden. Effektvorgaben haben die Dateiendung *.eff und dürfen nicht in einem der Effektverzeichnisse gespeichert werden.
Videoeffektvorgaben, Audioeffektvorgaben | Die zu bearbeitende Effektvorgabe kann aus der Liste des jeweiligen Eingabefeldes ausgewählt werden. Ein neuer Effekteintrag muß vor der Bearbeitung angelegt werden (Kontextmenü/neuer Eintrag). Video- und Audioeffektvorgaben werden getrennt behandelt. Durch Rechtsklick in das Eingabefeld oder durch einen Klick auf die Taste [-->] wird ein Kontextmenü mit den Bearbeitungsmöglichkeiten geöffnet. Die möglichen Funktionen werden entsprechend der aktuellen Situation ein- oder ausgeblendet. Die Daten der einzelnen Effekte werden im Effektdialog bearbeitet. Da die Funktionen des Kontextmenüs öfter benutzt werden beschreibe ich sie extra.
eingestellte Effektvorgaben im Effektdialog verwenden | Ist diese Option aktiviert und für den Schnitt sind beim öffnen des Effektdialoges noch keine Effekte eingestellt werden die hier ausgewählten Effektvorgaben im Effektdialog angezeigt.

Verweise:

  • Scripten
  • Videoeffekte FadeIn, FadeOut, Blackvideo
  • Audioeffekte FadeIn, FadeOut
  • Effektdialog
  • Optionendialog
  • Kontextmenüs der Eingabefelder


Optionen/Filmübersicht

Dialog Optionen -> Filmübersicht

Einstellungen der Filmübersicht.

Schrittweite in Bildern | Dieser Wert entscheidet darüber wie oft ein Bild für die Filmübersicht erstellt wird. Bei einer Bildwiederholrate von 25 B/s wird (bei dem Standardwert von 3000) für jede zweite Minute ein Bild erzeugt. Bei einer Filmlänge von 2 Stunden (mit Werbung) sind das ca. 60 Bilder. Wird dieser Wert zu klein gewählt kann das Erstellen der Bilder schon einige Zeit dauern. Es können maximal XX Bilder erstellt werden.
Bildbreite | Hier kann die Bildbreite (in Pixel) und damit die Bildgröße eingestellt werden.
Aktivfarbe | Ein Doppelklick auf ein Bild markiert das Bild mit dieser Farbe und zeigt es im Anzeigefenster des Programms an.
Werbefarbe | Durch einen Linksklick bei gedrückter Shifttaste wird das angeklickte Bild zum Webebild und mit dieser Farbe markiert.
Filmfarbe | Klickt man mit Links auf ein Bild wird das Bild zum Filmbild und entsprechend markiert.

Verweise:

  • Filmübersicht


Optionen Kontextmenü

Kontextmenü der Eingabefelder

Für die verschiedenen Eingabefelder existieren unterschiedliche Kontextmenüs die aber alle die gleiche Funktionsweise haben. Es sind nicht immer alle hier beschriebenen Funktionen vorhanden. Das Kontextmenü kann durch einen Rechtsklick in das Eingabefeld oder einen Klick auf die Taste [-->] geöffnet werden.

neuer Eintrag
Eintrag kopieren
Eintrag einfügen
Eintrag ändern
Eintrag bearbeiten
Eintrag löschen
Ausschneiden
Kopieren
Einfügen
Löschen
Datei suchen
neuer Eintrag
Eintrag ändern
Eintrag löschen
Ausschneiden
Kopieren
Einfügen
Löschen
neuer Eintrag
Eintrag ändern
Eintrag löschen
Ausschneiden
Kopieren
Einfügen
Löschen
Datei suchen
Ausschneiden
Kopieren
Einfügen
Löschen
Verzeichnis suchen
Ausschneiden
Kopieren
Einfügen
Löschen
F
hh:mm:ss.mss
hh:mm:ss:ff
Ausschneiden
Kopieren
Einfügen
Löschen

Folgende Funktionen sind möglich:

Datei suchen | Es wird ein Dialog geöffnet in dem eine Datei ausgewählt werden kann. Dieser Dateiname wird dann in die Liste des Eingabefeldes eingetragen und (oder) im Eingabefeld angezeigt.
Verzeichnis suchen | Es wird ein Dialog geöffnet in dem ein Verzeichnis ausgewählt werden kann. Dieses Verzeichnis wird dann in die Liste des Eingabefeldes eingetragen und (oder) im Eingabefeld angezeigt.
neuer Eintrag | Es wird ein neuer Eintrag erzeugt. Dieser neue Eintrag wird vor dem angewähltem Eintrag eingetragen. Ist nichts oder der erste Eintrag angewählt (abhängig von der Art des Eingabefeldes) wird der neue Eintrag an das Ende der Liste angefügt. Wurde in das Eingabefeld schon ein neuer Name eingtragen wird dieser für den neuen Eintrag verwendet.
Eintrag kopieren | Der angewählte Eintrag wird mit allen seinen Einstellungen kopiert. Dabei passiert nichts weiter als das danach die Funktion Eintrag einfügen eingeblendet wird.
Eintrag einfügen | Der kopierte Eintrag wird vor dem angewähltem Eintrag eingefügt. Der Name wird durch "Kopie von ..." erweitert. Ist nichts oder der erste Eintrag angewählt wird der Eintrag an das Ende der Liste angefügt.
Eintrag ändern | Diese Funktion wird eingeblendet wenn der Name eines Eintrages im Eingabefeld geändert wurde. Durch betätigen dieser Funktion wird der neue Name übernommen.
Eintrag bearbeiten | Der angewählte Eintrag wird wenn möglich in einem Dialog zum bearbeiten der Eintragsdaten geöffnet.
Eintrag löschen | Diese Funktion löscht den angewählen Eintrag aus der Liste. Wurde ein Eintrag versehentlich gelöscht muß der Optionendialog mit der Taste [Abbrechen] geschlossen werden. Dabei gehen aber auch alle anderen Veränderungen verloren.
F, hh:mm:ss.mss, hh:mm:ss:ff | Beim anklicken einer dieser Menüpunkte wird dieser Textbaustein in das Eingabefeld übernommen. Die Textbausteine sind in der entsprechenden Sprachdatei anpassbar.
Ausschneiden, Kopieren, Einfügen, Löschen | Die letzten vier Menüpunkte beziehen sich direkt auf den Eintragsnamen im Eingabefeld und nicht auf eventuell vorhandene Daten. Auch die üblichen Windowstasten sind möglich (Strg-X, Strg-C, Strg-V, Entf)

Eingabefelder mit Auswahlliste:

Hat das Eingabefeld den Focus können durch drücken der Entertaste verschiedene Funktionen ausgeführt werden.

  • Im Eingabefeld ist kein oder der erste Eintrag angewählt: Es wird ein neuer Eintrag an das Ende der Liste angefügt (siehe neuer Eintrag).
  • Im Eingabefeld ist ein Eintrag angewählt, der Eintragsname wurde verändert: Der veränderte Eintragsname wird übernommen (siehe Eintrag ändern).
  • Im Eingabefeld ist ein Eintrag angewählt, der Eintragsname ist nicht verändert: Der angewählte Eintrag wird wenn möglich in einem Dialog zum bearbeiten der Eintragsdaten geöffnet (siehe Eintrag bearbeiten).

Verweise:

  • Dateidialoge
  • Optionendialog


Sonstiges

Alles was sonst nicht eingeordnet werden kann.

  • zusätzliche Parameter
  • vordefinierte Variablen
  • sebstdefinierte Parameter und Variablen
  • Scripte
  • Zahlen- und Zeitformate
  • Kommandozeilenparameter
  • Drag&Drop
  • Projektaufbau
  • Aufbau der Indexdateien
  • Fehlertabelle
  • Audiotrennzeichen
  • Audioschnittberechnung

Verweise:


Parameter

zusätzliche Parameter

Bei der Verwendung von externen Programmen in Mpeg2Schnitt können zusätzliche Parameter erforderlich sein. Diese Parameter werden hier näher beschrieben.

Parameter zur Effektverarbeitung: (Audio)

FramesBegin | Die entsprechende Anzahl Frames wird am Anfang der Datei die dem Effektprogramm übergeben wird hinzugefügt oder weggelassen. Negative Werte verlängern die Datei am Anfang, positive Werte verkürzen sie entsprechend.
FramesEnd | Dieser Parameter verändert das Ende der Datei die dem Effektprogramm übergeben wird. Negative Werte verkürzen die Datei am Ende und positive Werte verlängern sie.
EffectFramesBegin | Die neu berechnete Effektdatei wird beim kopieren in die Zieldatei am Anfang um die Anzahl dieser Frames gekürzt. Deshalb sind nur positive Werte sinnvoll.
EffectFramesEnd | Beim kopieren der neu berechnete Effektdatei in die Zieldatei wird diese am Ende um die Anzahl dieser Frames gekürzt. Es sind nur negative Werte sinnvoll.

Beispiele:

  1. Der externe Audiodecoder verschluckt am Ende der Datei immer ein Audioframe. Die decodierte Datei ist also zu kurz. Deshalb soll dem Decoder eine Datei übergeben werden die am Ende um ein Audioframe länger ist.
    Der erforderliche Parameter lautet: FramesEnd=1
  2. Der externe Audioencoder fügt am Anfang der neu encodierten Datei immer 10 ms Stille ein. Außerdem läßt er diese 10 ms am Ende weg. Die neue Datei hat zwar die richtige Länge, ist aber nach hinten verschoben. Deshalb soll dem Encoder eine Datei übergeben werden die am Ende um ein Audioframe länger ist. Von der neu erzeugten Datei soll dann beim kopieren in die Zieldatei am Anfang ein Audioframe abgeschnitten werden. Das Ergebnis ist dann zwar noch nicht perfekt aber besser als 10 ms Stille am Übergang zwischen der orginalen und der neu berechneten Datei.
    Die erforderlichen Parameter lauten: FramesEnd=1; EffectFramesBegin=1

Verweise:

  • Scripte
  • Audioeffekt FadeIn, FadeOut


Variablen

vordefinierte Variablen

Die Verwendung externer Programme in Mpeg2Schnitt wird durch Scripte gesteuert. zur Parameterübergabe zwischen Mpeg2Schnitt und dem Script werden Variablen verwendet. Diese Variablen sollen hier erklärt werden. Externe Programme können zum Demuxen, Encoden, Nachbearbeitung und bei den Effekten verwendet werden. Für jeden dieser Anwendungsfälle existieren unterschiedliche Variablen.

Auch die Art nach der Dateinamen automatisch hochgezählt werden, die Vorbelegung von Verzeichnissen und Dateinamen und einiges mehr wird mit Variablen und Parametern festgelegt

Variablen werden immer von den Zeichen "$" und "#" eingeschlossen. Ein Variablenname besteht nur aus Buchstaben. Groß- und Kleinschreibung spielt keine Rolle. Zahlen am Ende des Variablennamens sind nur für Variablenauflistungen (z.B. $AudioFile1#, $Chapter1#) zulässig.

Muß vor oder (und) nach einer Variable noch etwas stehen, das gelöscht werden soll wenn die Variable nicht verwendet wird, sind die Zeichen "§" vor der Variable und "&" nach der Variable zu verwenden. An Beispielen wird es am besten deutlich.

Es sollen alle Audiodateien (aber maximal 3) durch Komma getrennt hintereinander geschrieben werden. Die Variablen würden dann so aussehen:
$AudioFile1#, $AudioFile2#§, $AudioFile3#
Sind nur 2 Audiodateien vorhanden sieht das Ergebnis so aus:
ersteAudiodatei.mp2, zweiteAudiodatei.ac3
Die dritte Variable wurde komplett, inclusive dem § und dem Komma, gelöscht.

Variablen die nicht durch Werte ersetzt wurden werden gelöscht. Gänsefüßchen die direkt vor und nach der Variable stehen (z.B. "$Variable#") werden mitgelöscht. Stehen Gänsefüßchen außerhalb der Zeichen "§" und "&" werden sie nicht gelöscht! Auch hier wieder einige Beispiele.

... , "%Dir%$AudioFile3#" - Das letzte Gänsefüßchen wird nicht gelöscht da direkt vor der Variablen (vor dem $) kein Gänsefüßchen steht.
... , "%Dir%$AudioFile3#"& - In diesem Beispiel wird auch das letzte Gänsefüßchen gelöscht.
... §, "%Dir%$AudioFile3#"& - Hier wird nun auch alles vor der Variable (inclusive dem §) gelöscht.

Sollen aus irgend einem Grund die Zeichen "§", "$", "#", "" oder "&" in den Parametern vorkommen, müssen sie maskiert werden. Das geschieht indem das Zeichen doppelt geschrieben wird. (für $ also $$) Die Maskierungen werden nach dem die Variablen bearbeitet wurden gelöscht.

Encoder-, Effektscripte:

$DateiName# | Name der Quelldatei (ohne Pfad und Endung).
$Directory# | Verzeichnis in dem die Quelldatei zu finden ist (ohne "\" an Ende).
$TempDirectory# | Das im Eingabefeld Zwischenverzeichnis im Dialog Optionen Verzeichnisse eingegebene Verzeichnis ohne "\" am Ende.
$ProgramDirectory# | Verzeichnis des Programms Mpeg2Schnitt (ohne "\" an Ende).
$PartFile# | Name der Teildatei für die weitere Berechnung (wird vom Programm automatisch gebildet) (Pfad + Dateiname)
$NewFile# | Name der neu berechneten Teildatei (der Name wird vom Programm gebildet, die Datei muß vom externen Programm erzeugt werden) (Pfad + Dateiname)
$OverallLength# | Länge des zu berechnenden Teils in ms (z.B. Effektlänge)
$BeginIndex# | Begin der Teildatei in der Quelldatei (Bilder oder Frames)
$EndIndex# | Ende der Teildatei in der Quelldatei (Bilder oder Frames)
$BeginAdr# | Begin der Teildatei in der Quelldatei (Byte)
$EndAdr# | Ende der Teildatei in der Quelldatei (Byte)
$CutType# | Schnitttyp (In oder Out)
$DeleteTempFiles# | "DeleteTempFiles=0" verhindert ein löschen der tempoären Dateien

Videoscripte:

$PartFiled2v# | Name der D2V-Projektdatei für das Teilstück (wird vom Programm automatisch gebildet) (Pfad + Dateiname + ".d2v").
$Encoder# | In den Einstellungen festgelegtes Encoderscript (wichtig für Effektscripte) (Pfad + Dateiname).
$Bitrateberechnen# | "Bitrateberechnen=0" unterdrückt die Neuberechnung der Bitrate der im Script neu erstellten Dateien.
$DGIndexProject# | "DGIndexProject=0" verhindert das erstellen der D2V-Projektdatei.

Videoeigenschaften:

$FrameWidth# | Bildbreite in Pixel
$FrameHight# | Bildhöhe in Pixel
$Aspectratio# | Seitenverhältnis Breite/Höhe bei der Anzeige. (mögliche Werte: "1:1", "4:3", "16:9", "2.21:1")
$Framerate# | Anzahl der Bilder die pro Sekunde dargestellt werden. (mögliche Werte: "23.976", "24", "25", "29.97", "30", "50", "59.97", "60")
$Bitrate# | Bitrate in Byte pro Sekunde die in dem ersten Sequenzheader der Datei eingetragen ist. (bps)
$VBVPuffer# | Wert des VBV-Puffer der in dem ersten Sequenzheader der Datei eingetragen ist.
$ProfilLevel# | Profil und Level aus dem ersten Sequenzheader der Videodatei (Bytewert aus dem Header).
$Progressive# | Progressive-Flag aus dem ersten Sequenzheader der Videodatei (1 bedeutet progressive Sequenz).
$ChromaFormat# | Farbformat aus dem ersten Sequenzheader der Videodatei (mögliche Werte: "4:2:0", "4:2:2", "4:4:4")
$LowDelay# | Low-Delay Flag aus dem ersten Sequenzheader der Videodatei ("0" oder "1").
$VBVDelay# | VBV-Delay Wert aus dem ersten Bildheader der Videodatei.
$DCPrezision# | Wert der DC-Prezision aus dem ersten Bildheader der Videodatei (mögliche Werte: "8", "9", "10")
$Fieldstructur# | Teilbildstruktur aus dem ersten Bildheader der Videodatei (mögliche Werte: "Top", "Bottom", "Frame")
$Fieldfirst# | TopFieldfirst-Flag aus dem ersten Bildheader der Videodatei (mögliche Werte: "TFF", "BFF")

Audioeigenschaften:

$FileLength# | Länge der an das Effektprogramm übergebenen Datei in Millisekunden (wird erst beim kopieren der Teildatei ermittelt).
$Samplerate# | Die Samplerate der Quelldatei in Sample/Sekunde (z.B. 48000).
$Bitrate# | Die Bitrate der Quelldatei in kBit/Sek.
$Protection# | Ist in der Quelldatei das Protection-Bit gesetzt wird hier ein "e" ausgegeben.
$Privat# | Ist in der Quelldatei das Privat-Bit gesetzt wird hier ein "o" ausgegeben.
$Copyright# | Ist in der Quelldatei das Copyright-Bit gesetzt wird hier ein "c" ausgegeben.
$Mode# | Gibt den Modus der Quelldatei wieder. (MP2: s, j, d, m; AC3: 1+1, 1/0, 2/0, 3/0, 2/1, 3/1, 2/2, 3/2)
$NofChannels# | Ist die Anzahl der verwendeten Kanäle in der Quelldatei.

Nachbearbeitung:

$VideoName# | Ist der Name des geschnittenen Videos ohne Verzeichnis und Dateiendung.
$VideoDirectory# | Verzeichnis der geschnittenen Videodatei ohne "\" am Ende.
$ProjectName# | Ist der Name des Projektes ohne Verzeichnis und Dateiendung. Hat das Projekt noch keinen Name da es noch nicht gespeichert wurde wird der Videoname benutzt.
$ProjectDirectory# | Das Verzeichnis in dem das Projekt gespeichert ist (ohne "\" am Ende). Ist das Projekt noch nicht gespeichert wird das Videoverzeichnis benutzt.
$ProgramDirectory# | Verzeichnis des Programms Mpeg2Schnitt (ohne "\" an Ende).
$TempDirectory# | Das im Eingabefeld Zwischenverzeichnis im Dialog Optionenfenster/Verzeichnisse eingegebene Verzeichnis ohne "\" am Ende.
$FramesPerSec# | Anzahl der Bilder pro Sekunde des Projektes.
$VideoFile# | Die fertig geschnittene Videodatei mit Pfad und Dateiendung.
$AudioFile1# | Die erste fertig geschnittenen Audiodatei mit Pfad und Dateiendung.
$AudioFile2# | Die zweite fertig geschnittenen Audiodatei mit Pfad und Dateiendung.
$AudioFile..n# | Es sind weitere Audiodateien möglich. Die Variablen werden einfach durchnummeriert (AudioFile3, AudioFile4 ...).
$Chapter1# | Ist das erste Kapitel der fertigen Videodatei.
$Chapter2# | Ist das zweite Kapitel der fertigen Videodatei.
$Chapter..n# | Es sind weitere Kapitel möglich. Die Variablen werden einfach durchnummeriert (Chapter3, Chapter4 ...).
$ChapterList# Schreibt eine Kapitelliste (des fertigen Videos) in der definierten Form. Dazu sind Parameter möglich die durch ";" getrennt an den Variablennamen angehängt werden (vor dem "#"). Leerzeichen zur besseren Lesbarkeit sind zulässig.
ohne Parameter | Die Kapitel werden ohne Trennzeichen im Format Bilder hintereinander geschrieben.
Format | Hier kann ein Zeitformat angegeben werden (z.B. Format=hh:mm:ss.mss). Soll das Zeichen ";" im Format verwendet werden muß es maskiert (doppelt schreiben ";;") werden. Auch die Zeichen "$", "#", "" und "&" müssen maskiert werden.
Delimiter | Ist das Trennzeichen zwischen den Kapiteln. Auch hier müssen die Zeichen ";", "$", "#", "" und "&" maskiert werden.
Offset | Die Kapitel werden mit diesem Offset geschrieben. Auch bei negativem Offset wird ein Kapitel niemals kleiner Null.
ListZero | Ist ListZero=1 steht am Anfang der eingefügten Liste immer ein Kapitel 0 auch wenn in der Kapitelliste kein Kapitel 0 am Anfang vorhanden ist.

Verzeichnisse:

$Videodirectory# | Das Verzeichnis der ersten in der Schnittliste verwendeten Videodatei. Ist keine Videodatei vorhanden wird das Verzeichnis der Audiodatei verwendet.
$Videoname# | Der Name der ersten in der Schnittliste verwendeten Videodatei. Ist keine Videodatei vorhanden wird der Name der Audiodatei verwendet.
$Projectdirectory# | Das Verzeichnis des Projektes. Wurde das Projekt noch nicht gespeichert wird das Verzeichnis des Programms verwendet.
$Projectname# | Der Name des Projektes. Wurde das Projekt noch nicht gespeichert wird der Videoname verwendet. Ist auch dieser nicht verfügbar wird der Name "Project1" benutzt.

Dateinamen:

$Videoname# | Der Name der ersten in der Schnittliste verwendeten Videodatei. Ist keine Videodatei vorhanden wird der Name der Audiodatei verwendet.
$Projectname# | Der Name des Projektes. Wurde das Projekt noch nicht gespeichert wird der Videoname verwendet. Ist auch dieser nicht verfügbar wird der Name "Project1" benutzt.

Dateinamen nummerieren:

$FileName# Ist der Name der Datei.
$Number# Steht für die Zahl die hochgezählt werden soll. Zu dieser Variable sind Parameter möglich die durch ";" getrennt an den Variablennamen angehängt werden (vor dem "#"). Leerzeichen zur besseren Lesbarkeit sind zulässig.
ohne Parameter | Die Zahl hat das Format NNN. Eine mindestens dreistellige Zahl (z.B. 005). Es wird mit der Zahl Eins angefangen zu zählen.
Format | Hier kann das Format der Zahl festgelegt werden. Siehe auch Zeitformate. Als Formatzeichen ist nur das N sinnvoll. Ohne Formatangabe wird das Format NNN benutzt.
No | Die Zahl mit der begonnen wird zu zählen. Ohne Angabe wird mit Eins begonnen.

Verweise:

  • Dialog Optionen Verzeichnisse
  • Dialog Optionen Dateinamen/Endungen
  • Dialog Optionen Externe Programme
  • Dialog Optionen Effekte
  • Scripte
  • Zahlen- und Zeitformate


Parameter_Variablen

selbst definierte Parameter und Variablen

Die Verwendung externer Programme in Mpeg2Schnitt wird durch Scripte gesteuert. Zur Parameterübergabe zwischen Mpeg2Schnitt und dem Script werden Variablen verwendet. Dabei ist es manchmal nötig zusätzliche Variablen und die dazugehörigen Parameter zu definieren.

Variablen können einen beliebigen Namen haben der von den Zeichen $ und # eingeschlossen ist. Es dürfen allerdings keine Variablennamen verwentet werden die in Mpeg2Schnitt schon definiert sind (vordefinierte Variablen). Während die vordefinierte Variablen von Mpeg2Schnitt automatisch mit den richtigen Werten gefüllt werden müssen die selbstdefinierten Variablen noch mit Werte gefüllt werden. Dies geschiet im Script selbst oder im Effektdialog in der Form Variablenname=Wert (Variablenname ohne die Zeichen $ und #). Bei der Programmausführung (Schneiden) werden dann die Variablen mit den Werten gefüllt.

Unbenutzte Variablen werden automatisch entfernt.

Beispiele:

  1. Die Audioeffekte FadeIn und FadeOut (Besweet.exe, FadeInOut.dll) benötigen die Informationen wieviel Stille vor oder nach dem Fadeeffekt erzeugt werden soll. Diese Information wird in der Datei FadeInOut.txt in der Form Silentlength=Wert (z.B. 1000 ms) erwartet. In der Datei FadeInOut-orginal.txt, aus dieser Datei wird die Datei FadeInOut.txt erzeugt, wird also die Variable $Stille# an Stelle des Wertes eingetragen. (Silentlength=$Stille#)
    Der Wert für die Länge der einzufügenden Stille wird im Dialog Effekt (Eingabefeld Einstellungen) eingetragen. Dies kann auch schon in den Effektvorgaben geschehen. (Stille=1000)
    Vor und nach dem Gleichheitszeichen sind auch Leerzeichen möglich (z.B. Stille = 1000).
    Bei der Programmausführung wird dann die Variable $Stille# durch den Wert 1000 ersetzt. (Silentlength=1000)
  2. Der Audioencoder ac3enc.dll, der auch von Besweet benutzt wird, erwartet eine Information ob in 5.1 codiert werden soll. Diese Information hat das Format -6ch. Mpeg2Schnitt stellt aber nur den Audiomodus in der Form 2/0, 3/2 usw. und die Kanalanzahl 1-6 zur Verfügung. Diese Informationen werden von Mpeg2Schnitt in den vordefinierten Variablen $Mode# bzw. $NofChannels# zur Verfügung gestellt. Diese Informationen müssen nun entsprechen "umgerechnet" werden. Wichtig ist zu wissen das Variablen immer von innen nach aussen ersetzt werden.
    Im Effektscript wird nun eine Variable $co6ch# mit dem Wert -6ch belegt (co6ch=-6ch). Von der Variable $co$NofChannels#ch# wird zuerst der innere Teil $NofChannels# durch 6 oder 2 ersetzt so das eine Variable in der Form $co6ch# oder $co2ch# entsteht. Die Variable $co6ch# wurde zuvor mit einem Wert belegt sodaß diese Variable durch den Wert (-6ch) ersetzt werden kann. Für die Variable $co2ch# existiert kein Wert und sie wird deshalb gelöscht.

Verweise:

  • Scripte
  • vordefinierte Variablen
  • Dialog Effekt
  • Dialog Optionen Effekte
  • Audioeffekt FadeIn / FadeOut


Scripte

Das Einbinden von externen Programmen wird durch Scripte geregelt deren Syntax weitgehend an Batchdateien angelehnt ist. Zur besseren Lesbarkeit können Leerzeilen in die Scripte eingefügt werden. Leerzeichen am Anfang einer Zeile werden übersprungen. Nach einem Schlüsselwort muß immer ein Leerzeichen folgen. Die Groß- und Kleinschreibung der Schlüsselwörter spielt keine Rolle. Pro Zeile ist nur eine Anweisung möglich. Dateinamen mit Leerzeichen müssen in Gänsefüßchen eingeschlossen werden. Es ist sinnvoll auch Variablen die einen Dateinamen bzw. Verzeichnis representieren immer in Gänsefüßchen einzuschließen.

Es ist möglich mehrere Effektscripte in einer Datei unterzubringen. Jeder Scriptbereich wird durch einen eindeutigen Scriptnamen in eckigen Klammern eingeleitet. Die Scripte können durch Marker in Abschnitte unterteilt werden.

Scriptabschnitte und Marker

[] | Der Scriptname wird durch eckige Klammern eingeschlossen. Er muß vor den eigentlichen Anweisungen stehen.
:mp2 | Alles nach diesem Marker wird nur bei MP2-Audiodateien ausgeführt (Audioeffektscript).
:ac3 | Alles nach diesem Marker wird nur bei AC3-Audiodateien ausgeführt (Audioeffektscript).
:enc | Alles nach diesem Marker wird nur beim encodieren ausgeführt (Encoderscript).
:eff | Alles nach diesem Marker wird nur beim Aufruf aus Effektscripten ausgeführt (Encoderscript).
:all | Hebt die Einschränkeung der anderen Marker auf.

Kommentare

Rem | Diese Zeile wird als Kommentar gewertet und nicht ausgeführt.
// | Alles nach dem // wird als Kommentar gewertet und nicht beachtet. Der Kommentar kann auch am Ende einer Befehlszeile stehen.
Echo | Alles nach diesem Schlüsselwort wird im Protokollfenster angezeigt.

Schlüsselwörter

CpSourceFile | Kopiert das benötigte Teilstück aus der Quelldatei. Der Dateiname steht in der Variable $PartFile#. In den Variablen $BeginIndex# und $EndIndex# steht der zu kopierende Bereich.
CopyX | Kopiert eine Textdatei und ersetzt die enthaltenen Variablen durch die entsprechenden Werte. Quell- und Zieldatei müssen durch Leerzeichen getrennt angegeben werden.
Run | Startet das angegebene Programm und wartet auf dessen Beendigung. Parameter können nach dem Programm wie am DOS-Promt angegeben werden. Die Ausgaben des Programms werden im Protokollfenster angezeigt.
RunNotWait | Startet das angegebene Programm, wartet aber nicht auf dessen Beendigung. Eine Anzeige der Ausgaben des Programms im Protokollfenster ist nicht möglich.
RunNotCml | Startet das angegebene Programm und wartet auf dessen Beendigung. Die Ausgaben des Programms werden nicht im Protokollfenster angezeigt. Diese Anweisung ist für Programme mit eigener Oberfläche gedacht.
Cmd | Startet das angegebene Programm im Kommandoprozessor. Dieser Befehl dient der Ausführung von DOS-Kommandos.
Set | Setzt eine Variable. (Variablenname=Wert)
Call | Ruft ein weiteres Script auf. Dem Script kann ein Scriptname und eine Marke (mit : am Anfang) übergeben werden.

Zeilen die nicht mit einem Schlüsselwort beginnen werden wie folgt behandelt. Folgt nach dem ersten Wort ein Gleichheitszeichen wird die Zeile wie eine Wertzuweisung (Set) behandelt. Alle restlichen Zeilen werden als Programmaufruf (Run) behandelt.
Bevor eine Zeile abgearbeitet wird werden die Variablen dieser Zeile durch die entsprechenden Werte ersetzt. Variablen die nicht vorhanden sind werden gelöscht.

Verweise:

  • Dialog Optionen externe Programme
  • Dialog Optionen Effekte
  • vordefinierte Variablen
  • sebstdefinierte Parameter und Variablen
  • Encoder - framegenauer Schnitt, Videoeffekte
  • Videoeffekte FadeIn, FadeOut, Blackvideo
  • Audioeffekte FadeIn, FadeOut


Formate

Zahlen- und Zeitformate

Im Programm Mpeg2Schnitt wird an einigen Stellen zur Festlegung des Formates der Zahlen- oder Zeitausgabe ein Formatstring verwendet. Hier soll der Aufbau des Formatstrings und die möglichen Zahlen- und Zeitformate erläutert werden.

Der Formatstring wird Zeichenweise vom Anfang bis zum Ende durchsucht. Wird eines der folgenden Zeichen gefunden wird es unter Beachtung der nächsten Zeichen durch die entsprechenden Werte ersetzt. Groß- und Kleinschreibung wird unterschieden. Zeichen die keine Bedeutung haben werden einfach übernommen. Stehen Zeichen zwischen Gänsefüßchen werden sie, ohne auf ihre Bedeutung zu achten, übernommen. Innerhalb von Gänsefüßchen müssen Gänsefüßchen maskiert werden (doppelt schreiben). An den Beispielen am Ende der Seite wird es sicher am deutlichsten.

Zeichen | Bedeutung
N | fügt eine einfache Zahl ein (z.B. Nummerierung der Dateinamen)
F | fügt die Bildnummer ein
h | fügt die Stunde einer Zeitangabe ein
H | fügt die Zeit Stunden ein
m | fügt die Minute einer Zeitangabe ein
M | fügt die Zeit in Minuten ein
s | fügt die Sekunde einer Zeitangabe ein
S | fügt die Zeit in Sekunden ein
ms | fügt die Millisekunden einer Zeitangabe ein
MS | fügt die Zeit in Millisekunden ein
f | fügt die Bilder einer Zeitangabe ein
F | fügt die Zeit in Bildern ein

Kleine Buchstaben: | Es wird nur der entsprechende Anteil an der Gesamtzeit dargestellt (m, s - 0..59; ms - 0..999). Stunden werden vollständig (abgerundet) dargestellt. Ist ein Zeichen doppelt wird die führende Null angezeigt (Ausnahme: mss - drei Stellen).
Große Buchstaben: | Die gesamte Zeit wird abgerundet (Millisekunden gerundet) dargestellt. Die Anzahl der Zeichen entspricht der Anzahl der mindestens dargestellten Ziffern (Ausnahme: MSS - nur die Anzahl der S ist ausschlaggebend).

Beispiele:

N | Die Zahl wird ohne führende Nullen dargestellt. (3, 178602)
NNN | Die Zahl wird mit mindestens 3 Stellen dargestellt. (003, 178602)
NLL | Die Zahl wird mit mindestens 3 Stellen dargestellt. Fehlende Stellen werden mit Leerzeichen aufgefüllt. ( 3, 178602)
F | Die Bildnummer wird als Zahl ohne führende Nullen dargestellt. (3, 178602)
FFFFF | Die Bildnummer wird als Zahl mit mindestens 5 Stellen dargestellt. (00003, 178602)
FLLL | Die Bildnummer wird als Zahl mit mindestens 4 Stellen dargestellt. Führende Nullen werden durch Leerzeichen ersetzt. ( 3, 178602)
S | Die Bildnummer wird in Sekunden dargestellt. Es wird abgerundet. (0, 7144)
S.mss | Die Bildnummer wird in Sekunden und Millisekunden dargestellt. (0.120, 7144.080)
M:s:mss | Die Bildnummer wird in Minuten, Sekunden und Millisekunden dargestellt. (0:0:120, 119:4:080)
M:s:ms | Die Bildnummer wird in Minuten, Sekunden und Millisekunden dargestellt. (0:0:120, 119:4:80) Da die Millisekunden ohne führende Null dargestellt werden kann es zu Verwechslungen mit Frames (Bilder) kommen.
M:s:ff | Die Bildnummer wird in Minuten, Sekunden und Bilder dargestellt. (0:0:03, 119:4:02)
h:m:s.ms | Die Bildnummer wird in Stunden, Minuten, Sekunden und Millisekunden dargestellt. (0:0:0.120, 1:59:4:80) Da die Millisekunden ohne führende Null dargestellt werden kann es zu Verwechslungen mit Frames (Bilder) kommen.
hh:mm:ss.mss | Die Bildnummer wird in Stunden, Minuten, Sekunden und Millisekunden dargestellt. (00:00:00.120, 01:59:04:080)

Aber auch so etwas ist möglich:

Format: Der "F"il"m" ""U"ns"er "F"il"m""" läu"f"t H "St"u"n"de("n"), m "M"i"n"ute"n", s "S"eku"n"de"n" u"n"d ms "M"illi"s"eku"n"de"n".
Ergebnis: Der Film "Unser Film" läuft 1 Stunde(n), 59 Minuten, 4 Sekunden und 80 Millisekunden.

Wichtig ist hier das die Zeichen die nicht umgewandelt werden sollen (F, m, f, n ...), am besten der ganze Text zwischen den Zeiten, in Gänsefüßchen gesetzt wird. Bitte daran denken das Gänsefüßchen die angezeigt werden sollen maskiert werden müssen.

Format: "Der Film ""Unser Film"" läuft insgesamt "H" Stunde(n) oder "M" Minuten oder "S" Sekunden oder "MS" Millisekunden."
Ergebnis: Der Film "Unser Film" läuft insgesamt 1 Stunde(n) oder 119 Minuten oder 7144 Sekunden oder 7144080 Millisekunden.

Verweise:

  • Dialog Optionen Dateinamen/Endungen
  • Dialog Optionen Schnittliste
  • Dialog Optionen Kapitelliste
  • Dialog Optionen Markenliste
  • Dialog Optionen Listenexport
  • vordefinierte Variablen


Kommandozeile

Die Kommandozeile

Dem Programm Mpeg2Schnitt können Kommandozeilenparameter übergeben werden. Dadurch ist es möglich beim Start des Programms eine Arbeitsumgebung oder (und) ein Projekt zu übergeben. Eine so übergebene Arbeitsumgebung wird beim Beenden des Programms nicht als aktuelle Arbeitsumgebung gespeichert. Wird der Dialog Arbeitsumgebungsfenster geöffnet und mit OK geschlossen wird die Arbeitsumgebung zur aktuellen Arbeitsumgebung. Weiterhin ist es durch entsprechende Parameter möglich einen kompletten Schnitt von der Kommandozeile zu starten. Diese auf der Kommandozeile übergebenen Parameter werden beim Beenden nicht gespeichert. Wird der Dialog Arbeitsumgebungsfenster oder Optionenfenster geöffnet und mit OK beendet gelten wieder die Einstellungen der jetzt aktuellen Arbeitsumgebung.

Parameter | Bedeutung
Arbeitsumgebung.mau | Die Arbeitsumgebung wird geladen.
Projektdatei.m2e | Das Projekt "Projektdatei.m2e" wird geladen.
/+V (/-V) | Die Option Video nach dem Öffnen anzeigen kann ein oder ausgeschaltet werden.
Videodatei.* | Die Videodatei wird in einen neuen Dateiknoten in die Dateienliste geladen und alle "gleichnamigen" Audiodateien hinzugefügt.
Audiodatei.* | Die Audiodatei wird in einen neuen Dateiknoten in die Dateienliste geladen und alle "gleichnamigen" Audiodateien hinzugefügt.
/H Audiodatei.* | Die Audiodatei wird dem aktuellen Dateiknoten (vorher ohne /H geladene Video- oder Audiodatei) hinzugefügt.
/A (-)Offset | Der vorher eingefügten Audiodatei (mit oder ohne /H) wird ein Audiooffset zugeordnet. Der Audiooffset muß jeder Audiodatei einzeln zugeordnet werden, auch wenn sie schon automatisch ("gleichnamig") mitgeladen wurden.
/Z Zieldateiname | Der fertige Film wird unter diesem Namen gespeichert. Eine Dateiendung muß nicht angegeben werden. Die Dateiendungen der Audiodateien werden entsprechend ersetzt, dabei wird das Audiotrennzeichen beachtet. Der Dialog Datei speichern wird unterdrückt.
/R Framerate | Der Parameter Framerate ist wichtig wenn Schnittpunkte übergeben werden. Als Standard werden 25Bilder/sek. benutzt. Die Dauer eines Bildes wird aus diesem Parameter berechnet.
/L Bilddauer | Die Bilddauer kann alternativ zur Framerate angegeben werden. Die Framerate wird dann aus der Bilddauer berechnet. Der Standardwert beträgt 40 ms.
/I In-Schnitt | Schnittpunkte beziehen sich immer auf den zuletzt eingegebenen Dateiknoten (Video- oder Audiodatei ohne /H). Wird kein In-Schnittpunkt angegeben beginnt der Schnitt bei Null. Schnittpunkte können in den Importformaten Bildnummer, Zeit (mit Bilder in der letzten Stelle) und Zeit (mit Millisekunden in der letzten Stelle) angegeben werden. Dabei werden die Einstellungen aus dem Dialog Optionenfenster / Listenimport / Schnittliste beachtet.
/O Out-Schnitt | Das Format des Out-Schnittpunktes ist analog dem In-Schnittpunkt. Wird kein Out-Schnittpunkt angegeben endet der Schnitt bei 23:59:59.24, bzw. am Ende des Films.
/+F (/-F) | Schaltet die Option framegenaues Schneiden ein oder aus. Ist die Option ausgeschaltet wird am nächsten möglichen Frame (I- oder P-Frame) geschnitten.
/S | Der Schnittvorgang wird sofort gestartet.
/E | Nach dem Schnittvorgang wird das Programm beendet. Die Oberfläche wird nicht geladen.

Beispiele:

Mpeg2Schnitt.exe Arbeitsumgebung.mau Projekt.m2e /S /e
Das Programm Mpeg2Schnitt wird gestartet, die Arbeitsumgebung geladen, das Projekt geöffnet, der Schnitt gestartet (ist im Dialog Optionen Dateinamen/Dateiendungen die Option Zieldateidialog unterdrücken nicht eingeschaltet wird nach einem Zieldateinamen gefragt) und das Programm nach dem Schnitt beendet.

Mpeg2Schnitt.exe Film1.m2v /H Ton1.ac3 /A -200 /R30 /o 10:36:24 Film2.mpv /i300 /O 00:02:05:034 /I 2:55:05 /s
Die Filme "Film1", "Film2" und ihre Audiodateien werden an den möglichen Stellen geschnitten. Der Audiodatei "Ton1.ac3" wird ein Audioversatz von -200 Millisekunden zugeordnet. Die abweichende Framerate von 30 Fps muß vor den Schnittpunkten angegeben werden. Der Schnittvorgang wird gestartet, das Programm wird aber nicht beendet sondern die Oberfläche dagestellt.
Die Schnitte werden wie folgt gesetzt: (Vorrausgesetzt an den entsprechenden Stellen ist ein I- oder P-Frame.)

Film | In-Schnitt | Out-Schnitt
Film1 | 00:00:00.00 (0 Bilder) | 00:10:36.24 (19104 Bilder)
Film2 | 00:00:10.00 (300 Bilder) | 00:02:05.01 (3751 Bilder)
Film2 | 00:02:55.05 (5255 Bilder) | bis zum Ende des Films

Verweise:

  • Dialog Optionen
  • Dialog Optionen Dateinamen/Dateiendungen
  • Dialog Optionen Anzeige/Wiedergabe
  • Dialog Optionen Listenimport
  • Dateidialoge
  • Aufbau der Projekte
  • Aufbau der Arbeitsumgebungen


Drag&Drop

Text

Verweise:


Fehlertabelle

Fehler werden im SchnittTool als Fehlercodes ausgegeben. Diese Fehlercodes können auf dieser Seite in eine lesbare Form übersetzt werden.
Zum ermitteln der Fehlerbeschreibung immer auf die Beschreibung der entsprechenden Fehlercodziffer klicken. Die Beschreibung wird dann rot markiert und es wird eine neue Tabelle eingeblendet. Sind in der Tabelle keine Links mehr enthalten ist das Ende erreicht.

Seite zurück setzen

Fehlercode | Beschreibung
-0xxxxx | interner Fehler im SchnittTool
-1xxxxx | Fehler beim Schneiden allgemein
-2xxxxx | Fehler bei der Projektverarbeitung

Fehlercode | Beschreibung - Schneiden
-x1xxxx | Fehler beim Videoschnitt
-x2xxxx | Fehler beim Audioschnitt
-x3xxxx | Fehler bei der Kapitelerstellung
-x4xxxx | Fehler bei der Nachbearbeitung
-x5xxxx | Fehler bei der Scriptprüfung

Fehlercode | Beschreibung - Nachbearbeitung
-xx0001 | das Nachbearbeitungsscript existiert nicht
-xx001x | Fehler beim berechnen der Kapitel
-xx002x | Fehler bei der Scriptverarbeitung

Fehlercode | Beschreibung - Kapitelerstellung
-xx0001 | kein Dateiname übergeben
-xx0002 | keine Schnittliste übergeben
-xx001x | Fehler beim berechnen der Kapitel

Fehlercode | Beschreibung - Kapitel berechnen
-xxxxx1 | das Ende ist größer als die Kapitelliste oder der Anfang ist größer als das Ende
-xxxxx2 | keine Schnittliste übergeben
-xxxxx3 | keine zu berechnende Kapitelliste übergeben

Fehlercode | Beschreibung - Video-, Audioschnitt
-xx0001 | die Dateiendung der Spur konnte nicht ermittelt werden
-xx0002 | der Zieldateiname kommt als Quelldateiname in der Schnittliste vor
-xx1xxx | Fehler beim prüfen des Speicherplatzes
-xx2xxx | Fehler bei der Erstellung der Schnittliste
-xx3xxx | Fehler beim Schneiden (Video oder Audio)

Fehlercode | Beschreibung - Speicherplatzprüfen
-xxx001 | nicht genügend Speicherplatz vorhanden
-xxx002 | genügend Speicherplatz vorhanden aber Datei größer 4GB soll auf FAT oder FAT32 geschrieben werden

Fehlercode | Beschreibung - Schnittliste erstellen
-xxx001 | eine Datei läßt sich nicht öffnen
-xxx002 | unterschiedliche Dateitypen in einer Spur
-xxx003 | mindestens ein Schnittpunkt hat keine Datei (nur bei Video wichtig)

Fehlercode | Beschreibung - Schneiden
-xxx001 | keine Schnitte in der Schnittliste
-xxx002 | Schnitte ohne Video in der Schnittliste
-xxx003 | einen Schnitt ohne Daten gefunden
-xxx02x | Fehler beim erstellen der Zieldatei
-xxx04x | Fehler beim öffnen der Quelldatei
-xxx1xx | Fehler bei der Effektberechnung über den gesamten Schnitt
-xxx2xx | Fehler bei der Effektberechnung am Anfang des Schnittes
-xxx3xx | Fehler bei der framegenauen Berechnung am Anfang des Schnittes
-xxx4xx | Fehler beim kopieren eines Videodateiteils
-xxx5xx | Fehler bei der Effektberechnung am Ende des Schnittes
-xxx6xx | Fehler bei der framegenauen Berechnung am Ende des Schnittes
-xxx7xx | Fehler bei der Neuberechnung langer GOPs

Fehlercode | Beschreibung - Datei öffnen, erzeugen
-xxxxx1 | kein Dateiname angegeben
-xxxxx2 | es konnte kein DateistreamObjekt erzeugt werden
-xxxxx3 | die Datei konnte nicht geöffnet oder erzeugt werden
-xxxxx4 | die Indexliste konnte nicht erzeugt werden
-xxxxx5 | die IndexDatei konnte nicht geöffnet werden

Fehlercode | Beschreibung - framegenaue Berechnung, Effekktberechnung
-xxxx01 | die Länge des Effektes ist Null
-xxxx04 | die neu berechnete Datei läßt sich nicht öffnen (bzw. wurde nicht erstellt)
-xxxx1x | Fehler im Sequenz- oder Bildheader
-xxxx2x | Fehler im Script
-xxxx4x | Fehler beim kopieren eines Dateiteils

Fehlercode | Beschreibung - Videodateiteil kopieren
-xxxx01 | kein Gruppenheader am Anfang des Videodateiteils
-xxxx02 | kein Sequenzheader am Anfang des Videodateiteils
-xxxx03 | kein Bildheader am Anfangsschnitt
-xxxx04 | kein Bildheader am Endschnitt
-xxxx2x | Fehler beim kopieren des Sequenzheaders
-xxxx4x | Fehler beim kopieren des Anfangs
-xxxx6x | Fehler beim kopieren des Hauptteils

Fehlercode | Beschreibung - Scriptverarbeitung
-xxxxx4 | Teildatei konnte nicht kopiert werden
-xxxxx5 | Dateiteil kopieren
-xxxxx6 | die Quelldatei existiert nicht
-xxxxx8 | das aufgerufene Programm existiert nicht

Fehlercode | Beschreibung - Dateiteil kopieren
-xxxxx2 | die Quelldatei ist nicht geöffnet
-xxxxx3 | die Zieldatei ist nicht geöffnet
-xxxxx5 | Fehler beim lesen aus der Quelldatei
-xxxxx6 | Fehler beim schreiben in die Zieldatei
-xxxxx7 | es konnten nicht alle Daten in die Zieldatei geschrieben werden (weniger als 4GB)
-xxxxx8 | es konnten nicht alle Daten in die Zieldatei geschrieben werden (mehr als 4GB)
-xxxxx9 | es wurden zu wenig Daten aus der Quelldatei gelesen
-xxxx10 | Abbruch durch Benutzer

Fehlercode | Beschreibung - Scriptprüfung
-xx6000 | die im Videoeffektscript verwendete Quelldatei existiert nicht
-xx8000 | das im Videoeffektscript aufgerufene Programm existiert nicht
-xx0600 | die im Audioeffektscript verwendete Quelldatei existiert nicht
-xx0800 | das im Audioeffektscript aufgerufene Programm existiert nicht
-xx0060 | die Encoderscript verwendete Quelldatei existiert nicht
-xx0080 | das im Encoderscript aufgerufene Programm existiert nicht
-xx0006 | die Nachbearbeitungsscript verwendete Quelldatei existiert nicht
-xx0008 | das Nachbearbeitungsscript aufgerufene Programm existiert nicht

Fehlercode | Beschreibung
 | Hier gibt es noch keine Fehlerbeschreibung

Verweise:

  • Protokollfenster
  • Kontextmenü des Protokollfensters


Audiotrennzeichen

Das Audiotrennzeichen (es können auch mehrere Zeichen sein) wird an drei Stellen im Programm benutzt.

Automatisches öffnen von Audiodateien:

Nachdem die Videodatei oder die erste Audiodatei (nur Audio soll geschnitten werden) geöffnet ist laufen drei Routinen ab um Audiodateien zu finden die automatisch zu laden sind.

1. Es werden Audiodateien gesucht die sich nur durch die Endung von der ersten Datei unterscheiden. Der Suchstring lautet: Dateiname.*

Beispiel:
Video: Film.mpv
Audio1: Film.ac3

2. Es werden Dateien gesucht deren erster Teil des Namens, der Teil bis zum Audiotrennzeichen, mit dem Namen der ersten Datei übereinstimmen. Der Suchstring lautet hier: DateinameA* (das A steht für das Audiotrennzeichen)

Beispiel: (Audiotrennzeichen ist "-")
Video: Film.mpv
Audio1: Film.ac3
Audio2: Film-deu.mp2
Audio3: Film-eng.mp2

3. Vom Dateinamen der ersten Datei wird der Teil bis zum Audiotrennzeichen (wenn es gefunden wird) abgetrennt und zur weiteren Suche verwendet. Der Suchstring lautet: TeildateinameA* (das A steht für das Audiotrennzeichen)

Beispiel: (Audiotrennzeichen ist "-")
Video: Film-00.mpv
Audio1: Film-01.ac3
Audio2: Film-deu.mp2
Audio3: Film-eng.mp2

Zuordnen der Audiodateien zu den Spuren:

In einer Spur dürfen sich nur Dateien des gleichen Typs befinden. Deshalb werden die Audiodateien an Hand ihrer Dateiendung den Spuren zugeordnet. Um auch Dateien mit gleicher Endung logisch zu den Spuren zu zuordnen wird der gesamte Teil nach dem Audiotrennzeichen als Endung betrachtet.

Beispiel: (Audiotrennzeichen ist "-")
Video: Film.mpv - Film2.mpv
Audio1: Film.ac3 - Film2.ac3
Audio2: Film-deu.mp2 - Film2-deu.mp2
Audio3: Film-eng.mp2 - Film2-eng.mp2

Bilden des Dateinamens für die Zieldatei:

Der Name der ersten Datei (meist die Videodatei) wird vom Anwender vorgegeben. Um bei mehreren Spuren mit gleicher Audioendung die Dateien zu unterscheiden wird der gesammte Teil des Dateinamens nach dem Audiotrennzeichen als Dateiendung betrachtet. Sollten sich trotzdem gleiche Dateinamen ergeben werden die Dateinamen entsprechend den Einstellungen "hochgezählt".

Beispiel: (Audiotrennzeichen ist "-")
Video: NeuerFilm.mpv
Audio1: NeuerFilm.ac3
Audio2: NeuerFilm-deu.mp2
Audio3: NeuerFilm-eng.mp2

Fehlerfall 1:

Durch die Punkte 2 und 3 ergeben sich Probleme bei der Verwendung von Wildcards als Audiotrennzeichen.

Beispiel: (Audiotrennzeichen ist "*")
Video: Film.mpv
Audio1: Film-eng.ac3

Durch den Suchstring "Film**" (siehe 1b) wird die Audiodatei erkannt und geladen. Die Audiodateien des zweiten Films werden ebendfalls erkannt und geladen, aber falsch in die Dateienliste eingeordnet da das Audiotrennzeichen "*" nicht in der Audiodatei der vorhandenen Spur gefunden wird.

Beispiel: (Audiotrennzeichen ist "*")
Video: Film.mpv - Film2.mpv
Audio1: Film-eng.ac3 - Film2-deu.ac3
Audio2: - Film2-eng.ac3

Richtig wäre: (Audiotrennzeichen ist "-")
Video: Film.mpv - Film2.mpv
Audio1: Film-eng.ac3 - Film2-eng.ac3
Audio2: - Film2-deu.ac3

Beim Schneiden entstehen dann folgende Dateinamen. Da das Audiotrennzeichen in den Audiodateinamen nicht gefunden wird ist die Endung ".ac3" zweimal vorhanden und es wird hochgezählt.

Beispiel: (Audiotrennzeichen ist "*")
Video: NeuerFilm.mpv
Audio1: NeuerFilm001.ac3
Audio2: NeuerFilm002.ac3

Richtig wäre: (Audiotrennzeichen ist "-")
Video: NeuerFilm.mpv
Audio1: NeuerFilm-eng.ac3
Audio2: NeuerFilm-deu.ac3

Fehlerfall 2:

Ein weiterer "Schönheitsfehler" entsteht beim Schneiden wenn Dateien nach der Methode 1c eingefügt werden. Auch hier wird an den Videodateinamen die gesammte "Endung" (nach dem Audiotrennzeichen) angehangen.

Beispiel: (Audiotrennzeichen ist "-")
Video: NeuerFilm-00.mpv
Audio1: NeuerFilm-00-01.ac3
Audio2: NeuerFilm-00-deu.mp2
Audio3: NeuerFilm-00-eng.mp2

Richtig wäre: (Audiotrennzeichen ist "-")
Video: NeuerFilm-00.mpv
Audio1: NeuerFilm-01.ac3
Audio2: NeuerFilm-deu.mp2
Audio3: NeuerFilm-eng.mp2

Um das zu erreichen müsste vom Videodateinamen alles nach dem Audiotrennzeichen abgetrennt werden. Das führt aber wiederum zu Probleme wenn weiter vorn ein Audiotrennzeichen im Videonamen vorkommt an dem nicht abgetrennt werden soll.

Beispiel: (Audiotrennzeichen ist "-")
Video: Neuer-Film.mpv
Audio1: Neuer-01.ac3
Audio2: Neuer-deu.mp2
Audio3: Neuer-eng.mp2

Richtig wäre: (Audiotrennzeichen ist "-")
Video: Neuer-Film.mpv
Audio1: Neuer-Film-01.ac3
Audio2: Neuer-Film-deu.mp2
Audio3: Neuer-Film-eng.mp2

Verweise:


Audioschnittberechnung

Berechnung der Audioschnitte

Eine Videodatei besteht aus einzelnen Bildern die in einer bestimmten Geschwindigkeit (Framerate) wiedergegeben werden. Bei PAL-Video beträgt diese Framerate 25 Bilder/Sekunde, jedes Bild wird also 40 Millisekunden angezeigt. Auch Audiodateien (Mpeg1 Layer2 und AC3) werden paketweise komprimiert. Ein solches Audioframe hat immer eine feste Länge die von der Samplerate abhängig ist. Beispielsweise haben die Audioframes von Mp2-Dateien (Mpeg1 Layer2) bei 48 kHz Samplerate eine Länge von 24 Millisekunden (AC3 Audioframes sind 32 ms lang). Diese unterschiedliche Länge der Video- und Audioframes erfordert besondere Beachtung bei der Berechnung der Audioschnittpunkte.

Für die Berechnung werden folgende Formeln verwendet. Audioversatz ist die Verschiebung des Audios zum Video und wird für jeden Schnitt neu berechnet. Es wird davon ausgegangen das am Anfang Video und Audio synchron sind.
Audioversatz = 0
Berechnung des Audioanfanges:
Audioanfang = runden(((Videoanfang * Bildlänge) + Audioversatz) / Audioframelänge)
Dadurch ergibt sich ein Audioversatz von:
Audioversatz = (Videoanfang * Bildlaenge) - (Audioanfang * Audioframelänge) + Audioversatz
Berechnung des Audioendes:
Audioende = runden((((Videoende + 1) * Bildlaenge) - Audioversatz) / Audioframelänge) - 1
Am Ende bleibt ein Audioversatz übrig:
Audioversatz = ((Audioende + 1) * Audioframelänge) - ((Videoende + 1) * Bildlaenge) + Audioversatz

Beispiel:

Betrachtet wird eine PAL-Videodatei und eine AC3-Audiodatei. Die Schnittpunkte werden nach der Videodatei gesetzt und die Länge der Audiodatei wird entsprechend berechnet. Da ein AC3-Audioframe 32 ms lang ist ergibt sich eine Längendifferenz von maximal +- 16 ms.

Im ersten Beispiel ist die Audiodatei 16 ms zu lang (die Audiodatei rutscht 16 ms nach vorn). Würde ein Audioframe weniger geschnitten werden wär die Audiodatei 16 ms zu kurz.

Die Audiodatei ist ingesamt 8 ms länger als die Videodatei.

In diesem Beispiel hat die Audiodatei die gleiche Länge wie die Videodatei. Das Audio hat aber einen Versatz von -16 ms da die Audiodatei nach vorn rutscht. (16 ms hört man noch nicht)

Im letzten Beispiel ist die Audiodatei nun 8 ms zu kurz.

Verweise:

  • Wie mache ich was / Audioversatz beim Schnitt vermeiden


Lizenzbedingungen und Rechtliches

Beim ersten Programmstart müssen die Lizenzbedingungen zur Benutzung des Programms Mpeg2Schnitt akzeptiert und bestätigt werden.

Die rechtlichen Hinweise müssen bei der Benutzung des Programms Mpeg2Schnitt und der Hilfe eingehalten werden.

Verweise:

  • Lizenzbedingungen
  • Lizenz
  • Rechtliches


Lizenzbedingungen

Für Mpeg2Schnitt besteht KEINERLEI GARANTIE. Mpeg2Schnitt ist freie Software, die Sie unter bestimmten Bedingungen weitergeben dürfen. Weitere Informationen sind im Lizenzvertrag zu finden. Eine nicht offizielle Übersetzung der Lizenz ist auf dieser Seite zu finden: http://www.gnu.de/gpl-ger.html.

Abweichend vom Lizenzvertrag darf die Software nur für persönliche, nicht gewerbliche Zwecke benutzt werden. Das Annehmen der Lizenz gilt auch für das IndexTool und das ProjektTool.

Verwendete Bibliotheken und Unit's:

  • die Alphablend Unit, Skins Unit, RedoUndo Unit, Audioskew, AlphaSpeedBtn von Thomas Urlings
  • die mpeg2lib.dll von Michael Vinther auf der Basis von Mpeg2Decode der MSSG-Group
  • die DirectDraw Unit von Erik Unger
  • die DirectSound Unit von Erik Unger, Ivo Steinmann und Tim Baumgarten
  • die DirectXGraphics Unit von Tim Baumgarten
  • die DirectShow Unit von Henri Gourvest
  • die Schnittsuche von Igor Feldhaus

Verweise:

  • Lizenzvertrag


            GNU GENERAL PUBLIC LICENSE
               Version 2, June 1991

 Copyright (C) 1989, 1991 Free Software Foundation, Inc.
     59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 Everyone is permitted to copy and distribute verbatim copies
 of this license document, but changing it is not allowed.

                Preamble

  The licenses for most software are designed to take away your
freedom to share and change it.  By contrast, the GNU General Public
License is intended to guarantee your freedom to share and change free
software--to make sure the software is free for all its users.  This
General Public License applies to most of the Free Software
Foundation's software and to any other program whose authors commit to
using it.  (Some other Free Software Foundation software is covered by
the GNU Library General Public License instead.)  You can apply it to
your programs, too.

  When we speak of free software, we are referring to freedom, not
price.  Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it
in new free programs; and that you know you can do these things.

  To protect your rights, we need to make restrictions that forbid
anyone to deny you these rights or to ask you to surrender the rights.
These restrictions translate to certain responsibilities for you if you
distribute copies of the software, or if you modify it.

  For example, if you distribute copies of such a program, whether
gratis or for a fee, you must give the recipients all the rights that
you have.  You must make sure that they, too, receive or can get the
source code.  And you must show them these terms so they know their
rights.

  We protect your rights with two steps: (1) copyright the software, and
(2) offer you this license which gives you legal permission to copy,
distribute and/or modify the software.

  Also, for each author's protection and ours, we want to make certain
that everyone understands that there is no warranty for this free
software.  If the software is modified by someone else and passed on, we
want its recipients to know that what they have is not the original, so
that any problems introduced by others will not reflect on the original
authors' reputations.

  Finally, any free program is threatened constantly by software
patents.  We wish to avoid the danger that redistributors of a free
program will individually obtain patent licenses, in effect making the
program proprietary.  To prevent this, we have made it clear that any
patent must be licensed for everyone's free use or not licensed at all.

  The precise terms and conditions for copying, distribution and
modification follow.

            GNU GENERAL PUBLIC LICENSE
   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

  0. This License applies to any program or other work which contains
a notice placed by the copyright holder saying it may be distributed
under the terms of this General Public License.  The "Program", below,
refers to any such program or work, and a "work based on the Program"
means either the Program or any derivative work under copyright law:
that is to say, a work containing the Program or a portion of it,
either verbatim or with modifications and/or translated into another
language.  (Hereinafter, translation is included without limitation in
the term "modification".)  Each licensee is addressed as "you".

Activities other than copying, distribution and modification are not
covered by this License; they are outside its scope.  The act of
running the Program is not restricted, and the output from the Program
is covered only if its contents constitute a work based on the
Program (independent of having been made by running the Program).
Whether that is true depends on what the Program does.

  1. You may copy and distribute verbatim copies of the Program's
source code as you receive it, in any medium, provided that you
conspicuously and appropriately publish on each copy an appropriate
copyright notice and disclaimer of warranty; keep intact all the
notices that refer to this License and to the absence of any warranty;
and give any other recipients of the Program a copy of this License
along with the Program.

You may charge a fee for the physical act of transferring a copy, and
you may at your option offer warranty protection in exchange for a fee.

  2. You may modify your copy or copies of the Program or any portion
of it, thus forming a work based on the Program, and copy and
distribute such modifications or work under the terms of Section 1
above, provided that you also meet all of these conditions:

    a) You must cause the modified files to carry prominent notices
    stating that you changed the files and the date of any change.

    b) You must cause any work that you distribute or publish, that in
    whole or in part contains or is derived from the Program or any
    part thereof, to be licensed as a whole at no charge to all third
    parties under the terms of this License.

    c) If the modified program normally reads commands interactively
    when run, you must cause it, when started running for such
    interactive use in the most ordinary way, to print or display an
    announcement including an appropriate copyright notice and a
    notice that there is no warranty (or else, saying that you provide
    a warranty) and that users may redistribute the program under
    these conditions, and telling the user how to view a copy of this
    License.  (Exception: if the Program itself is interactive but
    does not normally print such an announcement, your work based on
    the Program is not required to print an announcement.)

These requirements apply to the modified work as a whole.  If
identifiable sections of that work are not derived from the Program,
and can be reasonably considered independent and separate works in
themselves, then this License, and its terms, do not apply to those
sections when you distribute them as separate works.  But when you
distribute the same sections as part of a whole which is a work based
on the Program, the distribution of the whole must be on the terms of
this License, whose permissions for other licensees extend to the
entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest
your rights to work written entirely by you; rather, the intent is to
exercise the right to control the distribution of derivative or
collective works based on the Program.

In addition, mere aggregation of another work not based on the Program
with the Program (or with a work based on the Program) on a volume of
a storage or distribution medium does not bring the other work under
the scope of this License.

  3. You may copy and distribute the Program (or a work based on it,
under Section 2) in object code or executable form under the terms of
Sections 1 and 2 above provided that you also do one of the following:

    a) Accompany it with the complete corresponding machine-readable
    source code, which must be distributed under the terms of Sections
    1 and 2 above on a medium customarily used for software interchange; or,

    b) Accompany it with a written offer, valid for at least three
    years, to give any third party, for a charge no more than your
    cost of physically performing source distribution, a complete
    machine-readable copy of the corresponding source code, to be
    distributed under the terms of Sections 1 and 2 above on a medium
    customarily used for software interchange; or,

    c) Accompany it with the information you received as to the offer
    to distribute corresponding source code.  (This alternative is
    allowed only for noncommercial distribution and only if you
    received the program in object code or executable form with such
    an offer, in accord with Subsection b above.)

The source code for a work means the preferred form of the work for
making modifications to it.  For an executable work, complete source
code means all the source code for all modules it contains, plus any
associated interface definition files, plus the scripts used to
control compilation and installation of the executable.  However, as a
special exception, the source code distributed need not include
anything that is normally distributed (in either source or binary
form) with the major components (compiler, kernel, and so on) of the
operating system on which the executable runs, unless that component
itself accompanies the executable.

If distribution of executable or object code is made by offering
access to copy from a designated place, then offering equivalent
access to copy the source code from the same place counts as
distribution of the source code, even though third parties are not
compelled to copy the source along with the object code.

  4. You may not copy, modify, sublicense, or distribute the Program
except as expressly provided under this License.  Any attempt
otherwise to copy, modify, sublicense or distribute the Program is
void, and will automatically terminate your rights under this License.
However, parties who have received copies, or rights, from you under
this License will not have their licenses terminated so long as such
parties remain in full compliance.

  5. You are not required to accept this License, since you have not
signed it.  However, nothing else grants you permission to modify or
distribute the Program or its derivative works.  These actions are
prohibited by law if you do not accept this License.  Therefore, by
modifying or distributing the Program (or any work based on the
Program), you indicate your acceptance of this License to do so, and
all its terms and conditions for copying, distributing or modifying
the Program or works based on it.

  6. Each time you redistribute the Program (or any work based on the
Program), the recipient automatically receives a license from the
original licensor to copy, distribute or modify the Program subject to
these terms and conditions.  You may not impose any further
restrictions on the recipients' exercise of the rights granted herein.
You are not responsible for enforcing compliance by third parties to
this License.

  7. If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License.  If you cannot
distribute so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you
may not distribute the Program at all.  For example, if a patent
license would not permit royalty-free redistribution of the Program by
all those who receive copies directly or indirectly through you, then
the only way you could satisfy both it and this License would be to
refrain entirely from distribution of the Program.

If any portion of this section is held invalid or unenforceable under
any particular circumstance, the balance of the section is intended to
apply and the section as a whole is intended to apply in other
circumstances.

It is not the purpose of this section to induce you to infringe any
patents or other property right claims or to contest validity of any
such claims; this section has the sole purpose of protecting the
integrity of the free software distribution system, which is
implemented by public license practices.  Many people have made
generous contributions to the wide range of software distributed
through that system in reliance on consistent application of that
system; it is up to the author/donor to decide if he or she is willing
to distribute software through any other system and a licensee cannot
impose that choice.

This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.

  8. If the distribution and/or use of the Program is restricted in
certain countries either by patents or by copyrighted interfaces, the
original copyright holder who places the Program under this License
may add an explicit geographical distribution limitation excluding
those countries, so that distribution is permitted only in or among
countries not thus excluded.  In such case, this License incorporates
the limitation as if written in the body of this License.

  9. The Free Software Foundation may publish revised and/or new versions
of the General Public License from time to time.  Such new versions will
be similar in spirit to the present version, but may differ in detail to
address new problems or concerns.

Each version is given a distinguishing version number.  If the Program
specifies a version number of this License which applies to it and "any
later version", you have the option of following the terms and conditions
either of that version or of any later version published by the Free
Software Foundation.  If the Program does not specify a version number of
this License, you may choose any version ever published by the Free Software
Foundation.

  10. If you wish to incorporate parts of the Program into other free
programs whose distribution conditions are different, write to the author
to ask for permission.  For software which is copyrighted by the Free
Software Foundation, write to the Free Software Foundation; we sometimes
make exceptions for this.  Our decision will be guided by the two goals
of preserving the free status of all derivatives of our free software and
of promoting the sharing and reuse of software generally.

                NO WARRANTY

  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
REPAIR OR CORRECTION.

  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.

             END OF TERMS AND CONDITIONS

        How to Apply These Terms to Your New Programs

  If you develop a new program, and you want it to be of the greatest
possible use to the public, the best way to achieve this is to make it
free software which everyone can redistribute and change under these terms.

  To do so, attach the following notices to the program.  It is safest
to attach them to the start of each source file to most effectively
convey the exclusion of warranty; and each file should have at least
the "copyright" line and a pointer to where the full notice is found.

    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Also add information on how to contact you by electronic and paper mail.

If the program is interactive, make it output a short notice like this
when it starts in an interactive mode:

    Gnomovision version 69, Copyright (C) year  name of author
    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
    This is free software, and you are welcome to redistribute it
    under certain conditions; type `show c' for details.

The hypothetical commands `show w' and `show c' should show the appropriate
parts of the General Public License.  Of course, the commands you use may
be called something other than `show w' and `show c'; they could even be
mouse-clicks or menu items--whatever suits your program.

You should also get your employer (if you work as a programmer) or your
school, if any, to sign a "copyright disclaimer" for the program, if
necessary.  Here is a sample; alter the names:

  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
  `Gnomovision' (which makes passes at compilers) written by James Hacker.

  <signature of Ty Coon>, 1 April 1989
  Ty Coon, President of Vice

This General Public License does not permit incorporating your program into
proprietary programs.  If your program is a subroutine library, you may
consider it more useful to permit linking proprietary applications with the
library.  If this is what you want to do, use the GNU Library General
Public License instead of this License.


Rechtliches

Für alle in dieser Hilfe aufgeführten externen Links möchte ich ausdrücklich betonen, daß ich keinerlei Einfluss auf die Gestaltung und die Inhalte der gelinkten Seiten habe. Deshalb distanziere ich mich hiermit ausdrücklich von allen Inhalten der gelinkten Seiten in dieser Hilfe!

Die in Erklärungen in dieser Hilfe verwendeten Firmen, Organisationen, Produkte, Personen und Ereignisse sind frei erfunden, soweit nichts anderes angegeben ist. Jede Ähnlichkeit mit tatsächlichen Firmen, Organisationen, Produkten, Personen oder Ereignissen ist rein zufällig.

Die Benutzer/innen sind verpflichtet, sich an alle anwendbaren Urheberrechtsgesetze zu halten.

In diesem Dokument aufgeführte Produkt- und Firmennamen können geschützte Marken ihrer jeweiligen Inhaber sein.

Verweise:


Default

Hinweis

An dieser Stelle gibt es leider noch keine Hilfe.
Die Hilfedatei soll ständig weiterentwickelt und aktualisiert werden. Hilfe dazu ist immer willkommen. Auch Übersetzungen in andere Sprachen sind möglich.

Verweise:


Inhaltsverzeichnis

  • Startseite
  • 1. Systemvorraussetzungen und Installation
  • 2. Erste Schritte
  • 3. Wie mache ich was?
    • 3.1 Programmeinstellungen
      • 3.1.1 Encoder - framegenauer Schnitt, lange GOPs kürzen
      • 3.1.2 Videoeffekte - FadeIn, FadeOut, Blackvideo
      • 3.1.3 Audioeffekte - FadeIn, FadeOut
      • 3.1.4 Nachbearbeitung - Muxen, DVD erstellen
      • 3.1.5 Effektvorgaben
      • 3.1.6 Vorwahl von Verzeichnissen und Dateinamen
    • 3.2 Effekte anwenden
    • 3.3 Versatz zwischen Video und Audio beseitigen bzw. korrigieren
    • 3.4 Audioversatz beim Schneiden vermeiden
    • 3.5 Erweiterte Videoeffekte
    • 3.6 Erweiterte Audioeffekte
  • 4. Mpeg2Schnitt
    • 4.1. Hauptmenü
      • 4.1.1 Datei
      • 4.1.2 Bearbeiten
      • 4.1.3 Optionen
      • 4.1.4 Arbeitsumgebungen
      • 4.1.5 Sprachen
      • 4.1.6 Zusatzfunktionen
      • 4.1.7 Ansicht
      • 4.1.8 Hilfe
    • 4.2 Anzeige
    • 4.3 Schnittliste
    • 4.4 Kapitelliste
    • 4.5 Markenliste
    • 4.6 Informationsliste
    • 4.7 Dateienliste
    • 4.8 Audiooffset
    • 4.9 Schieberegler
    • 4.10 Navigation/Schnitt
    • 4.11 Filmübersicht
    • 4.12. Dialoge
      • 4.12.1 Dateidialoge
      • 4.12.2 Schnitte suchen
      • 4.12.3 Arbeitsumgebungsdialog
      • 4.12.5 Effektdialog
      • 4.12.6 Über... / Lizenz
    • 4.13 Kontextmenüs
      • 4.13.1 Allgemein
      • 4.13.2 Anzeige
      • 4.13.3 Schnittliste
      • 4.13.4 Kapitelliste
      • 4.13.5 Markenliste
      • 4.13.6 Informationsliste
      • 4.13.7 Dateienliste
      • 4.13.8 Taste A/V
      • 4.13.9 Taste Vorschau
      • 4.13.10 Taste Kapitel
      • 4.13.11 Taste Marke
      • 4.13.12 Filmübersicht
  • 5. SchnittTool
    • 5.1 Hauptmenü
      • 5.1.1 Datei
      • 5.1.2 Aktionen
      • 5.1.3 Protokoll
      • 5.1.4 Optionen
      • 5.1.5 Hilfe
    • 5.2 Schnellstartleiste
    • 5.3 Projektfenster
    • 5.4 Protokollfenster
    • 5.5 Fortschrittsanzeige
    • 5.6 Dialoge
      • 5.6.1 Dateidialoge
      • 5.6.2 Dialog Projekteigenschaften
      • 5.6.3 Über... / Lizenz
    • 5.7 Kontextmenüs
      • 5.7.1 Projektfenster
      • 5.7.2 Protokollfenster
  • 6. IndexTool
  • 7. Optionendialog
    • 7.1 Allgemein
    • 7.2 Benutzeroberfläche
    • 7.3 Verzeichnisse
    • 7.4 Dateinamen/Endungen
    • 7.5 Anzeige/Wiedergabe
    • 7.6 Video- Audioschnitt
    • 7.7 Schnittliste
    • 7.8 Kapitelliste
    • 7.9 Markenliste
    • 7.10 Listenimport
    • 7.11 Listenexport
    • 7.12 Tastenbelegung
    • 7.13 Navigation
    • 7.14 Vorschau
    • 7.15 externe Programme
    • 7.16 Effekte
    • 7.17 Filmübersicht
    • 7.18 Kontextmenü der Eingabefelder mit Auswahlliste
  • 8. Sonstiges
    • 8.1 zusätzliche Parameter
    • 8.2 vordefinierte Variablen
    • 8.3 sebstdefinierte Parameter und Variablen
    • 8.4 Scripte
    • 8.5 Zahlen- und Zeitformate
    • 8.6 Kommandozeilenparameter
    • 8.7 Drag&Drop
    • 8.8 Aufbau der Arbeitsumgebungen
    • 8.9 Aufbau der Projekte
    • 8.10 Aufbau der Indexdateien
    • 8.11 Fehlertabelle
    • 8.12 Audiotrennzeichen
    • 8.13 Audioschnittberechnung
  • 9. Lizenzbedingungen und Rechtliches
    • 9.1 Lizenzbedingungen
    • 9.2 Lizenz
    • 9.3 Rechtliches